/* Generated from posixwin.scm by the CHICKEN compiler
   http://www.call-with-current-continuation.org
   2010-03-01 01:02
   Version 4.2.0 - SVN rev. 16023
   linux-unix-gnu-x86 [ manyargs dload ptables applyhook ]
   compiled 2009-09-21 on galinha (Linux)
   command line: posixwin.scm -optimize-level 2 -include-path . -include-path ./ -inline -explicit-use -no-trace -unsafe -no-lambda-info -output-file uposixwin.c
   unit: posix
*/

#include "chicken.h"

#ifndef WIN32_LEAN_AND_MEAN
# define WIN32_LEAN_AND_MEAN
#endif

/*
MinGW should have winsock2.h and ws2tcpip.h as well.
The CMake build will set HAVE_WINSOCK2_H and HAVE_WS2TCPIP_H.
However, the _MSC_VER test is still needed for vcbuild.bat.
./configure doesn't test for these.  It should, for MinGW.
*/
#if (_MSC_VER > 1300) || (defined(HAVE_WINSOCK2_H) && defined(HAVE_WS2TCPIP_H))
# include <winsock2.h>
# include <ws2tcpip.h>
#else
# include <winsock.h>
#endif

#include <signal.h>
#include <errno.h>
#include <io.h>
#include <stdio.h>
#include <process.h>

static int C_not_implemented(void);
int C_not_implemented() { return -1; }

#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <direct.h>
#include <utime.h>

#include <time.h>

#define ARG_MAX		256
#define PIPE_BUF	512
#ifndef ENV_MAX
# define ENV_MAX	1024
#endif

static C_TLS char *C_exec_args[ ARG_MAX ];
static C_TLS char *C_exec_env[ ENV_MAX ];
static C_TLS struct group *C_group;
static C_TLS int C_pipefds[ 2 ];
static C_TLS time_t C_secs;
static C_TLS struct tm C_tm;
static C_TLS struct stat C_statbuf;

/* pipe handles */
static C_TLS HANDLE C_rd0, C_wr0, C_wr0_, C_rd1, C_wr1, C_rd1_;
static C_TLS HANDLE C_save0, C_save1; /* saved I/O handles */
static C_TLS char C_rdbuf; /* one-char buffer for read */
static C_TLS int C_exstatus;

/* platform information; initialized for cached testing */
static C_TLS char C_hostname[256] = "";
static C_TLS char C_osver[16] = "";
static C_TLS char C_osrel[16] = "";
static C_TLS char C_processor[16] = "";
static C_TLS char C_shlcmd[256] = "";

/* Windows NT or better */
static int C_isNT = 0;

/* Current user name */
static C_TLS TCHAR C_username[255 + 1] = "";

/* Directory Operations */

#define C_mkdir(str)	    C_fix(mkdir(C_c_string(str)))
#define C_chdir(str)	    C_fix(chdir(C_c_string(str)))
#define C_rmdir(str)	    C_fix(rmdir(C_c_string(str)))

#ifndef __WATCOMC__
/* DIRENT stuff */
struct dirent
{
    char *		d_name;
};

typedef struct
{
    struct _finddata_t	fdata;
    int			handle;
    struct dirent	current;
} DIR;

static DIR * C_fcall
opendir(const char *name)
{
    int name_len = strlen(name);
    DIR *dir = (DIR *)malloc(sizeof(DIR));
    char *what;
    if (!dir)
    {
	errno = ENOMEM;
	return NULL;
    }
    what = (char *)malloc(name_len + 3);
    if (!what)
    {
	free(dir);
	errno = ENOMEM;
	return NULL;
    }
    strcpy(what, name);
    if (strchr("\\/", name[name_len - 1]))
	strcat(what, "*");
    else
	strcat(what, "\\*");

    dir->handle = _findfirst(what, &dir->fdata);
    if (dir->handle == -1)
    {
	free(what);
	free(dir);
	return NULL;
    }
    dir->current.d_name = NULL; /* as the first-time indicator */
    free(what);
    return dir;
}

static int C_fcall
closedir(DIR * dir)
{
    if (dir)
    {
	int res = _findclose(dir->handle);
	free(dir);
	return res;
    }
    return -1;
}

static struct dirent * C_fcall
readdir(DIR * dir)
{
    if (dir)
    {
	if (!dir->current.d_name /* first time after opendir */
	     || _findnext(dir->handle, &dir->fdata) != -1)
	{
	    dir->current.d_name = dir->fdata.name;
	    return &dir->current;
	}
    }
    return NULL;
}
#endif /* ifndef __WATCOMC__ */

#ifdef __WATCOMC__
# define mktemp _mktemp
/* there is no P_DETACH in Watcom CRTL */
# define P_DETACH P_NOWAIT
#endif

#define C_opendir(x,h)		C_set_block_item(h, 0, (C_word) opendir(C_c_string(x)))
#define C_closedir(h)		(closedir((DIR *)C_block_item(h, 0)), C_SCHEME_UNDEFINED)
#define C_readdir(h,e)		C_set_block_item(e, 0, (C_word) readdir((DIR *)C_block_item(h, 0)))
#define C_foundfile(e,b)	(strcpy(C_c_string(b), ((struct dirent *) C_block_item(e, 0))->d_name), C_fix(strlen(((struct dirent *) C_block_item(e, 0))->d_name)))

#define C_curdir(buf)	    (getcwd(C_c_string(buf), 256) ? C_fix(strlen(C_c_string(buf))) : C_SCHEME_FALSE)

#define open_binary_input_pipe(a, n, name)   C_mpointer(a, _popen(C_c_string(name), "r"))
#define open_text_input_pipe(a, n, name)     open_binary_input_pipe(a, n, name)
#define open_binary_output_pipe(a, n, name)  C_mpointer(a, _popen(C_c_string(name), "w"))
#define open_text_output_pipe(a, n, name)    open_binary_output_pipe(a, n, name)
#define close_pipe(p)			     C_fix(_pclose(C_port_file(p)))

#define C_set_file_ptr(port, ptr)  (C_set_block_item(port, 0, (C_block_item(ptr, 0))), C_SCHEME_UNDEFINED)

#define C_getpid	    getpid
#define C_chmod(fn, m)	    C_fix(chmod(C_data_pointer(fn), C_unfix(m)))
#define C_fdopen(a, n, fd, m) C_mpointer(a, fdopen(C_unfix(fd), C_c_string(m)))
#define C_C_fileno(p)	    C_fix(fileno(C_port_file(p)))
#define C_dup(x)	    C_fix(dup(C_unfix(x)))
#define C_dup2(x, y)	    C_fix(dup2(C_unfix(x), C_unfix(y)))
#define C_setvbuf(p, m, s)  C_fix(setvbuf(C_port_file(p), NULL, C_unfix(m), C_unfix(s)))
#define C_test_access(fn, m)	    C_fix(access((char *)C_data_pointer(fn), C_unfix(m)))
#define C_pipe(d, m)	    C_fix(_pipe(C_pipefds, PIPE_BUF, C_unfix(m)))
#define C_close(fd)	    C_fix(close(C_unfix(fd)))

#define C_getenventry(i)   environ[ i ]

#define C_putenv(s)	    C_fix(putenv((char *)C_data_pointer(s)))
#define C_stat(fn)	    C_fix(stat((char *)C_data_pointer(fn), &C_statbuf))
#define C_fstat(f)	    C_fix(fstat(C_unfix(f), &C_statbuf))

static C_word C_fcall
C_setenv(C_word x, C_word y)
{
    char *sx = C_data_pointer(x),
	 *sy = C_data_pointer(y);
    int n1 = C_strlen(sx),
	n2 = C_strlen(sy);
    char *buf = (char *)C_malloc(n1 + n2 + 2);
    if (buf == NULL)
	return(C_fix(0));
    else
    {
	C_strcpy(buf, sx);
	buf[ n1 ] = '=';
	C_strcpy(buf + n1 + 1, sy);
	return(C_fix(putenv(buf)));
    }
}

static void C_fcall
C_set_arg_string(char **where, int i, char *dat, int len)
{
    char *ptr;
    if (dat)
    {
	ptr = (char *)C_malloc(len + 1);
	C_memcpy(ptr, dat, len);
	ptr[ len ] = '\0';
    }
    else
	ptr = NULL;
    where[ i ] = ptr;
}

static void C_fcall
C_free_arg_string(char **where) {
  while (*where) C_free(*(where++));
}

#define C_set_exec_arg(i, a, len)	C_set_arg_string(C_exec_args, i, a, len)
#define C_set_exec_env(i, a, len)	C_set_arg_string(C_exec_env, i, a, len)

#define C_free_exec_args()		(C_free_arg_string(C_exec_args), C_SCHEME_TRUE)
#define C_free_exec_env()		(C_free_arg_string(C_exec_env), C_SCHEME_TRUE)

#define C_execvp(f)	    C_fix(execvp(C_data_pointer(f), (const char *const *)C_exec_args))
#define C_execve(f)	    C_fix(execve(C_data_pointer(f), (const char *const *)C_exec_args, (const char *const *)C_exec_env))

/* MS replacement for the fork-exec pair */
#define C_spawnvp(m, f)	    C_fix(spawnvp(C_unfix(m), C_data_pointer(f), (const char *const *)C_exec_args))
#define C_spawnvpe(m, f)    C_fix(spawnvpe(C_unfix(m), C_data_pointer(f), (const char *const *)C_exec_args, (const char *const *)C_exec_env))

#define C_open(fn, fl, m)   C_fix(open(C_c_string(fn), C_unfix(fl), C_unfix(m)))
#define C_read(fd, b, n)    C_fix(read(C_unfix(fd), C_data_pointer(b), C_unfix(n)))
#define C_write(fd, b, n)   C_fix(write(C_unfix(fd), C_data_pointer(b), C_unfix(n)))
#define C_mkstemp(t)	    C_fix(mktemp(C_c_string(t)))

/* It is assumed that 'int' is-a 'long' */
#define C_ftell(p)          C_fix(ftell(C_port_file(p)))
#define C_fseek(p, n, w)    C_mk_nbool(fseek(C_port_file(p), C_num_to_int(n), C_unfix(w)))
#define C_lseek(fd, o, w)   C_fix(lseek(C_unfix(fd), C_unfix(o), C_unfix(w)))

#define C_flushall()	    C_fix(_flushall())

#define C_ctime(n)	    (C_secs = (n), ctime(&C_secs))

#define C_tm_set_08(v) \
        (memset(&C_tm, 0, sizeof(struct tm)), \
        C_tm.tm_sec = C_unfix(C_block_item(v, 0)), \
        C_tm.tm_min = C_unfix(C_block_item(v, 1)), \
        C_tm.tm_hour = C_unfix(C_block_item(v, 2)), \
        C_tm.tm_mday = C_unfix(C_block_item(v, 3)), \
        C_tm.tm_mon = C_unfix(C_block_item(v, 4)), \
        C_tm.tm_year = C_unfix(C_block_item(v, 5)), \
        C_tm.tm_wday = C_unfix(C_block_item(v, 6)), \
        C_tm.tm_yday = C_unfix(C_block_item(v, 7)), \
        C_tm.tm_isdst = (C_block_item(v, 8) != C_SCHEME_FALSE))

#define C_tm_set(v) (C_tm_set_08(v), &C_tm)

#define C_asctime(v)    (asctime(C_tm_set(v)))
#define C_a_mktime(ptr, c, v)  C_flonum(ptr, mktime(C_tm_set(v)))

#define TIME_STRING_MAXLENGTH 255
static char C_time_string [TIME_STRING_MAXLENGTH + 1];
#undef TIME_STRING_MAXLENGTH

#define C_strftime(v, f) \
        (strftime(C_time_string, sizeof(C_time_string), C_c_string(f), C_tm_set(v)) ? C_time_string : NULL)

/*
  mapping from Win32 error codes to errno
*/

typedef struct
{
    DWORD   win32;
    int	    libc;
} errmap_t;

static errmap_t errmap[] =
{
    {ERROR_INVALID_FUNCTION,	  EINVAL},
    {ERROR_FILE_NOT_FOUND,	  ENOENT},
    {ERROR_PATH_NOT_FOUND,	  ENOENT},
    {ERROR_TOO_MANY_OPEN_FILES,	  EMFILE},
    {ERROR_ACCESS_DENIED,	  EACCES},
    {ERROR_INVALID_HANDLE,	  EBADF},
    {ERROR_ARENA_TRASHED,	  ENOMEM},
    {ERROR_NOT_ENOUGH_MEMORY,	  ENOMEM},
    {ERROR_INVALID_BLOCK,	  ENOMEM},
    {ERROR_BAD_ENVIRONMENT,	  E2BIG},
    {ERROR_BAD_FORMAT,		  ENOEXEC},
    {ERROR_INVALID_ACCESS,	  EINVAL},
    {ERROR_INVALID_DATA,	  EINVAL},
    {ERROR_INVALID_DRIVE,	  ENOENT},
    {ERROR_CURRENT_DIRECTORY,	  EACCES},
    {ERROR_NOT_SAME_DEVICE,	  EXDEV},
    {ERROR_NO_MORE_FILES,	  ENOENT},
    {ERROR_LOCK_VIOLATION,	  EACCES},
    {ERROR_BAD_NETPATH,		  ENOENT},
    {ERROR_NETWORK_ACCESS_DENIED, EACCES},
    {ERROR_BAD_NET_NAME,	  ENOENT},
    {ERROR_FILE_EXISTS,		  EEXIST},
    {ERROR_CANNOT_MAKE,		  EACCES},
    {ERROR_FAIL_I24,		  EACCES},
    {ERROR_INVALID_PARAMETER,	  EINVAL},
    {ERROR_NO_PROC_SLOTS,	  EAGAIN},
    {ERROR_DRIVE_LOCKED,	  EACCES},
    {ERROR_BROKEN_PIPE,		  EPIPE},
    {ERROR_DISK_FULL,		  ENOSPC},
    {ERROR_INVALID_TARGET_HANDLE, EBADF},
    {ERROR_INVALID_HANDLE,	  EINVAL},
    {ERROR_WAIT_NO_CHILDREN,	  ECHILD},
    {ERROR_CHILD_NOT_COMPLETE,	  ECHILD},
    {ERROR_DIRECT_ACCESS_HANDLE,  EBADF},
    {ERROR_NEGATIVE_SEEK,	  EINVAL},
    {ERROR_SEEK_ON_DEVICE,	  EACCES},
    {ERROR_DIR_NOT_EMPTY,	  ENOTEMPTY},
    {ERROR_NOT_LOCKED,		  EACCES},
    {ERROR_BAD_PATHNAME,	  ENOENT},
    {ERROR_MAX_THRDS_REACHED,	  EAGAIN},
    {ERROR_LOCK_FAILED,		  EACCES},
    {ERROR_ALREADY_EXISTS,	  EEXIST},
    {ERROR_FILENAME_EXCED_RANGE,  ENOENT},
    {ERROR_NESTING_NOT_ALLOWED,	  EAGAIN},
    {ERROR_NOT_ENOUGH_QUOTA,	  ENOMEM},
    {0, 0}
};

static void C_fcall
set_errno(DWORD w32err)
{
    errmap_t *map = errmap;
    for (; errmap->win32; ++map)
    {
	if (errmap->win32 == w32err)
	{
	    errno = errmap->libc;
	    return;
	}
    }
}

static int C_fcall
set_last_errno()
{
    set_errno(GetLastError());
    return 0;
}

/* Functions for creating process with redirected I/O */

static int C_fcall
zero_handles()
{
    C_rd0 = C_wr0 = C_wr0_ = INVALID_HANDLE_VALUE;
    C_rd1 = C_wr1 = C_rd1_ = INVALID_HANDLE_VALUE;
    C_save0 = C_save1 = INVALID_HANDLE_VALUE;
    return 1;
}

static int C_fcall
close_handles()
{
    if (C_rd0 != INVALID_HANDLE_VALUE)
	CloseHandle(C_rd0);
    if (C_rd1 != INVALID_HANDLE_VALUE)
	CloseHandle(C_rd1);
    if (C_wr0 != INVALID_HANDLE_VALUE)
	CloseHandle(C_wr0);
    if (C_wr1 != INVALID_HANDLE_VALUE)
	CloseHandle(C_wr1);
    if (C_rd1_ != INVALID_HANDLE_VALUE)
	CloseHandle(C_rd1_);
    if (C_wr0_ != INVALID_HANDLE_VALUE)
	CloseHandle(C_wr0_);
    if (C_save0 != INVALID_HANDLE_VALUE)
    {
	SetStdHandle(STD_INPUT_HANDLE, C_save0);
	CloseHandle(C_save0);
    }
    if (C_save1 != INVALID_HANDLE_VALUE)
    {
	SetStdHandle(STD_OUTPUT_HANDLE, C_save1);
	CloseHandle(C_save1);
    }
    return zero_handles();
}

static int C_fcall
redir_io()
{
    SECURITY_ATTRIBUTES sa;
    sa.nLength = sizeof(SECURITY_ATTRIBUTES);
    sa.bInheritHandle = TRUE;
    sa.lpSecurityDescriptor = NULL;

    zero_handles();

    C_save0 = GetStdHandle(STD_INPUT_HANDLE);
    C_save1 = GetStdHandle(STD_OUTPUT_HANDLE);
    if (!CreatePipe(&C_rd0, &C_wr0, &sa, 0)
	    || !SetStdHandle(STD_INPUT_HANDLE, C_rd0)
	    || !DuplicateHandle(GetCurrentProcess(), C_wr0, GetCurrentProcess(),
		&C_wr0_, 0, FALSE, DUPLICATE_SAME_ACCESS)
	    || !CreatePipe(&C_rd1, &C_wr1, &sa, 0)
	    || !SetStdHandle(STD_OUTPUT_HANDLE, C_wr1)
	    || !DuplicateHandle(GetCurrentProcess(), C_rd1, GetCurrentProcess(),
		&C_rd1_, 0, FALSE, DUPLICATE_SAME_ACCESS))
    {
	set_last_errno();
	close_handles();
	return 0;
    }

    CloseHandle(C_wr0);
    C_wr0 = INVALID_HANDLE_VALUE;
    CloseHandle(C_rd1);
    C_rd1 = INVALID_HANDLE_VALUE;
    return 1;
}

static int C_fcall
run_process(char *cmdline)
{
    PROCESS_INFORMATION pi;
    STARTUPINFO si;

    ZeroMemory(&pi, sizeof(PROCESS_INFORMATION));
    ZeroMemory(&si, sizeof(STARTUPINFO));
    si.cb = sizeof(STARTUPINFO);

    C_wr0_ = C_rd1_ = INVALID_HANDLE_VALUE; /* these handles are saved */

    if (CreateProcess(NULL, cmdline, NULL, NULL, TRUE, 0, NULL,
		      NULL, &si, &pi))
    {
	CloseHandle(pi.hThread);

	SetStdHandle(STD_INPUT_HANDLE, C_save0);
	SetStdHandle(STD_OUTPUT_HANDLE, C_save1);
	C_save0 = C_save1 = INVALID_HANDLE_VALUE;

	CloseHandle(C_rd0);
	CloseHandle(C_wr1);
	C_rd0 = C_wr1 = INVALID_HANDLE_VALUE;
	return (int)pi.hProcess;
    }
    else
	return set_last_errno();
}

static int C_fcall
pipe_write(int hpipe, void* buf, int count)
{
    DWORD done = 0;
    if (WriteFile((HANDLE)hpipe, buf, count, &done, NULL))
	return 1;
    else
	return set_last_errno();
}

static int C_fcall
pipe_read(int hpipe)
{
    DWORD done = 0;
    /* TODO:
    if (!pipe_ready(hpipe))
	go_to_sleep;
    */
    if (ReadFile((HANDLE)hpipe, &C_rdbuf, 1, &done, NULL))
    {
	if (done > 0) /* not EOF yet */
	    return 1;
	else
	    return -1;
    }
    return set_last_errno();
}

static int C_fcall
pipe_ready(int hpipe)
{
    DWORD avail = 0;
    if (PeekNamedPipe((HANDLE)hpipe, NULL, 0, NULL, &avail, NULL) && avail)
	return 1;
    else
    {
	Sleep(0); /* give pipe a chance */
	if (PeekNamedPipe((HANDLE)hpipe, NULL, 0, NULL, &avail, NULL))
	    return (avail > 0);
	else
	    return 0;
    }
}

#define C_zero_handles() C_fix(zero_handles())
#define C_close_handles() C_fix(close_handles())
#define C_redir_io() (redir_io() ? C_SCHEME_TRUE : C_SCHEME_FALSE)
#define C_run_process(cmdline) C_fix(run_process(C_c_string(cmdline)))
#define C_pipe_write(h, b, n) (pipe_write(C_unfix(h), C_c_string(b), C_unfix(n)) ? C_SCHEME_TRUE : C_SCHEME_FALSE)
#define C_pipe_read(h) C_fix(pipe_read(C_unfix(h)))
#define C_pipe_ready(h) (pipe_ready(C_unfix(h)) ? C_SCHEME_TRUE : C_SCHEME_FALSE)
#define close_handle(h) CloseHandle((HANDLE)h)

static int C_fcall
process_wait(int h, int t)
{
    if (WaitForSingleObject((HANDLE)h, (t ? 0 : INFINITE)) == WAIT_OBJECT_0)
    {
	DWORD ret;
	if (GetExitCodeProcess((HANDLE)h, &ret))
	{
	    CloseHandle((HANDLE)h);
	    C_exstatus = ret;
	    return 1;
	}
    }
    return set_last_errno();
}

#define C_process_wait(p, t) (process_wait(C_unfix(p), C_truep(t)) ? C_SCHEME_TRUE : C_SCHEME_FALSE)
#define C_sleep(t) (Sleep(C_unfix(t) * 1000), C_SCHEME_UNDEFINED)

static int C_fcall
get_hostname()
{
    /* Do we already have hostname? */
    if (strlen(C_hostname))
    {
	return 1;
    }
    else
    {
	WSADATA wsa;
	if (WSAStartup(MAKEWORD(1, 1), &wsa) == 0)
	{
	    int nok = gethostname(C_hostname, sizeof(C_hostname));
	    WSACleanup();
	    return !nok;
	}
	return 0;
    }
}

static int C_fcall
sysinfo()
{
    /* Do we need to build the sysinfo? */
    if (!strlen(C_osrel))
    {
	OSVERSIONINFO ovf;
	ZeroMemory(&ovf, sizeof(ovf));
	ovf.dwOSVersionInfoSize = sizeof(ovf);
	if (get_hostname() && GetVersionEx(&ovf))
	{
	    SYSTEM_INFO si;
	    _snprintf(C_osver, sizeof(C_osver) - 1, "%d.%d.%d",
			ovf.dwMajorVersion, ovf.dwMinorVersion, ovf.dwBuildNumber);
	    strncpy(C_osrel, "Win", sizeof(C_osrel) - 1);
	    switch (ovf.dwPlatformId)
	    {
	    case VER_PLATFORM_WIN32s:
		strncpy(C_osrel, "Win32s", sizeof(C_osrel) - 1);
		break;
	    case VER_PLATFORM_WIN32_WINDOWS:
		if (ovf.dwMajorVersion == 4)
		{
		    if (ovf.dwMinorVersion == 0)
			strncpy(C_osrel, "Win95", sizeof(C_osrel) - 1);
		    else if (ovf.dwMinorVersion == 10)
			strncpy(C_osrel, "Win98", sizeof(C_osrel) - 1);
		    else if (ovf.dwMinorVersion == 90)
			strncpy(C_osrel, "WinMe", sizeof(C_osrel) - 1);
		}
		break;
	    case VER_PLATFORM_WIN32_NT:
		C_isNT = 1;
		if (ovf.dwMajorVersion == 6)
		    strncpy(C_osrel, "WinVista", sizeof(C_osrel) - 1);
		else if (ovf.dwMajorVersion == 5)
		{
		    if (ovf.dwMinorVersion == 2)
			strncpy(C_osrel, "WinServer2003", sizeof(C_osrel) - 1);
		    else if (ovf.dwMinorVersion == 1)
			strncpy(C_osrel, "WinXP", sizeof(C_osrel) - 1);
		    else if ( ovf.dwMinorVersion == 0)
			strncpy(C_osrel, "Win2000", sizeof(C_osrel) - 1);
		}
		else if (ovf.dwMajorVersion <= 4)
		   strncpy(C_osrel, "WinNT", sizeof(C_osrel) - 1);
		break;
	    }
	    GetSystemInfo(&si);
	    strncpy(C_processor, "Unknown", sizeof(C_processor) - 1);
	    switch (si.wProcessorArchitecture)
	    {
	    case PROCESSOR_ARCHITECTURE_INTEL:
		strncpy(C_processor, "x86", sizeof(C_processor) - 1);
		break;
#	    ifdef PROCESSOR_ARCHITECTURE_IA64
	    case PROCESSOR_ARCHITECTURE_IA64:
		strncpy(C_processor, "IA64", sizeof(C_processor) - 1);
		break;
#	    endif
#	    ifdef PROCESSOR_ARCHITECTURE_AMD64
	    case PROCESSOR_ARCHITECTURE_AMD64:
		strncpy(C_processor, "x64", sizeof(C_processor) - 1);
		break;
#	    endif
#	    ifdef PROCESSOR_ARCHITECTURE_IA32_ON_WIN64
	    case PROCESSOR_ARCHITECTURE_IA32_ON_WIN64:
		strncpy(C_processor, "WOW64", sizeof(C_processor) - 1);
		break;
#	    endif
	    }
	}
	else
	    return set_last_errno();
    }
    return 1;
}

static int C_fcall
get_shlcmd()
{
    /* Do we need to build the shell command pathname? */
    if (!strlen(C_shlcmd))
    {
	if (sysinfo())
	{
	    char *cmdnam = C_isNT ? "\\cmd.exe" : "\\command.com";
	    UINT len = GetSystemDirectory(C_shlcmd, sizeof(C_shlcmd) - strlen(cmdnam));
	    if (len)
		strcpy(C_shlcmd + len, cmdnam);
	    else
		return set_last_errno();
	}
	else
	    return 0;
    }
    return 1;
}

#define C_get_hostname() (get_hostname() ? C_SCHEME_TRUE : C_SCHEME_FALSE)
#define C_sysinfo() (sysinfo() ? C_SCHEME_TRUE : C_SCHEME_FALSE)
#define C_get_shlcmd() (get_shlcmd() ? C_SCHEME_TRUE : C_SCHEME_FALSE)

/* GetUserName */

static int C_fcall
get_user_name()
{
    if (!strlen(C_username))
    {
	DWORD bufCharCount = sizeof(C_username) / sizeof(C_username[0]);
	if (!GetUserName(C_username, &bufCharCount))
	    return set_last_errno();
    }
    return 1;
}

#define C_get_user_name() (get_user_name() ? C_SCHEME_TRUE : C_SCHEME_FALSE)

/* User Information */

#if 0
static int C_fcall
get_netinfo()
{
    HINSTANCE hNet = 0,
	      hLoc = 0;

    if (isNT)
	hNet = LoadLibrary("netapi32.dll");
    else
    {
	hLoc = LoadLibrary("rlocal32.dll");
	hNet = LoadLibrary("radmin32.dll");
	//hNet = LoadLibrary("netapi.dll");
    }

    if (!hNet)
	return 0;

    
}
#endif

/*
    Spawn a process directly.
    Params:
    app		Command to execute.
    cmdlin	Command line (arguments).
    env		Environment for the new process (may be NULL).
    handle, stdin, stdout, stderr
		Spawned process info are returned in integers.
		When spawned process shares standard io stream with the parent
		process the respective value in handle, stdin, stdout, stderr
		is -1.
    params	A bitmask controling operation.
		Bit 1: Child & parent share standard input if this bit is set.
		Bit 2: Share standard output if bit is set.
		Bit 3: Share standard error if bit is set.

    Returns: zero return value indicates failure.
*/
static int C_fcall
C_process(const char * app, const char * cmdlin, const char ** env,
	  int * phandle,
	  int * pstdin_fd, int * pstdout_fd, int * pstderr_fd,
	  int params)
{
    int i;
    int success = TRUE;
    const int f_share_io[3] = { params & 1, params & 2, params & 4};
    int io_fds[3] = { -1, -1, -1 };
    HANDLE
	child_io_handles[3] = { NULL, NULL, NULL },
	standard_io_handles[3] = {
	    GetStdHandle(STD_INPUT_HANDLE),
	    GetStdHandle(STD_OUTPUT_HANDLE),
	    GetStdHandle(STD_ERROR_HANDLE)};
    const char modes[3] = "rww";
    HANDLE cur_process = GetCurrentProcess(), child_process = NULL;
    void* envblk = NULL;

    /****** create io handles & fds ***/

    for (i=0; i<3 && success; ++i)
    {
	if (f_share_io[i])
	{
	    success = DuplicateHandle(
		cur_process, standard_io_handles[i],
		cur_process, &child_io_handles[i],
		0, FALSE, DUPLICATE_SAME_ACCESS);
	}
	else
	{
	    HANDLE a, b;
	    success = CreatePipe(&a,&b,NULL,0);
	    if(success)
	    {
		HANDLE parent_end;
		if (modes[i]=='r') { child_io_handles[i]=a; parent_end=b; }
		else		   { parent_end=a; child_io_handles[i]=b; }
		success = (io_fds[i] = _open_osfhandle((long)parent_end,0)) >= 0;
	    }
	}
    }

    /****** make handles inheritable */

    for (i=0; i<3 && success; ++i)
	success = SetHandleInformation(child_io_handles[i], HANDLE_FLAG_INHERIT, -1);

#if 0 /* Requires a sorted list by key! */
    /****** create environment block if necessary ****/

    if (env && success)
    {
	char** p;
	int len = 0;

	for (p = env; *p; ++p) len += strlen(*p) + 1;

	if (envblk = C_malloc(len + 1))
	{
	    char* pb = (char*)envblk;
	    for (p = env; *p; ++p)
	    {
		strcpy(pb, *p);
		pb += strlen(*p) + 1;
	    }
	    *pb = '\0';
	}
	else
	    success = FALSE;
    }
#endif

    /****** finally spawn process ****/

    if (success)
    {
	PROCESS_INFORMATION pi;
	STARTUPINFO si;

	ZeroMemory(&pi,sizeof pi);
	ZeroMemory(&si,sizeof si);
	si.cb = sizeof si;
	si.dwFlags = STARTF_USESTDHANDLES;
	si.hStdInput = child_io_handles[0];
	si.hStdOutput = child_io_handles[1];
	si.hStdError = child_io_handles[2];

	/* FIXME passing 'app' param causes failure & possible stack corruption */
	success = CreateProcess(
	    NULL, (char*)cmdlin, NULL, NULL, TRUE, 0, envblk, NULL, &si, &pi);

	if (success)
	{
	    child_process=pi.hProcess;
	    CloseHandle(pi.hThread);
	}
	else
	    set_last_errno();
    }
    else
	set_last_errno();

    /****** cleanup & return *********/

    /* parent must close child end */
    for (i=0; i<3; ++i) CloseHandle(child_io_handles[i]);

    if (success)
    {
	*phandle = (int)child_process;
	*pstdin_fd = io_fds[0];
	*pstdout_fd = io_fds[1];
	*pstderr_fd = io_fds[2];
    }
    else
    {
	for (i=0; i<3; ++i) _close(io_fds[i]);
    }

    return success;
}

static int set_file_mtime(char *filename, C_word tm)
{
  struct _utimbuf tb;

  tb.actime = tb.modtime = C_num_to_int(tm);
  return _utime(filename, &tb);
}

static C_PTABLE_ENTRY *create_ptable(void);
C_noret_decl(C_scheduler_toplevel)
C_externimport void C_ccall C_scheduler_toplevel(C_word c,C_word d,C_word k) C_noret;
C_noret_decl(C_regex_toplevel)
C_externimport void C_ccall C_regex_toplevel(C_word c,C_word d,C_word k) C_noret;
C_noret_decl(C_extras_toplevel)
C_externimport void C_ccall C_extras_toplevel(C_word c,C_word d,C_word k) C_noret;
C_noret_decl(C_utils_toplevel)
C_externimport void C_ccall C_utils_toplevel(C_word c,C_word d,C_word k) C_noret;
C_noret_decl(C_files_toplevel)
C_externimport void C_ccall C_files_toplevel(C_word c,C_word d,C_word k) C_noret;
C_noret_decl(C_ports_toplevel)
C_externimport void C_ccall C_ports_toplevel(C_word c,C_word d,C_word k) C_noret;

static C_TLS C_word lf[392];
static double C_possibly_force_alignment;


/* from k4676 */
static C_word C_fcall stub982(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2,C_word C_a3,C_word C_a4,C_word C_a5,C_word C_a6,C_word C_a7) C_regparm;
C_regparm static C_word C_fcall stub982(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2,C_word C_a3,C_word C_a4,C_word C_a5,C_word C_a6,C_word C_a7){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
char * t0=(char * )C_string_or_null(C_a0);
char * t1=(char * )C_string_or_null(C_a1);
void * t2=(void * )C_c_pointer_or_null(C_a2);
int *t3=(int *)C_c_pointer_or_null(C_a3);
int *t4=(int *)C_c_pointer_or_null(C_a4);
int *t5=(int *)C_c_pointer_or_null(C_a5);
int *t6=(int *)C_c_pointer_or_null(C_a6);
int t7=(int )C_unfix(C_a7);
C_r=C_mk_bool(C_process(t0,t1,t2,t3,t4,t5,t6,t7));
return C_r;}

/* from current-process-id in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static C_word C_fcall stub957(C_word C_buf) C_regparm;
C_regparm static C_word C_fcall stub957(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_r=C_fix((C_word)C_getpid());
return C_r;}

/* from k4318 */
static C_word C_fcall stub831(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2) C_regparm;
C_regparm static C_word C_fcall stub831(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
void * t1=(void * )C_data_pointer_or_null(C_a1);
int t2=(int )C_unfix(C_a2);
C_set_exec_env(t0,t1,t2);
return C_r;}

/* from k4312 */
static C_word C_fcall stub821(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2) C_regparm;
C_regparm static C_word C_fcall stub821(C_word C_buf,C_word C_a0,C_word C_a1,C_word C_a2){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
void * t1=(void * )C_data_pointer_or_null(C_a1);
int t2=(int )C_unfix(C_a2);
C_set_exec_arg(t0,t1,t2);
return C_r;}

/* from ex0 */
static C_word C_fcall stub720(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub720(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
_exit(t0);
return C_r;}

/* from local-timezone-abbreviation in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
#define return(x) C_cblock C_r = (C_mpointer(&C_a,(void*)(x))); goto C_ret; C_cblockend
static C_word C_fcall stub715(C_word C_buf) C_regparm;
C_regparm static C_word C_fcall stub715(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
char *z = (_daylight ? _tzname[1] : _tzname[0]);
return(z);
C_ret:
#undef return

return C_r;}

/* from strftime */
static C_word C_fcall stub685(C_word C_buf,C_word C_a0,C_word C_a1) C_regparm;
C_regparm static C_word C_fcall stub685(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_word t0=(C_word )(C_a0);
C_word t1=(C_word )(C_a1);
C_r=C_mpointer(&C_a,(void*)C_strftime(t0,t1));
return C_r;}

/* from asctime */
static C_word C_fcall stub679(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub679(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_word t0=(C_word )(C_a0);
C_r=C_mpointer(&C_a,(void*)C_asctime(t0));
return C_r;}

/* from ctime */
static C_word C_fcall stub659(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub659(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_num_to_int(C_a0);
C_r=C_mpointer(&C_a,(void*)C_ctime(t0));
return C_r;}

/* from get */
static C_word C_fcall stub612(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub612(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
C_r=C_mpointer(&C_a,(void*)C_getenventry(t0));
return C_r;}

/* from k5739 in k5735 in a5726 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static C_word C_fcall stub121(C_word C_buf,C_word C_a0,C_word C_a1) C_regparm;
C_regparm static C_word C_fcall stub121(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
char * t0=(char * )C_string_or_null(C_a0);
C_word t1=(C_word )(C_a1);
C_r=C_fix((C_word)set_file_mtime(t0,t1));
return C_r;}

/* from strerror */
static C_word C_fcall stub12(C_word C_buf,C_word C_a0) C_regparm;
C_regparm static C_word C_fcall stub12(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
C_r=C_mpointer(&C_a,(void*)strerror(t0));
return C_r;}

C_noret_decl(C_posix_toplevel)
C_externexport void C_ccall C_posix_toplevel(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_1851)
static void C_ccall f_1851(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_1854)
static void C_ccall f_1854(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_1857)
static void C_ccall f_1857(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_1860)
static void C_ccall f_1860(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_1863)
static void C_ccall f_1863(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_1866)
static void C_ccall f_1866(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_1869)
static void C_ccall f_1869(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5727)
static void C_ccall f_5727(C_word c,C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_5737)
static void C_ccall f_5737(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5741)
static void C_ccall f_5741(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5721)
static void C_ccall f_5721(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_5725)
static void C_ccall f_5725(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2176)
static void C_ccall f_2176(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2240)
static void C_ccall f_2240(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2244)
static void C_ccall f_2244(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2248)
static void C_ccall f_2248(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2252)
static void C_ccall f_2252(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5684)
static void C_ccall f_5684(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_5700)
static void C_ccall f_5700(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5688)
static void C_ccall f_5688(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5691)
static void C_ccall f_5691(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2314)
static void C_ccall f_2314(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3424)
static void C_ccall f_3424(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5665)
static void C_ccall f_5665(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_5662)
static void C_ccall f_5662(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_5655)
static void C_ccall f_5655(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5649)
static void C_ccall f_5649(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5643)
static void C_ccall f_5643(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5637)
static void C_ccall f_5637(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5631)
static void C_ccall f_5631(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5625)
static void C_ccall f_5625(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5619)
static void C_ccall f_5619(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5613)
static void C_ccall f_5613(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5607)
static void C_ccall f_5607(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5601)
static void C_ccall f_5601(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5595)
static void C_ccall f_5595(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5589)
static void C_ccall f_5589(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5583)
static void C_ccall f_5583(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5577)
static void C_ccall f_5577(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5571)
static void C_ccall f_5571(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5565)
static void C_ccall f_5565(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5559)
static void C_ccall f_5559(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5553)
static void C_ccall f_5553(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5547)
static void C_ccall f_5547(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5541)
static void C_ccall f_5541(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5535)
static void C_ccall f_5535(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5529)
static void C_ccall f_5529(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5523)
static void C_ccall f_5523(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5517)
static void C_ccall f_5517(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5511)
static void C_ccall f_5511(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5505)
static void C_ccall f_5505(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5499)
static void C_ccall f_5499(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5493)
static void C_ccall f_5493(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5487)
static void C_ccall f_5487(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5481)
static void C_ccall f_5481(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5475)
static void C_ccall f_5475(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5469)
static void C_ccall f_5469(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5463)
static void C_ccall f_5463(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5457)
static void C_ccall f_5457(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5451)
static void C_ccall f_5451(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5445)
static void C_ccall f_5445(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5439)
static void C_ccall f_5439(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5433)
static void C_ccall f_5433(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5427)
static void C_ccall f_5427(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5421)
static void C_ccall f_5421(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5415)
static void C_ccall f_5415(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5409)
static void C_ccall f_5409(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5403)
static void C_ccall f_5403(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5160)
static void C_ccall f_5160(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
C_noret_decl(f_5160)
static void C_ccall f_5160r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
C_noret_decl(f_5337)
static void C_fcall f_5337(C_word t0,C_word t1) C_noret;
C_noret_decl(f_5343)
static void C_ccall f_5343(C_word c,C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_5332)
static void C_fcall f_5332(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_5327)
static void C_fcall f_5327(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_5162)
static void C_fcall f_5162(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_5314)
static void C_ccall f_5314(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5322)
static void C_ccall f_5322(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_5169)
static void C_fcall f_5169(C_word t0,C_word t1) C_noret;
C_noret_decl(f_5302)
static void C_ccall f_5302(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5296)
static void C_ccall f_5296(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5179)
static void C_ccall f_5179(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5181)
static void C_fcall f_5181(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_5200)
static void C_ccall f_5200(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5282)
static void C_ccall f_5282(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5289)
static void C_ccall f_5289(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5276)
static void C_ccall f_5276(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5215)
static void C_ccall f_5215(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5269)
static void C_ccall f_5269(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5266)
static void C_ccall f_5266(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5256)
static void C_ccall f_5256(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5232)
static void C_ccall f_5232(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5254)
static void C_ccall f_5254(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5240)
static void C_ccall f_5240(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5247)
static void C_ccall f_5247(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5244)
static void C_ccall f_5244(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5227)
static void C_ccall f_5227(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5225)
static void C_ccall f_5225(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5303)
static void C_ccall f_5303(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_5145)
static void C_ccall f_5145(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5155)
static void C_ccall f_5155(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5114)
static void C_ccall f_5114(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5140)
static void C_ccall f_5140(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5125)
static void C_ccall f_5125(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5129)
static void C_ccall f_5129(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5133)
static void C_ccall f_5133(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5137)
static void C_ccall f_5137(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5102)
static void C_ccall f_5102(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5099)
static void C_ccall f_5099(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_5042)
static void C_ccall f_5042(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
C_noret_decl(f_5042)
static void C_ccall f_5042r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
C_noret_decl(f_5066)
static void C_ccall f_5066(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_5076)
static void C_ccall f_5076(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5060)
static void C_ccall f_5060(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_5030)
static void C_ccall f_5030(C_word c,C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_4953)
static void C_ccall f_4953(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
C_noret_decl(f_4953)
static void C_ccall f_4953r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
C_noret_decl(f_4970)
static void C_fcall f_4970(C_word t0,C_word t1) C_noret;
C_noret_decl(f_4965)
static void C_fcall f_4965(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_4960)
static void C_fcall f_4960(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_4955)
static void C_fcall f_4955(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_4876)
static void C_ccall f_4876(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
C_noret_decl(f_4876)
static void C_ccall f_4876r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
C_noret_decl(f_4893)
static void C_fcall f_4893(C_word t0,C_word t1) C_noret;
C_noret_decl(f_4888)
static void C_fcall f_4888(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_4883)
static void C_fcall f_4883(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_4878)
static void C_fcall f_4878(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_4798)
static void C_fcall f_4798(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6) C_noret;
C_noret_decl(f_4870)
static void C_ccall f_4870(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4874)
static void C_ccall f_4874(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4835)
static void C_fcall f_4835(C_word t0,C_word t1) C_noret;
C_noret_decl(f_4849)
static void C_ccall f_4849(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5) C_noret;
C_noret_decl(f_4843)
static void C_ccall f_4843(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4800)
static C_word C_fcall f_4800(C_word t0,C_word t1);
C_noret_decl(f_4809)
static C_word C_fcall f_4809(C_word t0,C_word t1);
C_noret_decl(f_4700)
static void C_ccall f_4700(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6,C_word t7,C_word t8,...) C_noret;
C_noret_decl(f_4700)
static void C_ccall f_4700r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6,C_word t7,C_word t8,C_word t10) C_noret;
C_noret_decl(f_4779)
static void C_ccall f_4779(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4707)
static void C_ccall f_4707(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4747)
static void C_ccall f_4747(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4751)
static void C_ccall f_4751(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4755)
static void C_ccall f_4755(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4759)
static void C_ccall f_4759(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4763)
static void C_ccall f_4763(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4654)
static void C_ccall f_4654(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4658)
static void C_ccall f_4658(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4740)
static void C_ccall f_4740(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4720)
static void C_ccall f_4720(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4724)
static void C_ccall f_4724(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4728)
static void C_ccall f_4728(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4620)
static void C_ccall f_4620(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
C_noret_decl(f_4620)
static void C_ccall f_4620r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
C_noret_decl(f_4637)
static void C_ccall f_4637(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4641)
static void C_ccall f_4641(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4614)
static void C_ccall f_4614(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_4593)
static void C_ccall f_4593(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4597)
static void C_ccall f_4597(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4609)
static void C_ccall f_4609(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4590)
static void C_ccall f_4590(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4506)
static void C_ccall f_4506(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
C_noret_decl(f_4506)
static void C_ccall f_4506r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
C_noret_decl(f_4530)
static void C_fcall f_4530(C_word t0,C_word t1) C_noret;
C_noret_decl(f_4525)
static void C_fcall f_4525(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_4520)
static void C_fcall f_4520(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_4508)
static void C_fcall f_4508(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_4512)
static void C_ccall f_4512(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4422)
static void C_ccall f_4422(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
C_noret_decl(f_4422)
static void C_ccall f_4422r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
C_noret_decl(f_4446)
static void C_fcall f_4446(C_word t0,C_word t1) C_noret;
C_noret_decl(f_4441)
static void C_fcall f_4441(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_4436)
static void C_fcall f_4436(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_4424)
static void C_fcall f_4424(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_4428)
static void C_ccall f_4428(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4407)
static void C_fcall f_4407(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_4411)
static void C_ccall f_4411(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4371)
static void C_fcall f_4371(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6) C_noret;
C_noret_decl(f_4378)
static void C_ccall f_4378(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4398)
static void C_ccall f_4398(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4384)
static void C_ccall f_4384(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4387)
static void C_ccall f_4387(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4394)
static void C_ccall f_4394(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4321)
static void C_fcall f_4321(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_4333)
static void C_fcall f_4333(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_4352)
static void C_ccall f_4352(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4315)
static void C_ccall f_4315(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_4309)
static void C_ccall f_4309(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_4230)
static void C_fcall f_4230(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_4273)
static void C_fcall f_4273(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_4304)
static void C_ccall f_4304(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4301)
static void C_ccall f_4301(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4235)
static void C_fcall f_4235(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_4239)
static void C_ccall f_4239(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4244)
static void C_fcall f_4244(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_4268)
static void C_ccall f_4268(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4257)
static void C_ccall f_4257(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4118)
static void C_ccall f_4118(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_4118)
static void C_ccall f_4118r(C_word t0,C_word t1,C_word t3) C_noret;
C_noret_decl(f_4124)
static void C_fcall f_4124(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_4145)
static void C_ccall f_4145(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_4219)
static void C_ccall f_4219(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4149)
static void C_ccall f_4149(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4152)
static void C_ccall f_4152(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4159)
static void C_ccall f_4159(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4161)
static void C_fcall f_4161(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_4178)
static void C_ccall f_4178(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4188)
static void C_ccall f_4188(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4192)
static void C_ccall f_4192(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4139)
static void C_ccall f_4139(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4059)
static void C_ccall f_4059(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
C_noret_decl(f_4059)
static void C_ccall f_4059r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
C_noret_decl(f_4063)
static void C_ccall f_4063(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4069)
static void C_ccall f_4069(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4053)
static void C_ccall f_4053(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_4057)
static void C_ccall f_4057(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4037)
static void C_ccall f_4037(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_4037)
static void C_ccall f_4037r(C_word t0,C_word t1,C_word t3) C_noret;
C_noret_decl(f_4029)
static void C_ccall f_4029(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_4014)
static void C_ccall f_4014(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_4018)
static void C_ccall f_4018(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3954)
static void C_ccall f_3954(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
C_noret_decl(f_3954)
static void C_ccall f_3954r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
C_noret_decl(f_3961)
static void C_ccall f_3961(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3983)
static void C_ccall f_3983(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3980)
static void C_ccall f_3980(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3970)
static void C_ccall f_3970(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3903)
static void C_ccall f_3903(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_3903)
static void C_ccall f_3903r(C_word t0,C_word t1,C_word t3) C_noret;
C_noret_decl(f_3907)
static void C_ccall f_3907(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3910)
static void C_ccall f_3910(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3871)
static void C_ccall f_3871(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_3871)
static void C_ccall f_3871r(C_word t0,C_word t1,C_word t3) C_noret;
C_noret_decl(f_3875)
static void C_ccall f_3875(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3844)
static void C_ccall f_3844(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_3844)
static void C_ccall f_3844r(C_word t0,C_word t1,C_word t3) C_noret;
C_noret_decl(f_3848)
static void C_ccall f_3848(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3825)
static void C_fcall f_3825(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_3759)
static void C_ccall f_3759(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3765)
static void C_fcall f_3765(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_3769)
static void C_ccall f_3769(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3777)
static void C_fcall f_3777(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_3803)
static void C_ccall f_3803(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3807)
static void C_ccall f_3807(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3795)
static void C_ccall f_3795(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3744)
static void C_ccall f_3744(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_3752)
static void C_ccall f_3752(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3727)
static void C_ccall f_3727(C_word c,C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_3738)
static void C_ccall f_3738(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3742)
static void C_ccall f_3742(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3697)
static void C_ccall f_3697(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
C_noret_decl(f_3697)
static void C_ccall f_3697r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
C_noret_decl(f_3704)
static void C_fcall f_3704(C_word t0,C_word t1) C_noret;
C_noret_decl(f_3713)
static void C_ccall f_3713(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3707)
static void C_ccall f_3707(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3662)
static void C_ccall f_3662(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_3666)
static void C_ccall f_3666(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3695)
static void C_ccall f_3695(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3681)
static void C_ccall f_3681(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3675)
static void C_ccall f_3675(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3648)
static void C_ccall f_3648(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
C_noret_decl(f_3648)
static void C_ccall f_3648r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
C_noret_decl(f_3660)
static void C_ccall f_3660(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3634)
static void C_ccall f_3634(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
C_noret_decl(f_3634)
static void C_ccall f_3634r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
C_noret_decl(f_3646)
static void C_ccall f_3646(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3616)
static void C_fcall f_3616(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_3620)
static void C_ccall f_3620(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3632)
static void C_ccall f_3632(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3579)
static void C_fcall f_3579(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_3587)
static void C_ccall f_3587(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3570)
static void C_ccall f_3570(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_3564)
static void C_ccall f_3564(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_3558)
static void C_ccall f_3558(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_3534)
static void C_fcall f_3534(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_3556)
static void C_ccall f_3556(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3552)
static void C_ccall f_3552(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3544)
static void C_ccall f_3544(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3504)
static void C_ccall f_3504(C_word c,C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_3532)
static void C_ccall f_3532(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3528)
static void C_ccall f_3528(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3520)
static void C_ccall f_3520(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3448)
static void C_ccall f_3448(C_word c,C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_3458)
static void C_ccall f_3458(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3435)
static void C_ccall f_3435(C_word c,C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_3426)
static void C_ccall f_3426(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_3357)
static void C_ccall f_3357(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_3357)
static void C_ccall f_3357r(C_word t0,C_word t1,C_word t3) C_noret;
C_noret_decl(f_3373)
static void C_ccall f_3373(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3364)
static void C_ccall f_3364(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3337)
static void C_ccall f_3337(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
C_noret_decl(f_3337)
static void C_ccall f_3337r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
C_noret_decl(f_3341)
static void C_ccall f_3341(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3347)
static void C_ccall f_3347(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_3347)
static void C_ccall f_3347r(C_word t0,C_word t1,C_word t3) C_noret;
C_noret_decl(f_3351)
static void C_ccall f_3351(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3317)
static void C_ccall f_3317(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
C_noret_decl(f_3317)
static void C_ccall f_3317r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
C_noret_decl(f_3321)
static void C_ccall f_3321(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3327)
static void C_ccall f_3327(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_3327)
static void C_ccall f_3327r(C_word t0,C_word t1,C_word t3) C_noret;
C_noret_decl(f_3331)
static void C_ccall f_3331(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3293)
static void C_ccall f_3293(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
C_noret_decl(f_3293)
static void C_ccall f_3293r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
C_noret_decl(f_3297)
static void C_ccall f_3297(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3308)
static void C_ccall f_3308(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_3308)
static void C_ccall f_3308r(C_word t0,C_word t1,C_word t3) C_noret;
C_noret_decl(f_3312)
static void C_ccall f_3312(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3302)
static void C_ccall f_3302(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3269)
static void C_ccall f_3269(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
C_noret_decl(f_3269)
static void C_ccall f_3269r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
C_noret_decl(f_3273)
static void C_ccall f_3273(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3284)
static void C_ccall f_3284(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_3284)
static void C_ccall f_3284r(C_word t0,C_word t1,C_word t3) C_noret;
C_noret_decl(f_3288)
static void C_ccall f_3288(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3278)
static void C_ccall f_3278(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3250)
static void C_ccall f_3250(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_3254)
static void C_ccall f_3254(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3257)
static void C_ccall f_3257(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3214)
static void C_ccall f_3214(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
C_noret_decl(f_3214)
static void C_ccall f_3214r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
C_noret_decl(f_3245)
static void C_ccall f_3245(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3235)
static void C_ccall f_3235(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3228)
static void C_ccall f_3228(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3178)
static void C_ccall f_3178(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
C_noret_decl(f_3178)
static void C_ccall f_3178r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
C_noret_decl(f_3209)
static void C_ccall f_3209(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3199)
static void C_ccall f_3199(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3192)
static void C_ccall f_3192(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3160)
static void C_fcall f_3160(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_3164)
static void C_ccall f_3164(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3176)
static void C_ccall f_3176(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3154)
static void C_fcall f_3154(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2785)
static void C_ccall f_2785(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_3132)
static void C_ccall f_3132(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2931)
static void C_fcall f_2931(C_word t0,C_word t1) C_noret;
C_noret_decl(f_3118)
static void C_ccall f_3118(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3107)
static void C_ccall f_3107(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3114)
static void C_ccall f_3114(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2961)
static void C_fcall f_2961(C_word t0,C_word t1) C_noret;
C_noret_decl(f_3100)
static void C_ccall f_3100(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3079)
static void C_ccall f_3079(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3096)
static void C_ccall f_3096(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3085)
static void C_ccall f_3085(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3092)
static void C_ccall f_3092(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3003)
static void C_fcall f_3003(C_word t0,C_word t1) C_noret;
C_noret_decl(f_3076)
static void C_ccall f_3076(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3055)
static void C_ccall f_3055(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3072)
static void C_ccall f_3072(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3061)
static void C_ccall f_3061(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3068)
static void C_ccall f_3068(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3009)
static void C_ccall f_3009(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3052)
static void C_ccall f_3052(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3048)
static void C_ccall f_3048(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3041)
static void C_ccall f_3041(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3037)
static void C_ccall f_3037(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3016)
static void C_ccall f_3016(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_3020)
static void C_ccall f_3020(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2997)
static void C_ccall f_2997(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2984)
static void C_ccall f_2984(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2968)
static void C_ccall f_2968(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2972)
static void C_ccall f_2972(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2976)
static void C_ccall f_2976(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2955)
static void C_ccall f_2955(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2942)
static void C_ccall f_2942(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2938)
static void C_ccall f_2938(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2925)
static void C_ccall f_2925(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2792)
static void C_ccall f_2792(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2911)
static void C_ccall f_2911(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2799)
static void C_ccall f_2799(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2801)
static void C_fcall f_2801(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_2808)
static void C_ccall f_2808(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2883)
static void C_ccall f_2883(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2892)
static void C_ccall f_2892(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2880)
static void C_fcall f_2880(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2814)
static void C_ccall f_2814(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2861)
static void C_ccall f_2861(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2849)
static void C_ccall f_2849(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2857)
static void C_ccall f_2857(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2853)
static void C_ccall f_2853(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2830)
static void C_ccall f_2830(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2838)
static void C_ccall f_2838(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2834)
static void C_ccall f_2834(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2729)
static void C_fcall f_2729(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2738)
static void C_ccall f_2738(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2762)
static void C_ccall f_2762(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2774)
static void C_ccall f_2774(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_2774)
static void C_ccall f_2774r(C_word t0,C_word t1,C_word t3) C_noret;
C_noret_decl(f_2780)
static void C_ccall f_2780(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2768)
static void C_ccall f_2768(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2744)
static void C_ccall f_2744(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2750)
static void C_ccall f_2750(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2736)
static void C_ccall f_2736(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2713)
static void C_fcall f_2713(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2669)
static void C_ccall f_2669(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_2669)
static void C_ccall f_2669r(C_word t0,C_word t1,C_word t3) C_noret;
C_noret_decl(f_2682)
static void C_ccall f_2682(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2685)
static void C_ccall f_2685(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2642)
static void C_ccall f_2642(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2667)
static void C_ccall f_2667(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2663)
static void C_ccall f_2663(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2649)
static void C_ccall f_2649(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2485)
static void C_ccall f_2485(C_word c,C_word t0,C_word t1,...) C_noret;
C_noret_decl(f_2485)
static void C_ccall f_2485r(C_word t0,C_word t1,C_word t3) C_noret;
C_noret_decl(f_2593)
static void C_fcall f_2593(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2601)
static void C_ccall f_2601(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2588)
static void C_fcall f_2588(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2487)
static void C_fcall f_2487(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_2494)
static void C_ccall f_2494(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2497)
static void C_ccall f_2497(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2500)
static void C_ccall f_2500(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2587)
static void C_ccall f_2587(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2504)
static void C_ccall f_2504(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2521)
static void C_fcall f_2521(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2531)
static void C_ccall f_2531(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2543)
static void C_fcall f_2543(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2553)
static void C_ccall f_2553(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2513)
static void C_ccall f_2513(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2460)
static void C_ccall f_2460(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2483)
static void C_ccall f_2483(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2467)
static void C_ccall f_2467(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2476)
static void C_ccall f_2476(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2470)
static void C_ccall f_2470(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2435)
static void C_ccall f_2435(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2458)
static void C_ccall f_2458(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2442)
static void C_ccall f_2442(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2451)
static void C_ccall f_2451(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2445)
static void C_ccall f_2445(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2316)
static void C_ccall f_2316(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
C_noret_decl(f_2316)
static void C_ccall f_2316r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
C_noret_decl(f_2326)
static void C_ccall f_2326(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2421)
static void C_ccall f_2421(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2413)
static void C_ccall f_2413(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2332)
static void C_ccall f_2332(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2344)
static void C_fcall f_2344(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2358)
static void C_ccall f_2358(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2391)
static void C_ccall f_2391(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2394)
static void C_ccall f_2394(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2371)
static void C_fcall f_2371(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2388)
static void C_ccall f_2388(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2380)
static void C_ccall f_2380(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2361)
static void C_ccall f_2361(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2329)
static void C_ccall f_2329(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2254)
static void C_ccall f_2254(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
C_noret_decl(f_2254)
static void C_ccall f_2254r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
C_noret_decl(f_2267)
static void C_ccall f_2267(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2279)
static void C_ccall f_2279(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2273)
static void C_ccall f_2273(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2230)
static void C_fcall f_2230(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2232)
static void C_ccall f_2232(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2225)
static void C_ccall f_2225(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2202)
static void C_ccall f_2202(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2223)
static void C_ccall f_2223(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2209)
static void C_ccall f_2209(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2196)
static void C_ccall f_2196(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2200)
static void C_ccall f_2200(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2190)
static void C_ccall f_2190(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2194)
static void C_ccall f_2194(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2184)
static void C_ccall f_2184(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2188)
static void C_ccall f_2188(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2178)
static void C_ccall f_2178(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2182)
static void C_ccall f_2182(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2168)
static void C_ccall f_2168(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2172)
static void C_ccall f_2172(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2144)
static void C_ccall f_2144(C_word c,C_word t0,C_word t1,C_word t2,...) C_noret;
C_noret_decl(f_2144)
static void C_ccall f_2144r(C_word t0,C_word t1,C_word t2,C_word t4) C_noret;
C_noret_decl(f_2151)
static void C_ccall f_2151(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2106)
static void C_fcall f_2106(C_word t0,C_word t1) C_noret;
C_noret_decl(f_2139)
static void C_ccall f_2139(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2135)
static void C_ccall f_2135(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2110)
static void C_ccall f_2110(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2119)
static void C_ccall f_2119(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2068)
static void C_ccall f_2068(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_2075)
static void C_ccall f_2075(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2078)
static void C_ccall f_2078(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2098)
static void C_ccall f_2098(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2081)
static void C_ccall f_2081(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2088)
static void C_ccall f_2088(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2026)
static void C_ccall f_2026(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
C_noret_decl(f_2026)
static void C_ccall f_2026r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
C_noret_decl(f_2033)
static void C_ccall f_2033(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2048)
static void C_ccall f_2048(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2042)
static void C_ccall f_2042(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_1981)
static void C_ccall f_1981(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
C_noret_decl(f_1981)
static void C_ccall f_1981r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
C_noret_decl(f_1991)
static void C_ccall f_1991(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_1994)
static void C_ccall f_1994(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_2006)
static void C_ccall f_2006(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_1997)
static void C_ccall f_1997(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_1963)
static void C_ccall f_1963(C_word c,C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_1976)
static void C_ccall f_1976(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_1922)
static void C_ccall f_1922(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...) C_noret;
C_noret_decl(f_1922)
static void C_ccall f_1922r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t5) C_noret;
C_noret_decl(f_1955)
static void C_ccall f_1955(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_1939)
static void C_ccall f_1939(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_1948)
static void C_ccall f_1948(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_1942)
static void C_ccall f_1942(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_1876)
static void C_ccall f_1876(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,...) C_noret;
C_noret_decl(f_1876)
static void C_ccall f_1876r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t6) C_noret;
C_noret_decl(f_1880)
static void C_ccall f_1880(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_1891)
static void C_ccall f_1891(C_word c,C_word t0,C_word t1) C_noret;
C_noret_decl(f_1887)
static void C_ccall f_1887(C_word c,C_word t0,C_word t1) C_noret;

C_noret_decl(trf_5337)
static void C_fcall trf_5337(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_5337(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_5337(t0,t1);}

C_noret_decl(trf_5332)
static void C_fcall trf_5332(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_5332(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_5332(t0,t1,t2);}

C_noret_decl(trf_5327)
static void C_fcall trf_5327(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_5327(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_5327(t0,t1,t2,t3);}

C_noret_decl(trf_5162)
static void C_fcall trf_5162(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_5162(void *dummy){
C_word t4=C_pick(0);
C_word t3=C_pick(1);
C_word t2=C_pick(2);
C_word t1=C_pick(3);
C_word t0=C_pick(4);
C_adjust_stack(-5);
f_5162(t0,t1,t2,t3,t4);}

C_noret_decl(trf_5169)
static void C_fcall trf_5169(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_5169(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_5169(t0,t1);}

C_noret_decl(trf_5181)
static void C_fcall trf_5181(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_5181(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_5181(t0,t1,t2,t3);}

C_noret_decl(trf_4970)
static void C_fcall trf_4970(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4970(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_4970(t0,t1);}

C_noret_decl(trf_4965)
static void C_fcall trf_4965(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4965(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_4965(t0,t1,t2);}

C_noret_decl(trf_4960)
static void C_fcall trf_4960(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4960(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_4960(t0,t1,t2,t3);}

C_noret_decl(trf_4955)
static void C_fcall trf_4955(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4955(void *dummy){
C_word t4=C_pick(0);
C_word t3=C_pick(1);
C_word t2=C_pick(2);
C_word t1=C_pick(3);
C_word t0=C_pick(4);
C_adjust_stack(-5);
f_4955(t0,t1,t2,t3,t4);}

C_noret_decl(trf_4893)
static void C_fcall trf_4893(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4893(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_4893(t0,t1);}

C_noret_decl(trf_4888)
static void C_fcall trf_4888(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4888(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_4888(t0,t1,t2);}

C_noret_decl(trf_4883)
static void C_fcall trf_4883(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4883(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_4883(t0,t1,t2,t3);}

C_noret_decl(trf_4878)
static void C_fcall trf_4878(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4878(void *dummy){
C_word t4=C_pick(0);
C_word t3=C_pick(1);
C_word t2=C_pick(2);
C_word t1=C_pick(3);
C_word t0=C_pick(4);
C_adjust_stack(-5);
f_4878(t0,t1,t2,t3,t4);}

C_noret_decl(trf_4798)
static void C_fcall trf_4798(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4798(void *dummy){
C_word t6=C_pick(0);
C_word t5=C_pick(1);
C_word t4=C_pick(2);
C_word t3=C_pick(3);
C_word t2=C_pick(4);
C_word t1=C_pick(5);
C_word t0=C_pick(6);
C_adjust_stack(-7);
f_4798(t0,t1,t2,t3,t4,t5,t6);}

C_noret_decl(trf_4835)
static void C_fcall trf_4835(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4835(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_4835(t0,t1);}

C_noret_decl(trf_4530)
static void C_fcall trf_4530(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4530(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_4530(t0,t1);}

C_noret_decl(trf_4525)
static void C_fcall trf_4525(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4525(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_4525(t0,t1,t2);}

C_noret_decl(trf_4520)
static void C_fcall trf_4520(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4520(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_4520(t0,t1,t2,t3);}

C_noret_decl(trf_4508)
static void C_fcall trf_4508(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4508(void *dummy){
C_word t4=C_pick(0);
C_word t3=C_pick(1);
C_word t2=C_pick(2);
C_word t1=C_pick(3);
C_word t0=C_pick(4);
C_adjust_stack(-5);
f_4508(t0,t1,t2,t3,t4);}

C_noret_decl(trf_4446)
static void C_fcall trf_4446(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4446(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_4446(t0,t1);}

C_noret_decl(trf_4441)
static void C_fcall trf_4441(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4441(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_4441(t0,t1,t2);}

C_noret_decl(trf_4436)
static void C_fcall trf_4436(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4436(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_4436(t0,t1,t2,t3);}

C_noret_decl(trf_4424)
static void C_fcall trf_4424(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4424(void *dummy){
C_word t4=C_pick(0);
C_word t3=C_pick(1);
C_word t2=C_pick(2);
C_word t1=C_pick(3);
C_word t0=C_pick(4);
C_adjust_stack(-5);
f_4424(t0,t1,t2,t3,t4);}

C_noret_decl(trf_4407)
static void C_fcall trf_4407(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4407(void *dummy){
C_word t4=C_pick(0);
C_word t3=C_pick(1);
C_word t2=C_pick(2);
C_word t1=C_pick(3);
C_word t0=C_pick(4);
C_adjust_stack(-5);
f_4407(t0,t1,t2,t3,t4);}

C_noret_decl(trf_4371)
static void C_fcall trf_4371(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4371(void *dummy){
C_word t6=C_pick(0);
C_word t5=C_pick(1);
C_word t4=C_pick(2);
C_word t3=C_pick(3);
C_word t2=C_pick(4);
C_word t1=C_pick(5);
C_word t0=C_pick(6);
C_adjust_stack(-7);
f_4371(t0,t1,t2,t3,t4,t5,t6);}

C_noret_decl(trf_4321)
static void C_fcall trf_4321(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4321(void *dummy){
C_word t4=C_pick(0);
C_word t3=C_pick(1);
C_word t2=C_pick(2);
C_word t1=C_pick(3);
C_word t0=C_pick(4);
C_adjust_stack(-5);
f_4321(t0,t1,t2,t3,t4);}

C_noret_decl(trf_4333)
static void C_fcall trf_4333(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4333(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_4333(t0,t1,t2,t3);}

C_noret_decl(trf_4230)
static void C_fcall trf_4230(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4230(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_4230(t0,t1,t2,t3);}

C_noret_decl(trf_4273)
static void C_fcall trf_4273(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4273(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_4273(t0,t1,t2,t3);}

C_noret_decl(trf_4235)
static void C_fcall trf_4235(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4235(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_4235(t0,t1,t2);}

C_noret_decl(trf_4244)
static void C_fcall trf_4244(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4244(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_4244(t0,t1,t2);}

C_noret_decl(trf_4124)
static void C_fcall trf_4124(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4124(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_4124(t0,t1,t2);}

C_noret_decl(trf_4161)
static void C_fcall trf_4161(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_4161(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_4161(t0,t1,t2);}

C_noret_decl(trf_3825)
static void C_fcall trf_3825(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_3825(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_3825(t0,t1,t2);}

C_noret_decl(trf_3765)
static void C_fcall trf_3765(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_3765(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_3765(t0,t1,t2);}

C_noret_decl(trf_3777)
static void C_fcall trf_3777(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_3777(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_3777(t0,t1,t2);}

C_noret_decl(trf_3704)
static void C_fcall trf_3704(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_3704(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_3704(t0,t1);}

C_noret_decl(trf_3616)
static void C_fcall trf_3616(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_3616(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_3616(t0,t1,t2,t3);}

C_noret_decl(trf_3579)
static void C_fcall trf_3579(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_3579(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_3579(t0,t1,t2);}

C_noret_decl(trf_3534)
static void C_fcall trf_3534(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_3534(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_3534(t0,t1,t2,t3);}

C_noret_decl(trf_3160)
static void C_fcall trf_3160(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_3160(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_3160(t0,t1,t2,t3);}

C_noret_decl(trf_3154)
static void C_fcall trf_3154(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_3154(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_3154(t0,t1);}

C_noret_decl(trf_2931)
static void C_fcall trf_2931(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2931(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_2931(t0,t1);}

C_noret_decl(trf_2961)
static void C_fcall trf_2961(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2961(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_2961(t0,t1);}

C_noret_decl(trf_3003)
static void C_fcall trf_3003(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_3003(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_3003(t0,t1);}

C_noret_decl(trf_2801)
static void C_fcall trf_2801(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2801(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_2801(t0,t1,t2,t3);}

C_noret_decl(trf_2880)
static void C_fcall trf_2880(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2880(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_2880(t0,t1);}

C_noret_decl(trf_2729)
static void C_fcall trf_2729(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2729(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_2729(t0,t1);}

C_noret_decl(trf_2713)
static void C_fcall trf_2713(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2713(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_2713(t0,t1);}

C_noret_decl(trf_2593)
static void C_fcall trf_2593(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2593(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_2593(t0,t1);}

C_noret_decl(trf_2588)
static void C_fcall trf_2588(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2588(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_2588(t0,t1,t2);}

C_noret_decl(trf_2487)
static void C_fcall trf_2487(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2487(void *dummy){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
f_2487(t0,t1,t2,t3);}

C_noret_decl(trf_2521)
static void C_fcall trf_2521(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2521(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_2521(t0,t1);}

C_noret_decl(trf_2543)
static void C_fcall trf_2543(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2543(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_2543(t0,t1);}

C_noret_decl(trf_2344)
static void C_fcall trf_2344(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2344(void *dummy){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
f_2344(t0,t1,t2);}

C_noret_decl(trf_2371)
static void C_fcall trf_2371(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2371(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_2371(t0,t1);}

C_noret_decl(trf_2230)
static void C_fcall trf_2230(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2230(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_2230(t0,t1);}

C_noret_decl(trf_2106)
static void C_fcall trf_2106(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall trf_2106(void *dummy){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
f_2106(t0,t1);}

C_noret_decl(tr6)
static void C_fcall tr6(C_proc6 k) C_regparm C_noret;
C_regparm static void C_fcall tr6(C_proc6 k){
C_word t5=C_pick(0);
C_word t4=C_pick(1);
C_word t3=C_pick(2);
C_word t2=C_pick(3);
C_word t1=C_pick(4);
C_word t0=C_pick(5);
C_adjust_stack(-6);
(k)(6,t0,t1,t2,t3,t4,t5);}

C_noret_decl(tr5)
static void C_fcall tr5(C_proc5 k) C_regparm C_noret;
C_regparm static void C_fcall tr5(C_proc5 k){
C_word t4=C_pick(0);
C_word t3=C_pick(1);
C_word t2=C_pick(2);
C_word t1=C_pick(3);
C_word t0=C_pick(4);
C_adjust_stack(-5);
(k)(5,t0,t1,t2,t3,t4);}

C_noret_decl(tr3)
static void C_fcall tr3(C_proc3 k) C_regparm C_noret;
C_regparm static void C_fcall tr3(C_proc3 k){
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
(k)(3,t0,t1,t2);}

C_noret_decl(tr4)
static void C_fcall tr4(C_proc4 k) C_regparm C_noret;
C_regparm static void C_fcall tr4(C_proc4 k){
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
(k)(4,t0,t1,t2,t3);}

C_noret_decl(tr2)
static void C_fcall tr2(C_proc2 k) C_regparm C_noret;
C_regparm static void C_fcall tr2(C_proc2 k){
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
(k)(2,t0,t1);}

C_noret_decl(tr5r)
static void C_fcall tr5r(C_proc5 k) C_regparm C_noret;
C_regparm static void C_fcall tr5r(C_proc5 k){
int n;
C_word *a,t5;
C_word t4=C_pick(0);
C_word t3=C_pick(1);
C_word t2=C_pick(2);
C_word t1=C_pick(3);
C_word t0=C_pick(4);
C_adjust_stack(-5);
n=C_rest_count(0);
a=C_alloc(n*3);
t5=C_restore_rest(a,n);
(k)(t0,t1,t2,t3,t4,t5);}

C_noret_decl(tr2r)
static void C_fcall tr2r(C_proc2 k) C_regparm C_noret;
C_regparm static void C_fcall tr2r(C_proc2 k){
int n;
C_word *a,t2;
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
n=C_rest_count(0);
a=C_alloc(n*3);
t2=C_restore_rest(a,n);
(k)(t0,t1,t2);}

C_noret_decl(tr3r)
static void C_fcall tr3r(C_proc3 k) C_regparm C_noret;
C_regparm static void C_fcall tr3r(C_proc3 k){
int n;
C_word *a,t3;
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
n=C_rest_count(0);
a=C_alloc(n*3);
t3=C_restore_rest(a,n);
(k)(t0,t1,t2,t3);}

C_noret_decl(tr4r)
static void C_fcall tr4r(C_proc4 k) C_regparm C_noret;
C_regparm static void C_fcall tr4r(C_proc4 k){
int n;
C_word *a,t4;
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
n=C_rest_count(0);
a=C_alloc(n*3);
t4=C_restore_rest(a,n);
(k)(t0,t1,t2,t3,t4);}

C_noret_decl(tr2rv)
static void C_fcall tr2rv(C_proc2 k) C_regparm C_noret;
C_regparm static void C_fcall tr2rv(C_proc2 k){
int n;
C_word *a,t2;
C_word t1=C_pick(0);
C_word t0=C_pick(1);
C_adjust_stack(-2);
n=C_rest_count(0);
a=C_alloc(n+1);
t2=C_restore_rest_vector(a,n);
(k)(t0,t1,t2);}

C_noret_decl(tr4rv)
static void C_fcall tr4rv(C_proc4 k) C_regparm C_noret;
C_regparm static void C_fcall tr4rv(C_proc4 k){
int n;
C_word *a,t4;
C_word t3=C_pick(0);
C_word t2=C_pick(1);
C_word t1=C_pick(2);
C_word t0=C_pick(3);
C_adjust_stack(-4);
n=C_rest_count(0);
a=C_alloc(n+1);
t4=C_restore_rest_vector(a,n);
(k)(t0,t1,t2,t3,t4);}

C_noret_decl(tr3rv)
static void C_fcall tr3rv(C_proc3 k) C_regparm C_noret;
C_regparm static void C_fcall tr3rv(C_proc3 k){
int n;
C_word *a,t3;
C_word t2=C_pick(0);
C_word t1=C_pick(1);
C_word t0=C_pick(2);
C_adjust_stack(-3);
n=C_rest_count(0);
a=C_alloc(n+1);
t3=C_restore_rest_vector(a,n);
(k)(t0,t1,t2,t3);}

C_noret_decl(tr9rv)
static void C_fcall tr9rv(C_proc9 k) C_regparm C_noret;
C_regparm static void C_fcall tr9rv(C_proc9 k){
int n;
C_word *a,t9;
C_word t8=C_pick(0);
C_word t7=C_pick(1);
C_word t6=C_pick(2);
C_word t5=C_pick(3);
C_word t4=C_pick(4);
C_word t3=C_pick(5);
C_word t2=C_pick(6);
C_word t1=C_pick(7);
C_word t0=C_pick(8);
C_adjust_stack(-9);
n=C_rest_count(0);
a=C_alloc(n+1);
t9=C_restore_rest_vector(a,n);
(k)(t0,t1,t2,t3,t4,t5,t6,t7,t8,t9);}

/* toplevel */
static C_TLS int toplevel_initialized=0;
C_noret_decl(toplevel_trampoline)
static void C_fcall toplevel_trampoline(void *dummy) C_regparm C_noret;
C_regparm static void C_fcall toplevel_trampoline(void *dummy){
C_posix_toplevel(2,C_SCHEME_UNDEFINED,C_restore);}

void C_ccall C_posix_toplevel(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(toplevel_initialized) C_kontinue(t1,C_SCHEME_UNDEFINED);
else C_toplevel_entry(C_text("posix_toplevel"));
C_check_nursery_minimum(3);
if(!C_demand(3)){
C_save(t1);
C_reclaim((void*)toplevel_trampoline,NULL);}
toplevel_initialized=1;
if(!C_demand_2(3064)){
C_save(t1);
C_rereclaim2(3064*sizeof(C_word), 1);
t1=C_restore;}
a=C_alloc(3);
C_initialize_lf(lf,392);
lf[1]=C_decode_literal(C_heaptop,"\376B\000\000/this function is not available on this platform");
lf[2]=C_h_intern(&lf[2],13,"string-append");
lf[4]=C_h_intern(&lf[4],15,"\003syssignal-hook");
lf[5]=C_decode_literal(C_heaptop,"\376B\000\000\003 - ");
lf[6]=C_h_intern(&lf[6],17,"\003syspeek-c-string");
lf[7]=C_h_intern(&lf[7],16,"\003sysupdate-errno");
lf[8]=C_h_intern(&lf[8],15,"\003sysposix-error");
lf[9]=C_h_intern(&lf[9],8,"pipe/buf");
lf[10]=C_h_intern(&lf[10],11,"open/rdonly");
lf[11]=C_h_intern(&lf[11],11,"open/wronly");
lf[12]=C_h_intern(&lf[12],9,"open/rdwr");
lf[13]=C_h_intern(&lf[13],9,"open/read");
lf[14]=C_h_intern(&lf[14],10,"open/write");
lf[15]=C_h_intern(&lf[15],10,"open/creat");
lf[16]=C_h_intern(&lf[16],11,"open/append");
lf[17]=C_h_intern(&lf[17],9,"open/excl");
lf[18]=C_h_intern(&lf[18],10,"open/trunc");
lf[19]=C_h_intern(&lf[19],11,"open/binary");
lf[20]=C_h_intern(&lf[20],9,"open/text");
lf[21]=C_h_intern(&lf[21],14,"open/noinherit");
lf[22]=C_h_intern(&lf[22],10,"perm/irusr");
lf[23]=C_h_intern(&lf[23],10,"perm/iwusr");
lf[24]=C_h_intern(&lf[24],10,"perm/ixusr");
lf[25]=C_h_intern(&lf[25],10,"perm/irgrp");
lf[26]=C_h_intern(&lf[26],10,"perm/iwgrp");
lf[27]=C_h_intern(&lf[27],10,"perm/ixgrp");
lf[28]=C_h_intern(&lf[28],10,"perm/iroth");
lf[29]=C_h_intern(&lf[29],10,"perm/iwoth");
lf[30]=C_h_intern(&lf[30],10,"perm/ixoth");
lf[31]=C_h_intern(&lf[31],10,"perm/irwxu");
lf[32]=C_h_intern(&lf[32],10,"perm/irwxg");
lf[33]=C_h_intern(&lf[33],10,"perm/irwxo");
lf[34]=C_h_intern(&lf[34],9,"file-open");
lf[35]=C_h_intern(&lf[35],11,"\000file-error");
lf[36]=C_decode_literal(C_heaptop,"\376B\000\000\020cannot open file");
lf[37]=C_h_intern(&lf[37],17,"\003sysmake-c-string");
lf[38]=C_h_intern(&lf[38],20,"\003sysexpand-home-path");
lf[39]=C_h_intern(&lf[39],10,"file-close");
lf[40]=C_decode_literal(C_heaptop,"\376B\000\000\021cannot close file");
lf[41]=C_h_intern(&lf[41],11,"make-string");
lf[42]=C_h_intern(&lf[42],9,"file-read");
lf[43]=C_decode_literal(C_heaptop,"\376B\000\000\025cannot read from file");
lf[44]=C_h_intern(&lf[44],11,"\000type-error");
lf[45]=C_decode_literal(C_heaptop,"\376B\000\000(bad argument type - not a string or blob");
lf[46]=C_h_intern(&lf[46],10,"file-write");
lf[47]=C_decode_literal(C_heaptop,"\376B\000\000\024cannot write to file");
lf[48]=C_decode_literal(C_heaptop,"\376B\000\000(bad argument type - not a string or blob");
lf[49]=C_h_intern(&lf[49],13,"string-length");
lf[50]=C_h_intern(&lf[50],12,"file-mkstemp");
lf[51]=C_h_intern(&lf[51],13,"\003syssubstring");
lf[52]=C_decode_literal(C_heaptop,"\376B\000\000\034cannot create temporary file");
lf[53]=C_h_intern(&lf[53],8,"seek/set");
lf[54]=C_h_intern(&lf[54],8,"seek/end");
lf[55]=C_h_intern(&lf[55],8,"seek/cur");
lf[57]=C_decode_literal(C_heaptop,"\376B\000\000\022cannot access file");
lf[58]=C_decode_literal(C_heaptop,"\376B\000\000*bad argument type - not a fixnum or string");
lf[59]=C_h_intern(&lf[59],9,"file-stat");
lf[60]=C_h_intern(&lf[60],9,"file-size");
lf[61]=C_h_intern(&lf[61],22,"file-modification-time");
lf[62]=C_h_intern(&lf[62],16,"file-access-time");
lf[63]=C_h_intern(&lf[63],16,"file-change-time");
lf[64]=C_h_intern(&lf[64],10,"file-owner");
lf[65]=C_h_intern(&lf[65],16,"file-permissions");
lf[66]=C_h_intern(&lf[66],13,"regular-file\077");
lf[67]=C_h_intern(&lf[67],13,"\003sysfile-info");
lf[68]=C_h_intern(&lf[68],14,"symbolic-link\077");
lf[69]=C_h_intern(&lf[69],17,"character-device\077");
lf[70]=C_h_intern(&lf[70],13,"block-device\077");
lf[71]=C_h_intern(&lf[71],5,"fifo\077");
lf[72]=C_h_intern(&lf[72],7,"socket\077");
lf[73]=C_h_intern(&lf[73],18,"set-file-position!");
lf[74]=C_decode_literal(C_heaptop,"\376B\000\000\030cannot set file position");
lf[75]=C_h_intern(&lf[75],6,"stream");
lf[76]=C_decode_literal(C_heaptop,"\376B\000\000\014invalid file");
lf[77]=C_h_intern(&lf[77],5,"port\077");
lf[78]=C_h_intern(&lf[78],13,"\000bounds-error");
lf[79]=C_decode_literal(C_heaptop,"\376B\000\000\036invalid negative port position");
lf[80]=C_h_intern(&lf[80],13,"file-position");
lf[81]=C_h_intern(&lf[81],16,"create-directory");
lf[82]=C_decode_literal(C_heaptop,"\376B\000\000\027cannot create directory");
lf[83]=C_h_intern(&lf[83],12,"file-exists\077");
lf[84]=C_decode_literal(C_heaptop,"\376B\000\000\001/");
lf[85]=C_h_intern(&lf[85],12,"string-split");
lf[86]=C_decode_literal(C_heaptop,"\376B\000\000\002/\134");
lf[87]=C_h_intern(&lf[87],16,"change-directory");
lf[88]=C_decode_literal(C_heaptop,"\376B\000\000\037cannot change current directory");
lf[89]=C_h_intern(&lf[89],16,"delete-directory");
lf[90]=C_decode_literal(C_heaptop,"\376B\000\000\027cannot delete directory");
lf[91]=C_h_intern(&lf[91],6,"string");
lf[92]=C_h_intern(&lf[92],9,"directory");
lf[93]=C_decode_literal(C_heaptop,"\376B\000\000\025cannot open directory");
lf[94]=C_h_intern(&lf[94],16,"\003sysmake-pointer");
lf[95]=C_h_intern(&lf[95],17,"current-directory");
lf[96]=C_h_intern(&lf[96],10,"directory\077");
lf[97]=C_h_intern(&lf[97],27,"\003sysplatform-fixup-pathname");
lf[98]=C_decode_literal(C_heaptop,"\376B\000\000!cannot retrieve current directory");
lf[99]=C_h_intern(&lf[99],5,"null\077");
lf[100]=C_h_intern(&lf[100],6,"char=\077");
lf[101]=C_h_intern(&lf[101],8,"string=\077");
lf[102]=C_h_intern(&lf[102],16,"char-alphabetic\077");
lf[103]=C_h_intern(&lf[103],10,"string-ref");
lf[104]=C_h_intern(&lf[104],18,"string-intersperse");
lf[105]=C_decode_literal(C_heaptop,"\376B\000\000\001\134");
lf[106]=C_h_intern(&lf[106],17,"current-user-name");
lf[107]=C_h_intern(&lf[107],9,"condition");
lf[108]=C_decode_literal(C_heaptop,"\376B\000\000\003c:\134");
lf[109]=C_h_intern(&lf[109],22,"with-exception-handler");
lf[110]=C_h_intern(&lf[110],30,"call-with-current-continuation");
lf[111]=C_h_intern(&lf[111],14,"canonical-path");
lf[112]=C_decode_literal(C_heaptop,"\376B\000\000\000");
lf[113]=C_h_intern(&lf[113],7,"reverse");
lf[114]=C_decode_literal(C_heaptop,"\376B\000\000\001.");
lf[115]=C_decode_literal(C_heaptop,"\376B\000\000\002..");
lf[116]=C_decode_literal(C_heaptop,"\376B\000\000\002/\134");
lf[117]=C_decode_literal(C_heaptop,"\376B\000\000\001\134");
lf[118]=C_decode_literal(C_heaptop,"\376B\000\000\001\134");
lf[119]=C_decode_literal(C_heaptop,"\376B\000\000\027Documents and Settings\134");
lf[120]=C_decode_literal(C_heaptop,"\376B\000\000\001\134");
lf[121]=C_decode_literal(C_heaptop,"\376B\000\000\001\134");
lf[122]=C_decode_literal(C_heaptop,"\376B\000\000\001\134");
lf[123]=C_h_intern(&lf[123],9,"\003syserror");
lf[124]=C_decode_literal(C_heaptop,"\376B\000\000#illegal input/output mode specifier");
lf[125]=C_decode_literal(C_heaptop,"\376B\000\000\020cannot open pipe");
lf[126]=C_h_intern(&lf[126],13,"\003sysmake-port");
lf[127]=C_h_intern(&lf[127],21,"\003sysstream-port-class");
lf[128]=C_decode_literal(C_heaptop,"\376B\000\000\006(pipe)");
lf[129]=C_h_intern(&lf[129],15,"open-input-pipe");
lf[130]=C_h_intern(&lf[130],5,"\000text");
lf[131]=C_h_intern(&lf[131],7,"\000binary");
lf[132]=C_h_intern(&lf[132],16,"open-output-pipe");
lf[133]=C_h_intern(&lf[133],16,"close-input-pipe");
lf[134]=C_decode_literal(C_heaptop,"\376B\000\000\030error while closing pipe");
lf[135]=C_h_intern(&lf[135],14,"\003syscheck-port");
lf[136]=C_h_intern(&lf[136],17,"close-output-pipe");
lf[137]=C_h_intern(&lf[137],20,"call-with-input-pipe");
lf[138]=C_h_intern(&lf[138],21,"call-with-output-pipe");
lf[139]=C_h_intern(&lf[139],20,"with-input-from-pipe");
lf[140]=C_h_intern(&lf[140],18,"\003sysstandard-input");
lf[141]=C_h_intern(&lf[141],19,"with-output-to-pipe");
lf[142]=C_h_intern(&lf[142],19,"\003sysstandard-output");
lf[143]=C_h_intern(&lf[143],11,"create-pipe");
lf[144]=C_decode_literal(C_heaptop,"\376B\000\000\022cannot create pipe");
lf[145]=C_h_intern(&lf[145],11,"signal/term");
lf[146]=C_h_intern(&lf[146],10,"signal/int");
lf[147]=C_h_intern(&lf[147],10,"signal/fpe");
lf[148]=C_h_intern(&lf[148],10,"signal/ill");
lf[149]=C_h_intern(&lf[149],11,"signal/segv");
lf[150]=C_h_intern(&lf[150],11,"signal/abrt");
lf[151]=C_h_intern(&lf[151],12,"signal/break");
lf[152]=C_h_intern(&lf[152],11,"signal/alrm");
lf[153]=C_h_intern(&lf[153],11,"signal/chld");
lf[154]=C_h_intern(&lf[154],11,"signal/cont");
lf[155]=C_h_intern(&lf[155],10,"signal/hup");
lf[156]=C_h_intern(&lf[156],9,"signal/io");
lf[157]=C_h_intern(&lf[157],11,"signal/kill");
lf[158]=C_h_intern(&lf[158],11,"signal/pipe");
lf[159]=C_h_intern(&lf[159],11,"signal/prof");
lf[160]=C_h_intern(&lf[160],11,"signal/quit");
lf[161]=C_h_intern(&lf[161],11,"signal/stop");
lf[162]=C_h_intern(&lf[162],11,"signal/trap");
lf[163]=C_h_intern(&lf[163],11,"signal/tstp");
lf[164]=C_h_intern(&lf[164],10,"signal/urg");
lf[165]=C_h_intern(&lf[165],11,"signal/usr1");
lf[166]=C_h_intern(&lf[166],11,"signal/usr2");
lf[167]=C_h_intern(&lf[167],13,"signal/vtalrm");
lf[168]=C_h_intern(&lf[168],12,"signal/winch");
lf[169]=C_h_intern(&lf[169],11,"signal/xcpu");
lf[170]=C_h_intern(&lf[170],11,"signal/xfsz");
lf[171]=C_h_intern(&lf[171],12,"signals-list");
lf[172]=C_h_intern(&lf[172],18,"\003sysinterrupt-hook");
lf[173]=C_h_intern(&lf[173],14,"signal-handler");
lf[174]=C_h_intern(&lf[174],19,"set-signal-handler!");
lf[175]=C_h_intern(&lf[175],10,"errno/perm");
lf[176]=C_h_intern(&lf[176],11,"errno/noent");
lf[177]=C_h_intern(&lf[177],10,"errno/srch");
lf[178]=C_h_intern(&lf[178],10,"errno/intr");
lf[179]=C_h_intern(&lf[179],8,"errno/io");
lf[180]=C_h_intern(&lf[180],12,"errno/noexec");
lf[181]=C_h_intern(&lf[181],10,"errno/badf");
lf[182]=C_h_intern(&lf[182],11,"errno/child");
lf[183]=C_h_intern(&lf[183],11,"errno/nomem");
lf[184]=C_h_intern(&lf[184],11,"errno/acces");
lf[185]=C_h_intern(&lf[185],11,"errno/fault");
lf[186]=C_h_intern(&lf[186],10,"errno/busy");
lf[187]=C_h_intern(&lf[187],11,"errno/exist");
lf[188]=C_h_intern(&lf[188],12,"errno/notdir");
lf[189]=C_h_intern(&lf[189],11,"errno/isdir");
lf[190]=C_h_intern(&lf[190],11,"errno/inval");
lf[191]=C_h_intern(&lf[191],11,"errno/mfile");
lf[192]=C_h_intern(&lf[192],11,"errno/nospc");
lf[193]=C_h_intern(&lf[193],11,"errno/spipe");
lf[194]=C_h_intern(&lf[194],10,"errno/pipe");
lf[195]=C_h_intern(&lf[195],11,"errno/again");
lf[196]=C_h_intern(&lf[196],10,"errno/rofs");
lf[197]=C_h_intern(&lf[197],10,"errno/nxio");
lf[198]=C_h_intern(&lf[198],10,"errno/2big");
lf[199]=C_h_intern(&lf[199],10,"errno/xdev");
lf[200]=C_h_intern(&lf[200],11,"errno/nodev");
lf[201]=C_h_intern(&lf[201],11,"errno/nfile");
lf[202]=C_h_intern(&lf[202],11,"errno/notty");
lf[203]=C_h_intern(&lf[203],10,"errno/fbig");
lf[204]=C_h_intern(&lf[204],11,"errno/mlink");
lf[205]=C_h_intern(&lf[205],9,"errno/dom");
lf[206]=C_h_intern(&lf[206],11,"errno/range");
lf[207]=C_h_intern(&lf[207],12,"errno/deadlk");
lf[208]=C_h_intern(&lf[208],17,"errno/nametoolong");
lf[209]=C_h_intern(&lf[209],11,"errno/nolck");
lf[210]=C_h_intern(&lf[210],11,"errno/nosys");
lf[211]=C_h_intern(&lf[211],14,"errno/notempty");
lf[212]=C_h_intern(&lf[212],11,"errno/ilseq");
lf[213]=C_h_intern(&lf[213],16,"change-file-mode");
lf[214]=C_decode_literal(C_heaptop,"\376B\000\000\027cannot change file mode");
lf[215]=C_h_intern(&lf[215],17,"file-read-access\077");
lf[216]=C_h_intern(&lf[216],18,"file-write-access\077");
lf[217]=C_h_intern(&lf[217],20,"file-execute-access\077");
lf[218]=C_h_intern(&lf[218],12,"fileno/stdin");
lf[219]=C_h_intern(&lf[219],13,"fileno/stdout");
lf[220]=C_h_intern(&lf[220],13,"fileno/stderr");
lf[221]=C_h_intern(&lf[221],7,"\000append");
lf[222]=C_decode_literal(C_heaptop,"\376B\000\000\033invalid mode for input file");
lf[223]=C_decode_literal(C_heaptop,"\376B\000\000\001a");
lf[224]=C_decode_literal(C_heaptop,"\376B\000\000\025invalid mode argument");
lf[225]=C_decode_literal(C_heaptop,"\376B\000\000\001r");
lf[226]=C_decode_literal(C_heaptop,"\376B\000\000\001w");
lf[227]=C_decode_literal(C_heaptop,"\376B\000\000\020cannot open file");
lf[228]=C_decode_literal(C_heaptop,"\376B\000\000\010(fdport)");
lf[229]=C_h_intern(&lf[229],16,"open-input-file*");
lf[230]=C_h_intern(&lf[230],17,"open-output-file*");
lf[231]=C_h_intern(&lf[231],12,"port->fileno");
lf[232]=C_decode_literal(C_heaptop,"\376B\000\000\031port has no attached file");
lf[233]=C_decode_literal(C_heaptop,"\376B\000\000%cannot access file-descriptor of port");
lf[234]=C_h_intern(&lf[234],25,"\003syspeek-unsigned-integer");
lf[235]=C_h_intern(&lf[235],16,"duplicate-fileno");
lf[236]=C_decode_literal(C_heaptop,"\376B\000\000 cannot duplicate file descriptor");
lf[237]=C_h_intern(&lf[237],6,"setenv");
lf[238]=C_h_intern(&lf[238],8,"unsetenv");
lf[239]=C_h_intern(&lf[239],9,"substring");
lf[240]=C_h_intern(&lf[240],25,"get-environment-variables");
lf[241]=C_h_intern(&lf[241],19,"current-environment");
lf[243]=C_decode_literal(C_heaptop,"\376B\000\000\025time vector too short");
lf[244]=C_h_intern(&lf[244],19,"seconds->local-time");
lf[245]=C_h_intern(&lf[245],18,"\003sysdecode-seconds");
lf[246]=C_h_intern(&lf[246],15,"current-seconds");
lf[247]=C_h_intern(&lf[247],17,"seconds->utc-time");
lf[248]=C_h_intern(&lf[248],15,"seconds->string");
lf[249]=C_decode_literal(C_heaptop,"\376B\000\000 cannot convert seconds to string");
lf[250]=C_h_intern(&lf[250],12,"time->string");
lf[251]=C_decode_literal(C_heaptop,"\376B\000\000 time formatting overflows buffer");
lf[252]=C_decode_literal(C_heaptop,"\376B\000\000$cannot convert time vector to string");
lf[253]=C_h_intern(&lf[253],19,"local-time->seconds");
lf[254]=C_decode_literal(C_heaptop,"\376U-1.0\000");
lf[255]=C_decode_literal(C_heaptop,"\376B\000\000%cannot convert time vector to seconds");
lf[256]=C_h_intern(&lf[256],27,"local-timezone-abbreviation");
lf[257]=C_h_intern(&lf[257],5,"_exit");
lf[258]=C_h_intern(&lf[258],14,"terminal-port\077");
lf[259]=C_h_intern(&lf[259],19,"set-buffering-mode!");
lf[260]=C_decode_literal(C_heaptop,"\376B\000\000\031cannot set buffering mode");
lf[261]=C_h_intern(&lf[261],5,"\000full");
lf[262]=C_h_intern(&lf[262],5,"\000line");
lf[263]=C_h_intern(&lf[263],5,"\000none");
lf[264]=C_decode_literal(C_heaptop,"\376B\000\000\026invalid buffering-mode");
lf[265]=C_h_intern(&lf[265],6,"regexp");
lf[266]=C_h_intern(&lf[266],12,"string-match");
lf[267]=C_h_intern(&lf[267],12,"glob->regexp");
lf[268]=C_h_intern(&lf[268],13,"make-pathname");
lf[269]=C_h_intern(&lf[269],18,"decompose-pathname");
lf[270]=C_h_intern(&lf[270],4,"glob");
lf[271]=C_decode_literal(C_heaptop,"\376B\000\000\001.");
lf[272]=C_decode_literal(C_heaptop,"\376B\000\000\001*");
lf[273]=C_h_intern(&lf[273],13,"spawn/overlay");
lf[274]=C_h_intern(&lf[274],10,"spawn/wait");
lf[275]=C_h_intern(&lf[275],12,"spawn/nowait");
lf[276]=C_h_intern(&lf[276],13,"spawn/nowaito");
lf[277]=C_h_intern(&lf[277],12,"spawn/detach");
lf[278]=C_h_intern(&lf[278],16,"char-whitespace\077");
lf[280]=C_decode_literal(C_heaptop,"\376B\000\000\001\042");
lf[281]=C_decode_literal(C_heaptop,"\376B\000\000\001\042");
lf[282]=C_h_intern(&lf[282],24,"pathname-strip-directory");
lf[285]=C_h_intern(&lf[285],15,"process-execute");
lf[286]=C_decode_literal(C_heaptop,"\376B\000\000\026cannot execute process");
lf[287]=C_h_intern(&lf[287],13,"process-spawn");
lf[288]=C_decode_literal(C_heaptop,"\376B\000\000\024cannot spawn process");
lf[289]=C_h_intern(&lf[289],18,"current-process-id");
lf[290]=C_h_intern(&lf[290],17,"\003sysshell-command");
lf[291]=C_decode_literal(C_heaptop,"\376B\000\000 cannot retrieve system directory");
lf[292]=C_h_intern(&lf[292],24,"get-environment-variable");
lf[293]=C_decode_literal(C_heaptop,"\376B\000\000\007COMSPEC");
lf[294]=C_h_intern(&lf[294],27,"\003sysshell-command-arguments");
lf[295]=C_decode_literal(C_heaptop,"\376B\000\000\002/c");
lf[296]=C_h_intern(&lf[296],11,"process-run");
lf[297]=C_h_intern(&lf[297],11,"\003sysprocess");
lf[298]=C_h_intern(&lf[298],14,"\000process-error");
lf[299]=C_decode_literal(C_heaptop,"\376B\000\000\026cannot execute process");
lf[300]=C_h_intern(&lf[300],17,"\003sysmake-locative");
lf[301]=C_h_intern(&lf[301],8,"location");
lf[302]=C_h_intern(&lf[302],7,"process");
lf[303]=C_h_intern(&lf[303],8,"process*");
lf[304]=C_h_intern(&lf[304],16,"\003sysprocess-wait");
lf[305]=C_h_intern(&lf[305],12,"process-wait");
lf[306]=C_decode_literal(C_heaptop,"\376B\000\000 waiting for child process failed");
lf[307]=C_h_intern(&lf[307],5,"sleep");
lf[308]=C_h_intern(&lf[308],13,"get-host-name");
lf[309]=C_decode_literal(C_heaptop,"\376B\000\000\031cannot retrieve host-name");
lf[310]=C_h_intern(&lf[310],18,"system-information");
lf[311]=C_decode_literal(C_heaptop,"\376B\000\000\007windows");
lf[312]=C_decode_literal(C_heaptop,"\376B\000\000\042cannot retrieve system-information");
lf[313]=C_decode_literal(C_heaptop,"\376B\000\000!cannot retrieve current user-name");
lf[314]=C_h_intern(&lf[314],13,"pathname-file");
lf[315]=C_h_intern(&lf[315],10,"find-files");
lf[316]=C_decode_literal(C_heaptop,"\376B\000\000\001.");
lf[317]=C_decode_literal(C_heaptop,"\376B\000\000\002..");
lf[318]=C_decode_literal(C_heaptop,"\376B\000\000\001*");
lf[319]=C_h_intern(&lf[319],16,"\003sysdynamic-wind");
lf[320]=C_decode_literal(C_heaptop,"\376B\000\000\001*");
lf[321]=C_h_intern(&lf[321],7,"regexp\077");
lf[322]=C_h_intern(&lf[322],17,"change-file-owner");
lf[323]=C_h_intern(&lf[323],5,"error");
lf[324]=C_h_intern(&lf[324],11,"create-fifo");
lf[325]=C_h_intern(&lf[325],14,"create-session");
lf[326]=C_h_intern(&lf[326],20,"create-symbolic-link");
lf[327]=C_h_intern(&lf[327],26,"current-effective-group-id");
lf[328]=C_h_intern(&lf[328],25,"current-effective-user-id");
lf[329]=C_h_intern(&lf[329],27,"current-effective-user-name");
lf[330]=C_h_intern(&lf[330],16,"current-group-id");
lf[331]=C_h_intern(&lf[331],15,"current-user-id");
lf[332]=C_h_intern(&lf[332],18,"map-file-to-memory");
lf[333]=C_h_intern(&lf[333],9,"file-link");
lf[334]=C_h_intern(&lf[334],9,"file-lock");
lf[335]=C_h_intern(&lf[335],18,"file-lock/blocking");
lf[336]=C_h_intern(&lf[336],11,"file-select");
lf[337]=C_h_intern(&lf[337],14,"file-test-lock");
lf[338]=C_h_intern(&lf[338],13,"file-truncate");
lf[339]=C_h_intern(&lf[339],11,"file-unlock");
lf[340]=C_h_intern(&lf[340],10,"get-groups");
lf[341]=C_h_intern(&lf[341],17,"group-information");
lf[342]=C_h_intern(&lf[342],17,"initialize-groups");
lf[343]=C_h_intern(&lf[343],26,"memory-mapped-file-pointer");
lf[344]=C_h_intern(&lf[344],17,"parent-process-id");
lf[345]=C_h_intern(&lf[345],12,"process-fork");
lf[346]=C_h_intern(&lf[346],16,"process-group-id");
lf[347]=C_h_intern(&lf[347],14,"process-signal");
lf[348]=C_h_intern(&lf[348],18,"read-symbolic-link");
lf[349]=C_h_intern(&lf[349],10,"set-alarm!");
lf[350]=C_h_intern(&lf[350],13,"set-group-id!");
lf[351]=C_h_intern(&lf[351],11,"set-groups!");
lf[352]=C_h_intern(&lf[352],21,"set-process-group-id!");
lf[353]=C_h_intern(&lf[353],19,"set-root-directory!");
lf[354]=C_h_intern(&lf[354],16,"set-signal-mask!");
lf[355]=C_h_intern(&lf[355],12,"set-user-id!");
lf[356]=C_h_intern(&lf[356],11,"signal-mask");
lf[357]=C_h_intern(&lf[357],12,"signal-mask!");
lf[358]=C_h_intern(&lf[358],14,"signal-masked\077");
lf[359]=C_h_intern(&lf[359],14,"signal-unmask!");
lf[360]=C_h_intern(&lf[360],13,"terminal-name");
lf[361]=C_h_intern(&lf[361],13,"terminal-size");
lf[362]=C_h_intern(&lf[362],22,"unmap-file-from-memory");
lf[363]=C_h_intern(&lf[363],16,"user-information");
lf[364]=C_h_intern(&lf[364],17,"utc-time->seconds");
lf[365]=C_h_intern(&lf[365],12,"string->time");
lf[366]=C_h_intern(&lf[366],16,"errno/wouldblock");
lf[367]=C_h_intern(&lf[367],19,"memory-mapped-file\077");
lf[368]=C_h_intern(&lf[368],13,"map/anonymous");
lf[369]=C_h_intern(&lf[369],8,"map/file");
lf[370]=C_h_intern(&lf[370],9,"map/fixed");
lf[371]=C_h_intern(&lf[371],11,"map/private");
lf[372]=C_h_intern(&lf[372],10,"map/shared");
lf[373]=C_h_intern(&lf[373],10,"open/fsync");
lf[374]=C_h_intern(&lf[374],11,"open/noctty");
lf[375]=C_h_intern(&lf[375],13,"open/nonblock");
lf[376]=C_h_intern(&lf[376],9,"open/sync");
lf[377]=C_h_intern(&lf[377],10,"perm/isgid");
lf[378]=C_h_intern(&lf[378],10,"perm/isuid");
lf[379]=C_h_intern(&lf[379],10,"perm/isvtx");
lf[380]=C_h_intern(&lf[380],9,"prot/exec");
lf[381]=C_h_intern(&lf[381],9,"prot/none");
lf[382]=C_h_intern(&lf[382],9,"prot/read");
lf[383]=C_h_intern(&lf[383],10,"prot/write");
lf[384]=C_h_intern(&lf[384],11,"make-vector");
lf[385]=C_decode_literal(C_heaptop,"\376B\000\000%cannot retrieve file position of port");
lf[386]=C_decode_literal(C_heaptop,"\376B\000\000\014invalid file");
lf[387]=C_h_intern(&lf[387],18,"getter-with-setter");
lf[388]=C_h_intern(&lf[388],26,"set-file-modification-time");
lf[389]=C_decode_literal(C_heaptop,"\376B\000\000!cannot set file modification-time");
lf[390]=C_h_intern(&lf[390],17,"register-feature!");
lf[391]=C_h_intern(&lf[391],5,"posix");
C_register_lf2(lf,392,create_ptable());
t2=C_mutate(&lf[0] /* (set! c1344 ...) */,lf[1]);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1851,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
C_scheduler_toplevel(2,C_SCHEME_UNDEFINED,t3);}

/* k1849 */
static void C_ccall f_1851(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1851,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1854,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
C_regex_toplevel(2,C_SCHEME_UNDEFINED,t2);}

/* k1852 in k1849 */
static void C_ccall f_1854(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1854,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1857,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
C_extras_toplevel(2,C_SCHEME_UNDEFINED,t2);}

/* k1855 in k1852 in k1849 */
static void C_ccall f_1857(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1857,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1860,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
C_utils_toplevel(2,C_SCHEME_UNDEFINED,t2);}

/* k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_1860(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1860,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1863,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
C_files_toplevel(2,C_SCHEME_UNDEFINED,t2);}

/* k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_1863(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1863,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1866,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
C_ports_toplevel(2,C_SCHEME_UNDEFINED,t2);}

/* k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_1866(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1866,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1869,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 939  register-feature! */
t3=*((C_word*)lf[390]+1);
((C_proc3)(void*)(*((C_word*)t3+1)))(3,t3,t2,lf[391]);}

/* k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_1869(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word ab[33],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1869,2,t0,t1);}
t2=*((C_word*)lf[2]+1);
t3=C_mutate(&lf[3] /* (set! posix-error ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1876,a[2]=t2,tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[8]+1 /* (set! posix-error ...) */,lf[3]);
t5=C_mutate((C_word*)lf[9]+1 /* (set! pipe/buf ...) */,C_fix((C_word)PIPE_BUF));
t6=C_mutate((C_word*)lf[10]+1 /* (set! open/rdonly ...) */,C_fix((C_word)O_RDONLY));
t7=C_mutate((C_word*)lf[11]+1 /* (set! open/wronly ...) */,C_fix((C_word)O_WRONLY));
t8=C_mutate((C_word*)lf[12]+1 /* (set! open/rdwr ...) */,C_fix((C_word)O_RDWR));
t9=C_mutate((C_word*)lf[13]+1 /* (set! open/read ...) */,C_fix((C_word)O_RDWR));
t10=C_mutate((C_word*)lf[14]+1 /* (set! open/write ...) */,C_fix((C_word)O_WRONLY));
t11=C_mutate((C_word*)lf[15]+1 /* (set! open/creat ...) */,C_fix((C_word)O_CREAT));
t12=C_mutate((C_word*)lf[16]+1 /* (set! open/append ...) */,C_fix((C_word)O_APPEND));
t13=C_mutate((C_word*)lf[17]+1 /* (set! open/excl ...) */,C_fix((C_word)O_EXCL));
t14=C_mutate((C_word*)lf[18]+1 /* (set! open/trunc ...) */,C_fix((C_word)O_TRUNC));
t15=C_mutate((C_word*)lf[19]+1 /* (set! open/binary ...) */,C_fix((C_word)O_BINARY));
t16=C_mutate((C_word*)lf[20]+1 /* (set! open/text ...) */,C_fix((C_word)O_TEXT));
t17=C_mutate((C_word*)lf[21]+1 /* (set! open/noinherit ...) */,C_fix((C_word)O_NOINHERIT));
t18=C_mutate((C_word*)lf[22]+1 /* (set! perm/irusr ...) */,C_fix((C_word)S_IREAD));
t19=C_mutate((C_word*)lf[23]+1 /* (set! perm/iwusr ...) */,C_fix((C_word)S_IWRITE));
t20=C_mutate((C_word*)lf[24]+1 /* (set! perm/ixusr ...) */,C_fix((C_word)S_IEXEC));
t21=C_mutate((C_word*)lf[25]+1 /* (set! perm/irgrp ...) */,C_fix((C_word)S_IREAD));
t22=C_mutate((C_word*)lf[26]+1 /* (set! perm/iwgrp ...) */,C_fix((C_word)S_IWRITE));
t23=C_mutate((C_word*)lf[27]+1 /* (set! perm/ixgrp ...) */,C_fix((C_word)S_IEXEC));
t24=C_mutate((C_word*)lf[28]+1 /* (set! perm/iroth ...) */,C_fix((C_word)S_IREAD));
t25=C_mutate((C_word*)lf[29]+1 /* (set! perm/iwoth ...) */,C_fix((C_word)S_IWRITE));
t26=C_mutate((C_word*)lf[30]+1 /* (set! perm/ixoth ...) */,C_fix((C_word)S_IEXEC));
t27=C_mutate((C_word*)lf[31]+1 /* (set! perm/irwxu ...) */,C_fix((C_word)S_IREAD | S_IWRITE | S_IEXEC));
t28=C_mutate((C_word*)lf[32]+1 /* (set! perm/irwxg ...) */,C_fix((C_word)S_IREAD | S_IWRITE | S_IEXEC));
t29=C_mutate((C_word*)lf[33]+1 /* (set! perm/irwxo ...) */,C_fix((C_word)S_IREAD | S_IWRITE | S_IEXEC));
t30=(C_word)C_u_fixnum_or(C_fix((C_word)S_IREAD),C_fix((C_word)S_IREAD));
t31=(C_word)C_a_i_bitwise_ior(&a,2,C_fix((C_word)S_IREAD | S_IWRITE | S_IEXEC),t30);
t32=C_mutate((C_word*)lf[34]+1 /* (set! file-open ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1922,a[2]=t31,tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[39]+1 /* (set! file-close ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_1963,tmp=(C_word)a,a+=2,tmp));
t34=*((C_word*)lf[41]+1);
t35=C_mutate((C_word*)lf[42]+1 /* (set! file-read ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1981,a[2]=t34,tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[46]+1 /* (set! file-write ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2026,tmp=(C_word)a,a+=2,tmp));
t37=*((C_word*)lf[49]+1);
t38=C_mutate((C_word*)lf[50]+1 /* (set! file-mkstemp ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2068,a[2]=t37,tmp=(C_word)a,a+=3,tmp));
t39=C_mutate((C_word*)lf[53]+1 /* (set! seek/set ...) */,C_fix((C_word)SEEK_SET));
t40=C_mutate((C_word*)lf[54]+1 /* (set! seek/end ...) */,C_fix((C_word)SEEK_END));
t41=C_mutate((C_word*)lf[55]+1 /* (set! seek/cur ...) */,C_fix((C_word)SEEK_CUR));
t42=C_mutate(&lf[56] /* (set! stat ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2106,tmp=(C_word)a,a+=2,tmp));
t43=C_mutate((C_word*)lf[59]+1 /* (set! file-stat ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2144,tmp=(C_word)a,a+=2,tmp));
t44=C_mutate((C_word*)lf[60]+1 /* (set! file-size ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2168,tmp=(C_word)a,a+=2,tmp));
t45=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2176,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t46=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5721,tmp=(C_word)a,a+=2,tmp);
t47=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5727,tmp=(C_word)a,a+=2,tmp);
/* posixwin.scm: 1105 getter-with-setter */
t48=*((C_word*)lf[387]+1);
((C_proc4)(void*)(*((C_word*)t48+1)))(4,t48,t45,t46,t47);}

/* a5726 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5727(C_word c,C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr4,(void*)f_5727,4,t0,t1,t2,t3);}
t4=(C_word)C_i_check_string_2(t2,lf[388]);
t5=(C_word)C_i_check_number_2(t3,lf[388]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5737,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm: 1112 ##sys#expand-home-path */
t7=*((C_word*)lf[38]+1);
((C_proc3)(void*)(*((C_word*)t7+1)))(3,t7,t6,t2);}

/* k5735 in a5726 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5737(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5737,2,t0,t1);}
t2=((C_word*)t0)[4];
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_5741,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
if(C_truep(t1)){
/* ##sys#make-c-string */
t4=*((C_word*)lf[37]+1);
((C_proc3)(void*)(*((C_word*)t4+1)))(3,t4,t3,t1);}
else{
t4=t3;
f_5741(2,t4,C_SCHEME_FALSE);}}

/* k5739 in k5735 in a5726 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5741(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)stub121(C_SCHEME_UNDEFINED,t1,((C_word*)t0)[5]);
if(C_truep((C_word)C_fixnum_lessp(t2,C_fix(0)))){
/* posixwin.scm: 1115 posix-error */
t3=lf[3];
f_1876(7,t3,((C_word*)t0)[4],lf[35],lf[388],lf[389],((C_word*)t0)[3],((C_word*)t0)[2]);}
else{
t3=((C_word*)t0)[4];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}}

/* a5720 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5721(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_5721,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5725,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1107 ##sys#stat */
f_2106(t3,t2);}

/* k5723 in a5720 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5725(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5725,2,t0,t1);}
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_flonum(&a,C_statbuf.st_mtime));}

/* k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2176(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word ab[18],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2176,2,t0,t1);}
t2=C_mutate((C_word*)lf[61]+1 /* (set! file-modification-time ...) */,t1);
t3=C_mutate((C_word*)lf[62]+1 /* (set! file-access-time ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2178,tmp=(C_word)a,a+=2,tmp));
t4=C_mutate((C_word*)lf[63]+1 /* (set! file-change-time ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2184,tmp=(C_word)a,a+=2,tmp));
t5=C_mutate((C_word*)lf[64]+1 /* (set! file-owner ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2190,tmp=(C_word)a,a+=2,tmp));
t6=C_mutate((C_word*)lf[65]+1 /* (set! file-permissions ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2196,tmp=(C_word)a,a+=2,tmp));
t7=C_mutate((C_word*)lf[66]+1 /* (set! regular-file? ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2202,tmp=(C_word)a,a+=2,tmp));
t8=C_mutate((C_word*)lf[68]+1 /* (set! symbolic-link? ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2225,tmp=(C_word)a,a+=2,tmp));
t9=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2230,tmp=(C_word)a,a+=2,tmp);
t10=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2240,a[2]=t9,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1138 stat-type */
f_2230(t10,lf[69]);}

/* k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2240(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2240,2,t0,t1);}
t2=C_mutate((C_word*)lf[69]+1 /* (set! character-device? ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2244,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1139 stat-type */
f_2230(t3,lf[70]);}

/* k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2244(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2244,2,t0,t1);}
t2=C_mutate((C_word*)lf[70]+1 /* (set! block-device? ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2248,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1140 stat-type */
f_2230(t3,lf[71]);}

/* k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2248(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2248,2,t0,t1);}
t2=C_mutate((C_word*)lf[71]+1 /* (set! fifo? ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2252,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1141 stat-type */
f_2230(t3,lf[72]);}

/* k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2252(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2252,2,t0,t1);}
t2=C_mutate((C_word*)lf[72]+1 /* (set! socket? ...) */,t1);
t3=C_mutate((C_word*)lf[73]+1 /* (set! set-file-position! ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2254,tmp=(C_word)a,a+=2,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2314,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5684,tmp=(C_word)a,a+=2,tmp);
/* posixwin.scm: 1160 getter-with-setter */
t6=*((C_word*)lf[387]+1);
((C_proc4)(void*)(*((C_word*)t6+1)))(4,t6,t4,t5,*((C_word*)lf[73]+1));}

/* a5683 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5684(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_5684,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5688,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5700,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1162 port? */
t5=*((C_word*)lf[77]+1);
((C_proc3)(void*)(*((C_word*)t5+1)))(3,t5,t4,t2);}

/* k5698 in a5683 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5700(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_truep(t1)){
t2=(C_word)C_slot(((C_word*)t0)[3],C_fix(7));
t3=(C_word)C_eqp(t2,lf[75]);
t4=((C_word*)t0)[2];
f_5688(2,t4,(C_truep(t3)?(C_word)C_ftell(((C_word*)t0)[3]):C_fix(-1)));}
else{
if(C_truep((C_word)C_fixnump(((C_word*)t0)[3]))){
t2=((C_word*)t0)[2];
f_5688(2,t2,(C_word)C_lseek(((C_word*)t0)[3],C_fix(0),C_fix((C_word)SEEK_CUR)));}
else{
/* posixwin.scm: 1169 ##sys#signal-hook */
t2=*((C_word*)lf[4]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[2],lf[44],lf[80],lf[386],((C_word*)t0)[3]);}}}

/* k5686 in a5683 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5688(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5688,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5691,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep((C_word)C_i_lessp(t1,C_fix(0)))){
/* posixwin.scm: 1171 posix-error */
t3=lf[3];
f_1876(6,t3,t2,lf[35],lf[80],lf[385],((C_word*)t0)[2]);}
else{
t3=t2;
f_5691(2,t3,C_SCHEME_UNDEFINED);}}

/* k5689 in k5686 in a5683 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5691(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2314(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word t57;
C_word t58;
C_word t59;
C_word t60;
C_word t61;
C_word t62;
C_word t63;
C_word t64;
C_word t65;
C_word t66;
C_word t67;
C_word t68;
C_word t69;
C_word ab[87],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2314,2,t0,t1);}
t2=C_mutate((C_word*)lf[80]+1 /* (set! file-position ...) */,t1);
t3=C_mutate((C_word*)lf[81]+1 /* (set! create-directory ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2316,tmp=(C_word)a,a+=2,tmp));
t4=C_mutate((C_word*)lf[87]+1 /* (set! change-directory ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2435,tmp=(C_word)a,a+=2,tmp));
t5=C_mutate((C_word*)lf[89]+1 /* (set! delete-directory ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2460,tmp=(C_word)a,a+=2,tmp));
t6=*((C_word*)lf[2]+1);
t7=*((C_word*)lf[41]+1);
t8=*((C_word*)lf[91]+1);
t9=C_mutate((C_word*)lf[92]+1 /* (set! directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2485,a[2]=t7,tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[96]+1 /* (set! directory? ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2642,tmp=(C_word)a,a+=2,tmp));
t11=*((C_word*)lf[41]+1);
t12=C_mutate((C_word*)lf[95]+1 /* (set! current-directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2669,a[2]=t11,tmp=(C_word)a,a+=3,tmp));
t13=*((C_word*)lf[99]+1);
t14=*((C_word*)lf[100]+1);
t15=*((C_word*)lf[101]+1);
t16=*((C_word*)lf[102]+1);
t17=*((C_word*)lf[103]+1);
t18=*((C_word*)lf[2]+1);
t19=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_2713,tmp=(C_word)a,a+=2,tmp);
t20=*((C_word*)lf[106]+1);
t21=*((C_word*)lf[95]+1);
t22=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2729,a[2]=t21,tmp=(C_word)a,a+=3,tmp);
t23=C_mutate((C_word*)lf[111]+1 /* (set! canonical-path ...) */,(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_2785,a[2]=t16,a[3]=t14,a[4]=t20,a[5]=t22,a[6]=t15,a[7]=t13,a[8]=t17,a[9]=t19,a[10]=t18,tmp=(C_word)a,a+=11,tmp));
t24=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3154,tmp=(C_word)a,a+=2,tmp);
t25=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3160,tmp=(C_word)a,a+=2,tmp);
t26=C_mutate((C_word*)lf[129]+1 /* (set! open-input-pipe ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3178,a[2]=t24,a[3]=t25,tmp=(C_word)a,a+=4,tmp));
t27=C_mutate((C_word*)lf[132]+1 /* (set! open-output-pipe ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3214,a[2]=t24,a[3]=t25,tmp=(C_word)a,a+=4,tmp));
t28=C_mutate((C_word*)lf[133]+1 /* (set! close-input-pipe ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3250,tmp=(C_word)a,a+=2,tmp));
t29=C_mutate((C_word*)lf[136]+1 /* (set! close-output-pipe ...) */,*((C_word*)lf[133]+1));
t30=*((C_word*)lf[129]+1);
t31=*((C_word*)lf[132]+1);
t32=*((C_word*)lf[133]+1);
t33=*((C_word*)lf[136]+1);
t34=C_mutate((C_word*)lf[137]+1 /* (set! call-with-input-pipe ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3269,a[2]=t30,a[3]=t32,tmp=(C_word)a,a+=4,tmp));
t35=C_mutate((C_word*)lf[138]+1 /* (set! call-with-output-pipe ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3293,a[2]=t31,a[3]=t33,tmp=(C_word)a,a+=4,tmp));
t36=C_mutate((C_word*)lf[139]+1 /* (set! with-input-from-pipe ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3317,a[2]=t30,a[3]=t32,tmp=(C_word)a,a+=4,tmp));
t37=C_mutate((C_word*)lf[141]+1 /* (set! with-output-to-pipe ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3337,a[2]=t31,a[3]=t33,tmp=(C_word)a,a+=4,tmp));
t38=C_mutate((C_word*)lf[143]+1 /* (set! create-pipe ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3357,tmp=(C_word)a,a+=2,tmp));
t39=C_mutate((C_word*)lf[145]+1 /* (set! signal/term ...) */,C_fix((C_word)SIGTERM));
t40=C_mutate((C_word*)lf[146]+1 /* (set! signal/int ...) */,C_fix((C_word)SIGINT));
t41=C_mutate((C_word*)lf[147]+1 /* (set! signal/fpe ...) */,C_fix((C_word)SIGFPE));
t42=C_mutate((C_word*)lf[148]+1 /* (set! signal/ill ...) */,C_fix((C_word)SIGILL));
t43=C_mutate((C_word*)lf[149]+1 /* (set! signal/segv ...) */,C_fix((C_word)SIGSEGV));
t44=C_mutate((C_word*)lf[150]+1 /* (set! signal/abrt ...) */,C_fix((C_word)SIGABRT));
t45=C_mutate((C_word*)lf[151]+1 /* (set! signal/break ...) */,C_fix((C_word)SIGBREAK));
t46=C_set_block_item(lf[152] /* signal/alrm */,0,C_fix(0));
t47=C_set_block_item(lf[153] /* signal/chld */,0,C_fix(0));
t48=C_set_block_item(lf[154] /* signal/cont */,0,C_fix(0));
t49=C_set_block_item(lf[155] /* signal/hup */,0,C_fix(0));
t50=C_set_block_item(lf[156] /* signal/io */,0,C_fix(0));
t51=C_set_block_item(lf[157] /* signal/kill */,0,C_fix(0));
t52=C_set_block_item(lf[158] /* signal/pipe */,0,C_fix(0));
t53=C_set_block_item(lf[159] /* signal/prof */,0,C_fix(0));
t54=C_set_block_item(lf[160] /* signal/quit */,0,C_fix(0));
t55=C_set_block_item(lf[161] /* signal/stop */,0,C_fix(0));
t56=C_set_block_item(lf[162] /* signal/trap */,0,C_fix(0));
t57=C_set_block_item(lf[163] /* signal/tstp */,0,C_fix(0));
t58=C_set_block_item(lf[164] /* signal/urg */,0,C_fix(0));
t59=C_set_block_item(lf[165] /* signal/usr1 */,0,C_fix(0));
t60=C_set_block_item(lf[166] /* signal/usr2 */,0,C_fix(0));
t61=C_set_block_item(lf[167] /* signal/vtalrm */,0,C_fix(0));
t62=C_set_block_item(lf[168] /* signal/winch */,0,C_fix(0));
t63=C_set_block_item(lf[169] /* signal/xcpu */,0,C_fix(0));
t64=C_set_block_item(lf[170] /* signal/xfsz */,0,C_fix(0));
t65=(C_word)C_a_i_list(&a,7,*((C_word*)lf[145]+1),*((C_word*)lf[146]+1),*((C_word*)lf[147]+1),*((C_word*)lf[148]+1),*((C_word*)lf[149]+1),*((C_word*)lf[150]+1),*((C_word*)lf[151]+1));
t66=C_mutate((C_word*)lf[171]+1 /* (set! signals-list ...) */,t65);
t67=*((C_word*)lf[172]+1);
t68=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3424,a[2]=((C_word*)t0)[2],a[3]=t67,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1495 make-vector */
t69=*((C_word*)lf[384]+1);
((C_proc4)(void*)(*((C_word*)t69+1)))(4,t69,t68,C_fix(256),C_SCHEME_FALSE);}

/* k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3424(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word t57;
C_word t58;
C_word t59;
C_word t60;
C_word t61;
C_word t62;
C_word t63;
C_word t64;
C_word t65;
C_word t66;
C_word t67;
C_word t68;
C_word t69;
C_word t70;
C_word t71;
C_word t72;
C_word t73;
C_word t74;
C_word t75;
C_word t76;
C_word t77;
C_word t78;
C_word t79;
C_word t80;
C_word t81;
C_word t82;
C_word t83;
C_word t84;
C_word t85;
C_word t86;
C_word t87;
C_word t88;
C_word t89;
C_word t90;
C_word t91;
C_word t92;
C_word t93;
C_word t94;
C_word t95;
C_word t96;
C_word t97;
C_word t98;
C_word t99;
C_word t100;
C_word t101;
C_word t102;
C_word t103;
C_word t104;
C_word t105;
C_word t106;
C_word t107;
C_word t108;
C_word t109;
C_word t110;
C_word t111;
C_word t112;
C_word t113;
C_word t114;
C_word t115;
C_word t116;
C_word t117;
C_word t118;
C_word t119;
C_word t120;
C_word t121;
C_word t122;
C_word t123;
C_word t124;
C_word t125;
C_word t126;
C_word t127;
C_word t128;
C_word t129;
C_word t130;
C_word t131;
C_word t132;
C_word t133;
C_word t134;
C_word t135;
C_word t136;
C_word t137;
C_word t138;
C_word t139;
C_word t140;
C_word t141;
C_word t142;
C_word t143;
C_word t144;
C_word t145;
C_word t146;
C_word t147;
C_word t148;
C_word t149;
C_word t150;
C_word t151;
C_word t152;
C_word t153;
C_word t154;
C_word t155;
C_word t156;
C_word t157;
C_word t158;
C_word t159;
C_word t160;
C_word t161;
C_word t162;
C_word t163;
C_word t164;
C_word t165;
C_word t166;
C_word t167;
C_word t168;
C_word t169;
C_word t170;
C_word t171;
C_word t172;
C_word t173;
C_word t174;
C_word t175;
C_word t176;
C_word t177;
C_word t178;
C_word t179;
C_word t180;
C_word t181;
C_word t182;
C_word t183;
C_word ab[226],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3424,2,t0,t1);}
t2=C_mutate((C_word*)lf[173]+1 /* (set! signal-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3426,a[2]=t1,tmp=(C_word)a,a+=3,tmp));
t3=C_mutate((C_word*)lf[174]+1 /* (set! set-signal-handler! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3435,a[2]=t1,tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[172]+1 /* (set! interrupt-hook ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3448,a[2]=((C_word*)t0)[3],a[3]=t1,tmp=(C_word)a,a+=4,tmp));
t5=C_mutate((C_word*)lf[175]+1 /* (set! errno/perm ...) */,C_fix((C_word)EPERM));
t6=C_mutate((C_word*)lf[176]+1 /* (set! errno/noent ...) */,C_fix((C_word)ENOENT));
t7=C_mutate((C_word*)lf[177]+1 /* (set! errno/srch ...) */,C_fix((C_word)ESRCH));
t8=C_mutate((C_word*)lf[178]+1 /* (set! errno/intr ...) */,C_fix((C_word)EINTR));
t9=C_mutate((C_word*)lf[179]+1 /* (set! errno/io ...) */,C_fix((C_word)EIO));
t10=C_mutate((C_word*)lf[180]+1 /* (set! errno/noexec ...) */,C_fix((C_word)ENOEXEC));
t11=C_mutate((C_word*)lf[181]+1 /* (set! errno/badf ...) */,C_fix((C_word)EBADF));
t12=C_mutate((C_word*)lf[182]+1 /* (set! errno/child ...) */,C_fix((C_word)ECHILD));
t13=C_mutate((C_word*)lf[183]+1 /* (set! errno/nomem ...) */,C_fix((C_word)ENOMEM));
t14=C_mutate((C_word*)lf[184]+1 /* (set! errno/acces ...) */,C_fix((C_word)EACCES));
t15=C_mutate((C_word*)lf[185]+1 /* (set! errno/fault ...) */,C_fix((C_word)EFAULT));
t16=C_mutate((C_word*)lf[186]+1 /* (set! errno/busy ...) */,C_fix((C_word)EBUSY));
t17=C_mutate((C_word*)lf[187]+1 /* (set! errno/exist ...) */,C_fix((C_word)EEXIST));
t18=C_mutate((C_word*)lf[188]+1 /* (set! errno/notdir ...) */,C_fix((C_word)ENOTDIR));
t19=C_mutate((C_word*)lf[189]+1 /* (set! errno/isdir ...) */,C_fix((C_word)EISDIR));
t20=C_mutate((C_word*)lf[190]+1 /* (set! errno/inval ...) */,C_fix((C_word)EINVAL));
t21=C_mutate((C_word*)lf[191]+1 /* (set! errno/mfile ...) */,C_fix((C_word)EMFILE));
t22=C_mutate((C_word*)lf[192]+1 /* (set! errno/nospc ...) */,C_fix((C_word)ENOSPC));
t23=C_mutate((C_word*)lf[193]+1 /* (set! errno/spipe ...) */,C_fix((C_word)ESPIPE));
t24=C_mutate((C_word*)lf[194]+1 /* (set! errno/pipe ...) */,C_fix((C_word)EPIPE));
t25=C_mutate((C_word*)lf[195]+1 /* (set! errno/again ...) */,C_fix((C_word)EAGAIN));
t26=C_mutate((C_word*)lf[196]+1 /* (set! errno/rofs ...) */,C_fix((C_word)EROFS));
t27=C_mutate((C_word*)lf[197]+1 /* (set! errno/nxio ...) */,C_fix((C_word)ENXIO));
t28=C_mutate((C_word*)lf[198]+1 /* (set! errno/2big ...) */,C_fix((C_word)E2BIG));
t29=C_mutate((C_word*)lf[199]+1 /* (set! errno/xdev ...) */,C_fix((C_word)EXDEV));
t30=C_mutate((C_word*)lf[200]+1 /* (set! errno/nodev ...) */,C_fix((C_word)ENODEV));
t31=C_mutate((C_word*)lf[201]+1 /* (set! errno/nfile ...) */,C_fix((C_word)ENFILE));
t32=C_mutate((C_word*)lf[202]+1 /* (set! errno/notty ...) */,C_fix((C_word)ENOTTY));
t33=C_mutate((C_word*)lf[203]+1 /* (set! errno/fbig ...) */,C_fix((C_word)EFBIG));
t34=C_mutate((C_word*)lf[204]+1 /* (set! errno/mlink ...) */,C_fix((C_word)EMLINK));
t35=C_mutate((C_word*)lf[205]+1 /* (set! errno/dom ...) */,C_fix((C_word)EDOM));
t36=C_mutate((C_word*)lf[206]+1 /* (set! errno/range ...) */,C_fix((C_word)ERANGE));
t37=C_mutate((C_word*)lf[207]+1 /* (set! errno/deadlk ...) */,C_fix((C_word)EDEADLK));
t38=C_mutate((C_word*)lf[208]+1 /* (set! errno/nametoolong ...) */,C_fix((C_word)ENAMETOOLONG));
t39=C_mutate((C_word*)lf[209]+1 /* (set! errno/nolck ...) */,C_fix((C_word)ENOLCK));
t40=C_mutate((C_word*)lf[210]+1 /* (set! errno/nosys ...) */,C_fix((C_word)ENOSYS));
t41=C_mutate((C_word*)lf[211]+1 /* (set! errno/notempty ...) */,C_fix((C_word)ENOTEMPTY));
t42=C_mutate((C_word*)lf[212]+1 /* (set! errno/ilseq ...) */,C_fix((C_word)EILSEQ));
t43=C_mutate((C_word*)lf[213]+1 /* (set! change-file-mode ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3504,tmp=(C_word)a,a+=2,tmp));
t44=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3534,tmp=(C_word)a,a+=2,tmp);
t45=C_mutate((C_word*)lf[215]+1 /* (set! file-read-access? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3558,a[2]=t44,tmp=(C_word)a,a+=3,tmp));
t46=C_mutate((C_word*)lf[216]+1 /* (set! file-write-access? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3564,a[2]=t44,tmp=(C_word)a,a+=3,tmp));
t47=C_mutate((C_word*)lf[217]+1 /* (set! file-execute-access? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3570,a[2]=t44,tmp=(C_word)a,a+=3,tmp));
t48=C_mutate((C_word*)lf[218]+1 /* (set! fileno/stdin ...) */,C_fix((C_word)0));
t49=C_mutate((C_word*)lf[219]+1 /* (set! fileno/stdout ...) */,C_fix((C_word)1));
t50=C_mutate((C_word*)lf[220]+1 /* (set! fileno/stderr ...) */,C_fix((C_word)2));
t51=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3579,tmp=(C_word)a,a+=2,tmp);
t52=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3616,tmp=(C_word)a,a+=2,tmp);
t53=C_mutate((C_word*)lf[229]+1 /* (set! open-input-file* ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3634,a[2]=t51,a[3]=t52,tmp=(C_word)a,a+=4,tmp));
t54=C_mutate((C_word*)lf[230]+1 /* (set! open-output-file* ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3648,a[2]=t51,a[3]=t52,tmp=(C_word)a,a+=4,tmp));
t55=C_mutate((C_word*)lf[231]+1 /* (set! port->fileno ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3662,tmp=(C_word)a,a+=2,tmp));
t56=C_mutate((C_word*)lf[235]+1 /* (set! duplicate-fileno ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3697,tmp=(C_word)a,a+=2,tmp));
t57=C_mutate((C_word*)lf[237]+1 /* (set! setenv ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3727,tmp=(C_word)a,a+=2,tmp));
t58=C_mutate((C_word*)lf[238]+1 /* (set! unsetenv ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3744,tmp=(C_word)a,a+=2,tmp));
t59=*((C_word*)lf[239]+1);
t60=C_mutate((C_word*)lf[240]+1 /* (set! get-environment-variables ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3759,a[2]=t59,tmp=(C_word)a,a+=3,tmp));
t61=C_mutate((C_word*)lf[241]+1 /* (set! current-environment ...) */,*((C_word*)lf[240]+1));
t62=C_mutate(&lf[242] /* (set! check-time-vector ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3825,tmp=(C_word)a,a+=2,tmp));
t63=C_mutate((C_word*)lf[244]+1 /* (set! seconds->local-time ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3844,tmp=(C_word)a,a+=2,tmp));
t64=C_mutate((C_word*)lf[247]+1 /* (set! seconds->utc-time ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3871,tmp=(C_word)a,a+=2,tmp));
t65=C_mutate((C_word*)lf[248]+1 /* (set! seconds->string ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3903,tmp=(C_word)a,a+=2,tmp));
t66=C_mutate((C_word*)lf[250]+1 /* (set! time->string ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_3954,tmp=(C_word)a,a+=2,tmp));
t67=C_mutate((C_word*)lf[253]+1 /* (set! local-time->seconds ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_4014,tmp=(C_word)a,a+=2,tmp));
t68=C_mutate((C_word*)lf[256]+1 /* (set! local-timezone-abbreviation ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_4029,tmp=(C_word)a,a+=2,tmp));
t69=C_mutate((C_word*)lf[257]+1 /* (set! _exit ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_4037,tmp=(C_word)a,a+=2,tmp));
t70=C_mutate((C_word*)lf[258]+1 /* (set! terminal-port? ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_4053,tmp=(C_word)a,a+=2,tmp));
t71=C_mutate((C_word*)lf[259]+1 /* (set! set-buffering-mode! ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_4059,tmp=(C_word)a,a+=2,tmp));
t72=*((C_word*)lf[265]+1);
t73=*((C_word*)lf[266]+1);
t74=*((C_word*)lf[267]+1);
t75=*((C_word*)lf[92]+1);
t76=*((C_word*)lf[268]+1);
t77=*((C_word*)lf[269]+1);
t78=C_mutate((C_word*)lf[270]+1 /* (set! glob ...) */,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_4118,a[2]=t74,a[3]=t72,a[4]=t75,a[5]=t73,a[6]=t76,a[7]=t77,tmp=(C_word)a,a+=8,tmp));
t79=C_mutate((C_word*)lf[273]+1 /* (set! spawn/overlay ...) */,C_fix((C_word)P_OVERLAY));
t80=C_mutate((C_word*)lf[274]+1 /* (set! spawn/wait ...) */,C_fix((C_word)P_WAIT));
t81=C_mutate((C_word*)lf[275]+1 /* (set! spawn/nowait ...) */,C_fix((C_word)P_NOWAIT));
t82=C_mutate((C_word*)lf[276]+1 /* (set! spawn/nowaito ...) */,C_fix((C_word)P_NOWAITO));
t83=C_mutate((C_word*)lf[277]+1 /* (set! spawn/detach ...) */,C_fix((C_word)P_DETACH));
t84=*((C_word*)lf[278]+1);
t85=*((C_word*)lf[49]+1);
t86=*((C_word*)lf[103]+1);
t87=*((C_word*)lf[2]+1);
t88=C_mutate(&lf[279] /* (set! $quote-args-list ...) */,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4230,a[2]=t87,a[3]=t85,a[4]=t86,a[5]=t84,tmp=(C_word)a,a+=6,tmp));
t89=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_4309,tmp=(C_word)a,a+=2,tmp);
t90=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_4315,tmp=(C_word)a,a+=2,tmp);
t91=*((C_word*)lf[282]+1);
t92=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_4321,tmp=(C_word)a,a+=2,tmp);
t93=C_mutate(&lf[283] /* (set! $exec-setup ...) */,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4371,a[2]=t91,a[3]=t89,a[4]=t90,a[5]=t92,tmp=(C_word)a,a+=6,tmp));
t94=C_mutate(&lf[284] /* (set! $exec-teardown ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_4407,tmp=(C_word)a,a+=2,tmp));
t95=C_mutate((C_word*)lf[285]+1 /* (set! process-execute ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_4422,tmp=(C_word)a,a+=2,tmp));
t96=C_mutate((C_word*)lf[287]+1 /* (set! process-spawn ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_4506,tmp=(C_word)a,a+=2,tmp));
t97=C_mutate((C_word*)lf[289]+1 /* (set! current-process-id ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_4590,tmp=(C_word)a,a+=2,tmp));
t98=C_mutate((C_word*)lf[290]+1 /* (set! shell-command ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_4593,tmp=(C_word)a,a+=2,tmp));
t99=C_mutate((C_word*)lf[294]+1 /* (set! shell-command-arguments ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_4614,tmp=(C_word)a,a+=2,tmp));
t100=*((C_word*)lf[287]+1);
t101=*((C_word*)lf[292]+1);
t102=C_mutate((C_word*)lf[296]+1 /* (set! process-run ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4620,a[2]=t100,tmp=(C_word)a,a+=3,tmp));
t103=C_mutate((C_word*)lf[297]+1 /* (set! process ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_4700,tmp=(C_word)a,a+=2,tmp));
t104=C_set_block_item(lf[302] /* process */,0,C_SCHEME_UNDEFINED);
t105=C_set_block_item(lf[303] /* process* */,0,C_SCHEME_UNDEFINED);
t106=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_4798,tmp=(C_word)a,a+=2,tmp);
t107=C_mutate((C_word*)lf[302]+1 /* (set! process ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4876,a[2]=t106,tmp=(C_word)a,a+=3,tmp));
t108=C_mutate((C_word*)lf[303]+1 /* (set! process* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4953,a[2]=t106,tmp=(C_word)a,a+=3,tmp));
t109=C_mutate((C_word*)lf[304]+1 /* (set! process-wait ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5030,tmp=(C_word)a,a+=2,tmp));
t110=C_mutate((C_word*)lf[305]+1 /* (set! process-wait ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5042,tmp=(C_word)a,a+=2,tmp));
t111=C_mutate((C_word*)lf[307]+1 /* (set! sleep ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5099,tmp=(C_word)a,a+=2,tmp));
t112=C_mutate((C_word*)lf[308]+1 /* (set! get-host-name ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5102,tmp=(C_word)a,a+=2,tmp));
t113=C_mutate((C_word*)lf[310]+1 /* (set! system-information ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5114,tmp=(C_word)a,a+=2,tmp));
t114=C_mutate((C_word*)lf[106]+1 /* (set! current-user-name ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5145,tmp=(C_word)a,a+=2,tmp));
t115=*((C_word*)lf[270]+1);
t116=*((C_word*)lf[266]+1);
t117=*((C_word*)lf[268]+1);
t118=*((C_word*)lf[314]+1);
t119=*((C_word*)lf[96]+1);
t120=C_mutate((C_word*)lf[315]+1 /* (set! find-files ...) */,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_5160,a[2]=t119,a[3]=t118,a[4]=t117,a[5]=t115,a[6]=t116,tmp=(C_word)a,a+=7,tmp));
t121=C_mutate((C_word*)lf[322]+1 /* (set! change-file-owner ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5403,tmp=(C_word)a,a+=2,tmp));
t122=C_mutate((C_word*)lf[324]+1 /* (set! create-fifo ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5409,tmp=(C_word)a,a+=2,tmp));
t123=C_mutate((C_word*)lf[325]+1 /* (set! create-session ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5415,tmp=(C_word)a,a+=2,tmp));
t124=C_mutate((C_word*)lf[326]+1 /* (set! create-symbolic-link ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5421,tmp=(C_word)a,a+=2,tmp));
t125=C_mutate((C_word*)lf[327]+1 /* (set! current-effective-group-id ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5427,tmp=(C_word)a,a+=2,tmp));
t126=C_mutate((C_word*)lf[328]+1 /* (set! current-effective-user-id ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5433,tmp=(C_word)a,a+=2,tmp));
t127=C_mutate((C_word*)lf[329]+1 /* (set! current-effective-user-name ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5439,tmp=(C_word)a,a+=2,tmp));
t128=C_mutate((C_word*)lf[330]+1 /* (set! current-group-id ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5445,tmp=(C_word)a,a+=2,tmp));
t129=C_mutate((C_word*)lf[331]+1 /* (set! current-user-id ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5451,tmp=(C_word)a,a+=2,tmp));
t130=C_mutate((C_word*)lf[332]+1 /* (set! map-file-to-memory ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5457,tmp=(C_word)a,a+=2,tmp));
t131=C_mutate((C_word*)lf[333]+1 /* (set! file-link ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5463,tmp=(C_word)a,a+=2,tmp));
t132=C_mutate((C_word*)lf[334]+1 /* (set! file-lock ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5469,tmp=(C_word)a,a+=2,tmp));
t133=C_mutate((C_word*)lf[335]+1 /* (set! file-lock/blocking ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5475,tmp=(C_word)a,a+=2,tmp));
t134=C_mutate((C_word*)lf[336]+1 /* (set! file-select ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5481,tmp=(C_word)a,a+=2,tmp));
t135=C_mutate((C_word*)lf[337]+1 /* (set! file-test-lock ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5487,tmp=(C_word)a,a+=2,tmp));
t136=C_mutate((C_word*)lf[338]+1 /* (set! file-truncate ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5493,tmp=(C_word)a,a+=2,tmp));
t137=C_mutate((C_word*)lf[339]+1 /* (set! file-unlock ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5499,tmp=(C_word)a,a+=2,tmp));
t138=C_mutate((C_word*)lf[340]+1 /* (set! get-groups ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5505,tmp=(C_word)a,a+=2,tmp));
t139=C_mutate((C_word*)lf[341]+1 /* (set! group-information ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5511,tmp=(C_word)a,a+=2,tmp));
t140=C_mutate((C_word*)lf[342]+1 /* (set! initialize-groups ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5517,tmp=(C_word)a,a+=2,tmp));
t141=C_mutate((C_word*)lf[343]+1 /* (set! memory-mapped-file-pointer ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5523,tmp=(C_word)a,a+=2,tmp));
t142=C_mutate((C_word*)lf[344]+1 /* (set! parent-process-id ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5529,tmp=(C_word)a,a+=2,tmp));
t143=C_mutate((C_word*)lf[345]+1 /* (set! process-fork ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5535,tmp=(C_word)a,a+=2,tmp));
t144=C_mutate((C_word*)lf[346]+1 /* (set! process-group-id ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5541,tmp=(C_word)a,a+=2,tmp));
t145=C_mutate((C_word*)lf[347]+1 /* (set! process-signal ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5547,tmp=(C_word)a,a+=2,tmp));
t146=C_mutate((C_word*)lf[348]+1 /* (set! read-symbolic-link ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5553,tmp=(C_word)a,a+=2,tmp));
t147=C_mutate((C_word*)lf[349]+1 /* (set! set-alarm! ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5559,tmp=(C_word)a,a+=2,tmp));
t148=C_mutate((C_word*)lf[350]+1 /* (set! set-group-id! ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5565,tmp=(C_word)a,a+=2,tmp));
t149=C_mutate((C_word*)lf[351]+1 /* (set! set-groups! ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5571,tmp=(C_word)a,a+=2,tmp));
t150=C_mutate((C_word*)lf[352]+1 /* (set! set-process-group-id! ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5577,tmp=(C_word)a,a+=2,tmp));
t151=C_mutate((C_word*)lf[353]+1 /* (set! set-root-directory! ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5583,tmp=(C_word)a,a+=2,tmp));
t152=C_mutate((C_word*)lf[354]+1 /* (set! set-signal-mask! ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5589,tmp=(C_word)a,a+=2,tmp));
t153=C_mutate((C_word*)lf[355]+1 /* (set! set-user-id! ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5595,tmp=(C_word)a,a+=2,tmp));
t154=C_mutate((C_word*)lf[356]+1 /* (set! signal-mask ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5601,tmp=(C_word)a,a+=2,tmp));
t155=C_mutate((C_word*)lf[357]+1 /* (set! signal-mask! ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5607,tmp=(C_word)a,a+=2,tmp));
t156=C_mutate((C_word*)lf[358]+1 /* (set! signal-masked? ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5613,tmp=(C_word)a,a+=2,tmp));
t157=C_mutate((C_word*)lf[359]+1 /* (set! signal-unmask! ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5619,tmp=(C_word)a,a+=2,tmp));
t158=C_mutate((C_word*)lf[360]+1 /* (set! terminal-name ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5625,tmp=(C_word)a,a+=2,tmp));
t159=C_mutate((C_word*)lf[361]+1 /* (set! terminal-size ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5631,tmp=(C_word)a,a+=2,tmp));
t160=C_mutate((C_word*)lf[362]+1 /* (set! unmap-file-from-memory ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5637,tmp=(C_word)a,a+=2,tmp));
t161=C_mutate((C_word*)lf[363]+1 /* (set! user-information ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5643,tmp=(C_word)a,a+=2,tmp));
t162=C_mutate((C_word*)lf[364]+1 /* (set! utc-time->seconds ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5649,tmp=(C_word)a,a+=2,tmp));
t163=C_mutate((C_word*)lf[365]+1 /* (set! string->time ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5655,tmp=(C_word)a,a+=2,tmp));
t164=C_set_block_item(lf[366] /* errno/wouldblock */,0,C_fix(0));
t165=C_mutate((C_word*)lf[71]+1 /* (set! fifo? ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5662,tmp=(C_word)a,a+=2,tmp));
t166=C_mutate((C_word*)lf[367]+1 /* (set! memory-mapped-file? ...) */,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5665,tmp=(C_word)a,a+=2,tmp));
t167=C_set_block_item(lf[368] /* map/anonymous */,0,C_fix(0));
t168=C_set_block_item(lf[369] /* map/file */,0,C_fix(0));
t169=C_set_block_item(lf[370] /* map/fixed */,0,C_fix(0));
t170=C_set_block_item(lf[371] /* map/private */,0,C_fix(0));
t171=C_set_block_item(lf[372] /* map/shared */,0,C_fix(0));
t172=C_set_block_item(lf[373] /* open/fsync */,0,C_fix(0));
t173=C_set_block_item(lf[374] /* open/noctty */,0,C_fix(0));
t174=C_set_block_item(lf[375] /* open/nonblock */,0,C_fix(0));
t175=C_set_block_item(lf[376] /* open/sync */,0,C_fix(0));
t176=C_set_block_item(lf[377] /* perm/isgid */,0,C_fix(0));
t177=C_set_block_item(lf[378] /* perm/isuid */,0,C_fix(0));
t178=C_set_block_item(lf[379] /* perm/isvtx */,0,C_fix(0));
t179=C_set_block_item(lf[380] /* prot/exec */,0,C_fix(0));
t180=C_set_block_item(lf[381] /* prot/none */,0,C_fix(0));
t181=C_set_block_item(lf[382] /* prot/read */,0,C_fix(0));
t182=C_set_block_item(lf[383] /* prot/write */,0,C_fix(0));
t183=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t183+1)))(2,t183,C_SCHEME_UNDEFINED);}

/* memory-mapped-file? in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5665(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_5665,3,t0,t1,t2);}
t3=t1;
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_FALSE);}

/* fifo? in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5662(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_5662,3,t0,t1,t2);}
t3=t1;
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_FALSE);}

/* string->time in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5655(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5655,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[365],lf[0]);}

/* utc-time->seconds in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5649(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5649,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[364],lf[0]);}

/* user-information in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5643(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5643,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[363],lf[0]);}

/* unmap-file-from-memory in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5637(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5637,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[362],lf[0]);}

/* terminal-size in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5631(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5631,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[361],lf[0]);}

/* terminal-name in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5625(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5625,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[360],lf[0]);}

/* signal-unmask! in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5619(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5619,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[359],lf[0]);}

/* signal-masked? in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5613(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5613,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[358],lf[0]);}

/* signal-mask! in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5607(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5607,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[357],lf[0]);}

/* signal-mask in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5601(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5601,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[356],lf[0]);}

/* set-user-id! in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5595(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5595,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[355],lf[0]);}

/* set-signal-mask! in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5589(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5589,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[354],lf[0]);}

/* set-root-directory! in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5583(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5583,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[353],lf[0]);}

/* set-process-group-id! in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5577(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5577,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[352],lf[0]);}

/* set-groups! in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5571(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5571,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[351],lf[0]);}

/* set-group-id! in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5565(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5565,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[350],lf[0]);}

/* set-alarm! in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5559(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5559,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[349],lf[0]);}

/* read-symbolic-link in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5553(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5553,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[348],lf[0]);}

/* process-signal in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5547(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5547,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[347],lf[0]);}

/* process-group-id in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5541(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5541,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[346],lf[0]);}

/* process-fork in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5535(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5535,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[345],lf[0]);}

/* parent-process-id in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5529(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5529,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[344],lf[0]);}

/* memory-mapped-file-pointer in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5523(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5523,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[343],lf[0]);}

/* initialize-groups in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5517(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5517,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[342],lf[0]);}

/* group-information in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5511(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5511,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[341],lf[0]);}

/* get-groups in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5505(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5505,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[340],lf[0]);}

/* file-unlock in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5499(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5499,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[339],lf[0]);}

/* file-truncate in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5493(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5493,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[338],lf[0]);}

/* file-test-lock in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5487(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5487,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[337],lf[0]);}

/* file-select in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5481(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5481,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[336],lf[0]);}

/* file-lock/blocking in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5475(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5475,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[335],lf[0]);}

/* file-lock in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5469(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5469,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[334],lf[0]);}

/* file-link in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5463(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5463,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[333],lf[0]);}

/* map-file-to-memory in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5457(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5457,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[332],lf[0]);}

/* current-user-id in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5451(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5451,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[331],lf[0]);}

/* current-group-id in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5445(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5445,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[330],lf[0]);}

/* current-effective-user-name in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5439(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5439,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[329],lf[0]);}

/* current-effective-user-id in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5433(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5433,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[328],lf[0]);}

/* current-effective-group-id in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5427(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5427,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[327],lf[0]);}

/* create-symbolic-link in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5421(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5421,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[326],lf[0]);}

/* create-session in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5415(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5415,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[325],lf[0]);}

/* create-fifo in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5409(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5409,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[324],lf[0]);}

/* change-file-owner in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5403(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5403,2,t0,t1);}
/* error */
t2=*((C_word*)lf[323]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[322],lf[0]);}

/* find-files in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5160(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(!C_demand(c*C_SIZEOF_PAIR+18)){
C_save_and_reclaim((void*)tr4r,(void*)f_5160r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest(a,C_rest_count(0));
f_5160r(t0,t1,t2,t3,t4);}}

static void C_ccall f_5160r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a=C_alloc(18);
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_5162,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t3,a[8]=t2,tmp=(C_word)a,a+=9,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5327,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5332,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5337,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
if(C_truep((C_word)C_i_nullp(t4))){
/* def-action12311296 */
t9=t8;
f_5337(t9,t1);}
else{
t9=(C_word)C_u_i_car(t4);
t10=(C_word)C_slot(t4,C_fix(1));
if(C_truep((C_word)C_i_nullp(t10))){
/* def-id12321294 */
t11=t7;
f_5332(t11,t1,t9);}
else{
t11=(C_word)C_u_i_car(t10);
t12=(C_word)C_slot(t10,C_fix(1));
if(C_truep((C_word)C_i_nullp(t12))){
/* def-limit12331291 */
t13=t6;
f_5327(t13,t1,t9,t11);}
else{
t13=(C_word)C_u_i_car(t12);
t14=(C_word)C_slot(t12,C_fix(1));
/* body12291238 */
t15=t5;
f_5162(t15,t1,t9,t11,t13);}}}}

/* def-action1231 in find-files in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_5337(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_5337,NULL,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5343,tmp=(C_word)a,a+=2,tmp);
/* def-id12321294 */
t3=((C_word*)t0)[2];
f_5332(t3,t1,t2);}

/* a5342 in def-action1231 in find-files in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5343(C_word c,C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr4,(void*)f_5343,4,t0,t1,t2,t3);}
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,(C_word)C_a_i_cons(&a,2,t2,t3));}

/* def-id1232 in find-files in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_5332(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_5332,NULL,3,t0,t1,t2);}
/* def-limit12331291 */
t3=((C_word*)t0)[2];
f_5327(t3,t1,t2,C_SCHEME_END_OF_LIST);}

/* def-limit1233 in find-files in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_5327(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_5327,NULL,4,t0,t1,t2,t3);}
/* body12291238 */
t4=((C_word*)t0)[2];
f_5162(t4,t1,t2,t3,C_SCHEME_FALSE);}

/* body1229 in find-files in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_5162(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word ab[19],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_5162,NULL,5,t0,t1,t2,t3,t4);}
t5=(C_word)C_i_check_string_2(((C_word*)t0)[8],lf[315]);
t6=C_fix(0);
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_5169,a[2]=((C_word*)t0)[8],a[3]=t3,a[4]=t1,a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=t2,a[10]=t7,a[11]=((C_word*)t0)[6],a[12]=((C_word*)t0)[7],tmp=(C_word)a,a+=13,tmp);
t9=t4;
if(C_truep(t9)){
t10=(C_word)C_fixnump(t4);
t11=t8;
f_5169(t11,(C_truep(t10)?(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5322,a[2]=t4,a[3]=t7,tmp=(C_word)a,a+=4,tmp):t4));}
else{
t10=t8;
f_5169(t10,(*a=C_CLOSURE_TYPE|1,a[1]=(C_word)f_5314,tmp=(C_word)a,a+=2,tmp));}}

/* f_5314 in body1229 in find-files in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5314(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5314,2,t0,t1);}
t2=t1;
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_TRUE);}

/* f_5322 in body1229 in find-files in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5322(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5322,2,t0,t1);}
t2=t1;
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_fixnum_lessp(((C_word*)((C_word*)t0)[3])[1],((C_word*)t0)[2]));}

/* k5167 in body1229 in find-files in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_5169(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[14],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_5169,NULL,2,t0,t1);}
t2=(C_word)C_i_stringp(((C_word*)t0)[12]);
t3=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_5302,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t1,a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[11],tmp=(C_word)a,a+=14,tmp);
if(C_truep(t2)){
t4=t3;
f_5302(2,t4,t2);}
else{
/* posixwin.scm: 2077 regexp? */
t4=*((C_word*)lf[321]+1);
((C_proc3)(void*)(*((C_word*)t4+1)))(3,t4,t3,((C_word*)t0)[12]);}}

/* k5300 in k5167 in body1229 in find-files in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5302(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[20],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5302,2,t0,t1);}
t2=(C_truep(t1)?(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5303,a[2]=((C_word*)t0)[12],a[3]=((C_word*)t0)[13],tmp=(C_word)a,a+=4,tmp):((C_word*)t0)[12]);
t3=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_5179,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=t2,a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],tmp=(C_word)a,a+=12,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5296,a[2]=t3,a[3]=((C_word*)t0)[9],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 2080 make-pathname */
t5=((C_word*)t0)[8];
((C_proc4)(void*)(*((C_word*)t5+1)))(4,t5,t4,((C_word*)t0)[2],lf[320]);}

/* k5294 in k5300 in k5167 in body1229 in find-files in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5296(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 2080 glob */
t2=((C_word*)t0)[3];
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k5177 in k5300 in k5167 in body1229 in find-files in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5179(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[13],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5179,2,t0,t1);}
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_5181,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[9],a[8]=((C_word*)t0)[10],a[9]=((C_word*)t0)[11],a[10]=t3,tmp=(C_word)a,a+=11,tmp));
t5=((C_word*)t3)[1];
f_5181(t5,((C_word*)t0)[3],t1,((C_word*)t0)[2]);}

/* loop in k5177 in k5300 in k5167 in body1229 in find-files in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_5181(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[14],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_5181,NULL,4,t0,t1,t2,t3);}
if(C_truep((C_word)C_i_nullp(t2))){
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}
else{
t4=(C_word)C_slot(t2,C_fix(0));
t5=(C_word)C_slot(t2,C_fix(1));
t6=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_5200,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=t4,a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=t3,a[11]=t5,a[12]=t1,a[13]=((C_word*)t0)[10],tmp=(C_word)a,a+=14,tmp);
/* posixwin.scm: 2086 directory? */
t7=((C_word*)t0)[2];
((C_proc3)(void*)(*((C_word*)t7+1)))(3,t7,t6,t4);}}

/* k5198 in loop in k5177 in k5300 in k5167 in body1229 in find-files in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5200(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[13],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5200,2,t0,t1);}
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_5276,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],a[12]=((C_word*)t0)[13],tmp=(C_word)a,a+=13,tmp);
/* posixwin.scm: 2087 pathname-file */
t3=((C_word*)t0)[2];
((C_proc3)(void*)(*((C_word*)t3+1)))(3,t3,t2,((C_word*)t0)[7]);}
else{
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_5282,a[2]=((C_word*)t0)[10],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[8],a[5]=((C_word*)t0)[11],a[6]=((C_word*)t0)[12],a[7]=((C_word*)t0)[13],tmp=(C_word)a,a+=8,tmp);
/* posixwin.scm: 2094 pproc */
t3=((C_word*)t0)[6];
((C_proc3)(void*)(*((C_word*)t3+1)))(3,t3,t2,((C_word*)t0)[7]);}}

/* k5280 in k5198 in loop in k5177 in k5300 in k5167 in body1229 in find-files in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5282(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5282,2,t0,t1);}
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5289,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[7],tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm: 2094 action */
t3=((C_word*)t0)[4];
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,((C_word*)t0)[3],((C_word*)t0)[2]);}
else{
/* posixwin.scm: 2095 loop */
t2=((C_word*)((C_word*)t0)[7])[1];
f_5181(t2,((C_word*)t0)[6],((C_word*)t0)[5],((C_word*)t0)[2]);}}

/* k5287 in k5280 in k5198 in loop in k5177 in k5300 in k5167 in body1229 in find-files in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5289(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 2094 loop */
t2=((C_word*)((C_word*)t0)[4])[1];
f_5181(t2,((C_word*)t0)[3],((C_word*)t0)[2],t1);}

/* k5274 in k5198 in loop in k5177 in k5300 in k5167 in body1229 in find-files in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5276(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[12],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5276,2,t0,t1);}
if(C_truep((C_truep((C_word)C_i_equalp(t1,lf[316]))?C_SCHEME_TRUE:(C_truep((C_word)C_i_equalp(t1,lf[317]))?C_SCHEME_TRUE:C_SCHEME_FALSE)))){
/* posixwin.scm: 2087 loop */
t2=((C_word*)((C_word*)t0)[12])[1];
f_5181(t2,((C_word*)t0)[11],((C_word*)t0)[10],((C_word*)t0)[9]);}
else{
t2=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_5215,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[9],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[10],a[9]=((C_word*)t0)[11],a[10]=((C_word*)t0)[12],a[11]=((C_word*)t0)[8],tmp=(C_word)a,a+=12,tmp);
/* posixwin.scm: 2088 lproc */
t3=((C_word*)t0)[2];
((C_proc3)(void*)(*((C_word*)t3+1)))(3,t3,t2,((C_word*)t0)[6]);}}

/* k5213 in k5274 in k5198 in loop in k5177 in k5300 in k5167 in body1229 in find-files in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5215(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word ab[28],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5215,2,t0,t1);}
if(C_truep(t1)){
t2=(C_word)C_u_fixnum_plus(((C_word*)((C_word*)t0)[11])[1],C_fix(1));
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5225,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[9],a[4]=((C_word*)t0)[10],tmp=(C_word)a,a+=5,tmp);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5227,a[2]=t4,a[3]=((C_word*)t0)[11],a[4]=t6,tmp=(C_word)a,a+=5,tmp);
t9=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_5232,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[10],tmp=(C_word)a,a+=9,tmp);
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5256,a[2]=t6,a[3]=((C_word*)t0)[11],a[4]=t4,tmp=(C_word)a,a+=5,tmp);
/* ##sys#dynamic-wind */
t11=*((C_word*)lf[319]+1);
((C_proc5)(void*)(*((C_word*)t11+1)))(5,t11,t7,t8,t9,t10);}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5266,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[9],a[4]=((C_word*)t0)[10],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_5269,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=t2,a[5]=((C_word*)t0)[7],tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm: 2093 pproc */
t4=((C_word*)t0)[4];
((C_proc3)(void*)(*((C_word*)t4+1)))(3,t4,t3,((C_word*)t0)[6]);}}

/* k5267 in k5213 in k5274 in k5198 in loop in k5177 in k5300 in k5167 in body1229 in find-files in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5269(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_truep(t1)){
/* posixwin.scm: 2093 action */
t2=((C_word*)t0)[5];
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,((C_word*)t0)[4],((C_word*)t0)[3],((C_word*)t0)[2]);}
else{
t2=((C_word*)t0)[4];
f_5266(2,t2,((C_word*)t0)[2]);}}

/* k5264 in k5213 in k5274 in k5198 in loop in k5177 in k5300 in k5167 in body1229 in find-files in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5266(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 2093 loop */
t2=((C_word*)((C_word*)t0)[4])[1];
f_5181(t2,((C_word*)t0)[3],((C_word*)t0)[2],t1);}

/* a5255 in k5213 in k5274 in k5198 in loop in k5177 in k5300 in k5167 in body1229 in find-files in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5256(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5256,2,t0,t1);}
t2=C_mutate(((C_word *)((C_word*)t0)[4])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[2])[1]);
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,C_SCHEME_UNDEFINED);}

/* a5231 in k5213 in k5274 in k5198 in loop in k5177 in k5300 in k5167 in body1229 in find-files in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5232(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[12],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5232,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_5240,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[7],a[6]=t1,a[7]=((C_word*)t0)[8],tmp=(C_word)a,a+=8,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5254,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 2091 make-pathname */
t4=((C_word*)t0)[2];
((C_proc4)(void*)(*((C_word*)t4+1)))(4,t4,t3,((C_word*)t0)[6],lf[318]);}

/* k5252 in a5231 in k5213 in k5274 in k5198 in loop in k5177 in k5300 in k5167 in body1229 in find-files in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5254(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 2091 glob */
t2=((C_word*)t0)[3];
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k5238 in a5231 in k5213 in k5274 in k5198 in loop in k5177 in k5300 in k5167 in body1229 in find-files in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5240(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5240,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5244,a[2]=t1,a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[7],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_5247,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t2,a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm: 2092 pproc */
t4=((C_word*)t0)[2];
((C_proc3)(void*)(*((C_word*)t4+1)))(3,t4,t3,((C_word*)t0)[4]);}

/* k5245 in k5238 in a5231 in k5213 in k5274 in k5198 in loop in k5177 in k5300 in k5167 in body1229 in find-files in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5247(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_truep(t1)){
/* posixwin.scm: 2092 action */
t2=((C_word*)t0)[5];
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,((C_word*)t0)[4],((C_word*)t0)[3],((C_word*)t0)[2]);}
else{
t2=((C_word*)t0)[4];
f_5244(2,t2,((C_word*)t0)[2]);}}

/* k5242 in k5238 in a5231 in k5213 in k5274 in k5198 in loop in k5177 in k5300 in k5167 in body1229 in find-files in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5244(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 2091 loop */
t2=((C_word*)((C_word*)t0)[4])[1];
f_5181(t2,((C_word*)t0)[3],((C_word*)t0)[2],t1);}

/* a5226 in k5213 in k5274 in k5198 in loop in k5177 in k5300 in k5167 in body1229 in find-files in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5227(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5227,2,t0,t1);}
t2=C_mutate(((C_word *)((C_word*)t0)[4])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[2])[1]);
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,C_SCHEME_UNDEFINED);}

/* k5223 in k5213 in k5274 in k5198 in loop in k5177 in k5300 in k5167 in body1229 in find-files in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5225(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 2089 loop */
t2=((C_word*)((C_word*)t0)[4])[1];
f_5181(t2,((C_word*)t0)[3],((C_word*)t0)[2],t1);}

/* f_5303 in k5300 in k5167 in body1229 in find-files in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5303(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_5303,3,t0,t1,t2);}
/* posixwin.scm: 2078 string-match */
t3=((C_word*)t0)[3];
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t1,((C_word*)t0)[2],t2);}

/* current-user-name in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5145(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5145,2,t0,t1);}
if(C_truep((C_word)C_get_user_name())){
/* ##sys#peek-c-string */
t2=*((C_word*)lf[6]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,C_mpointer(&a,(void*)C_username),C_fix(0));}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5155,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 2052 ##sys#update-errno */
t3=*((C_word*)lf[7]+1);
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,t2);}}

/* k5153 in current-user-name in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5155(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 2053 ##sys#error */
t2=*((C_word*)lf[123]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,((C_word*)t0)[2],lf[106],lf[313]);}

/* system-information in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5114(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5114,2,t0,t1);}
if(C_truep((C_word)C_sysinfo())){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5125,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t3=*((C_word*)lf[6]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,C_mpointer(&a,(void*)C_hostname),C_fix(0));}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5140,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 2043 ##sys#update-errno */
t3=*((C_word*)lf[7]+1);
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,t2);}}

/* k5138 in system-information in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5140(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 2044 ##sys#error */
t2=*((C_word*)lf[123]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,((C_word*)t0)[2],lf[310],lf[312]);}

/* k5123 in system-information in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5125(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5125,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5129,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* ##sys#peek-c-string */
t3=*((C_word*)lf[6]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,C_mpointer(&a,(void*)C_osrel),C_fix(0));}

/* k5127 in k5123 in system-information in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5129(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5129,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_5133,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* ##sys#peek-c-string */
t3=*((C_word*)lf[6]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,C_mpointer(&a,(void*)C_osver),C_fix(0));}

/* k5131 in k5127 in k5123 in system-information in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5133(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5133,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_5137,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* ##sys#peek-c-string */
t3=*((C_word*)lf[6]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,C_mpointer(&a,(void*)C_processor),C_fix(0));}

/* k5135 in k5131 in k5127 in k5123 in system-information in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5137(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[15],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5137,2,t0,t1);}
t2=((C_word*)t0)[5];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_a_i_list(&a,5,lf[311],((C_word*)t0)[4],((C_word*)t0)[3],((C_word*)t0)[2],t1));}

/* get-host-name in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5102(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5102,2,t0,t1);}
if(C_truep((C_word)C_get_hostname())){
/* ##sys#peek-c-string */
t2=*((C_word*)lf[6]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,C_mpointer(&a,(void*)C_hostname),C_fix(0));}
else{
/* posixwin.scm: 2033 ##sys#error */
t2=*((C_word*)lf[123]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,lf[308],lf[309]);}}

/* sleep in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5099(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_5099,3,t0,t1,t2);}
t3=(C_word)C_sleep(t2);
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,C_fix(0));}

/* process-wait in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5042(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(!C_demand(c*C_SIZEOF_PAIR+7)){
C_save_and_reclaim((void*)tr3r,(void*)f_5042r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_5042r(t0,t1,t2,t3);}}

static void C_ccall f_5042r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a=C_alloc(7);
t4=(C_word)C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:(C_word)C_u_i_car(t3));
t6=(C_word)C_i_nullp(t3);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:(C_word)C_slot(t3,C_fix(1)));
t8=(C_word)C_i_check_exact_2(t2,lf[305]);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5060,a[2]=t5,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t10=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_5066,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* ##sys#call-with-values */
C_u_call_with_values(4,0,t1,t9,t10);}

/* a5065 in process-wait in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5066(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr5,(void*)f_5066,5,t0,t1,t2,t3,t4);}
t5=(C_word)C_eqp(t2,C_fix(-1));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_5076,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 2015 ##sys#update-errno */
t7=*((C_word*)lf[7]+1);
((C_proc2)(void*)(*((C_word*)t7+1)))(2,t7,t6);}
else{
/* posixwin.scm: 2017 values */
C_values(5,0,t1,t2,t3,t4);}}

/* k5074 in a5065 in process-wait in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5076(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 2016 ##sys#signal-hook */
t2=*((C_word*)lf[4]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[298],lf[305],lf[306],((C_word*)t0)[2]);}

/* a5059 in process-wait in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5060(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_5060,2,t0,t1);}
/* posixwin.scm: 2012 ##sys#process-wait */
t2=*((C_word*)lf[304]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,t1,((C_word*)t0)[3],((C_word*)t0)[2]);}

/* ##sys#process-wait in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_5030(C_word c,C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr4,(void*)f_5030,4,t0,t1,t2,t3);}
if(C_truep((C_word)C_process_wait(t2,t3))){
/* posixwin.scm: 2005 values */
C_values(5,0,t1,t2,C_SCHEME_TRUE,C_fix((C_word)C_exstatus));}
else{
/* posixwin.scm: 2006 values */
C_values(5,0,t1,C_fix(-1),C_SCHEME_FALSE,C_SCHEME_FALSE);}}

/* process* in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4953(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(!C_demand(c*C_SIZEOF_PAIR+13)){
C_save_and_reclaim((void*)tr3r,(void*)f_4953r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_4953r(t0,t1,t2,t3);}}

static void C_ccall f_4953r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a=C_alloc(13);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4955,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4960,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4965,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4970,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
if(C_truep((C_word)C_i_nullp(t3))){
/* def-args11651181 */
t8=t7;
f_4970(t8,t1);}
else{
t8=(C_word)C_u_i_car(t3);
t9=(C_word)C_slot(t3,C_fix(1));
if(C_truep((C_word)C_i_nullp(t9))){
/* def-env11661179 */
t10=t6;
f_4965(t10,t1,t8);}
else{
t10=(C_word)C_u_i_car(t9);
t11=(C_word)C_slot(t9,C_fix(1));
if(C_truep((C_word)C_i_nullp(t11))){
/* def-exactf11671176 */
t12=t5;
f_4960(t12,t1,t8,t10);}
else{
t12=(C_word)C_u_i_car(t11);
t13=(C_word)C_slot(t11,C_fix(1));
/* body11631172 */
t14=t4;
f_4955(t14,t1,t8,t10,t12);}}}}

/* def-args1165 in process* in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_4970(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4970,NULL,2,t0,t1);}
/* def-env11661179 */
t2=((C_word*)t0)[2];
f_4965(t2,t1,C_SCHEME_FALSE);}

/* def-env1166 in process* in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_4965(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4965,NULL,3,t0,t1,t2);}
/* def-exactf11671176 */
t3=((C_word*)t0)[2];
f_4960(t3,t1,t2,C_SCHEME_FALSE);}

/* def-exactf1167 in process* in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_4960(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4960,NULL,4,t0,t1,t2,t3);}
/* body11631172 */
t4=((C_word*)t0)[2];
f_4955(t4,t1,t2,t3,C_SCHEME_FALSE);}

/* body1163 in process* in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_4955(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4955,NULL,5,t0,t1,t2,t3,t4);}
/* posixwin.scm: 1999 %process */
f_4798(t1,lf[303],C_SCHEME_TRUE,((C_word*)t0)[2],t2,t3,t4);}

/* process in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4876(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(!C_demand(c*C_SIZEOF_PAIR+13)){
C_save_and_reclaim((void*)tr3r,(void*)f_4876r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_4876r(t0,t1,t2,t3);}}

static void C_ccall f_4876r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a=C_alloc(13);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4878,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4883,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4888,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4893,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
if(C_truep((C_word)C_i_nullp(t3))){
/* def-args11261142 */
t8=t7;
f_4893(t8,t1);}
else{
t8=(C_word)C_u_i_car(t3);
t9=(C_word)C_slot(t3,C_fix(1));
if(C_truep((C_word)C_i_nullp(t9))){
/* def-env11271140 */
t10=t6;
f_4888(t10,t1,t8);}
else{
t10=(C_word)C_u_i_car(t9);
t11=(C_word)C_slot(t9,C_fix(1));
if(C_truep((C_word)C_i_nullp(t11))){
/* def-exactf11281137 */
t12=t5;
f_4883(t12,t1,t8,t10);}
else{
t12=(C_word)C_u_i_car(t11);
t13=(C_word)C_slot(t11,C_fix(1));
/* body11241133 */
t14=t4;
f_4878(t14,t1,t8,t10,t12);}}}}

/* def-args1126 in process in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_4893(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4893,NULL,2,t0,t1);}
/* def-env11271140 */
t2=((C_word*)t0)[2];
f_4888(t2,t1,C_SCHEME_FALSE);}

/* def-env1127 in process in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_4888(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4888,NULL,3,t0,t1,t2);}
/* def-exactf11281137 */
t3=((C_word*)t0)[2];
f_4883(t3,t1,t2,C_SCHEME_FALSE);}

/* def-exactf1128 in process in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_4883(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4883,NULL,4,t0,t1,t2,t3);}
/* body11241133 */
t4=((C_word*)t0)[2];
f_4878(t4,t1,t2,t3,C_SCHEME_FALSE);}

/* body1124 in process in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_4878(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4878,NULL,5,t0,t1,t2,t3,t4);}
/* posixwin.scm: 1996 %process */
f_4798(t1,lf[302],C_SCHEME_FALSE,((C_word*)t0)[2],t2,t3,t4);}

/* %process in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_4798(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6,C_word t7){
C_word tmp;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word ab[28],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4798,NULL,7,t1,t2,t3,t4,t5,t6,t7);}
t8=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t9=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t10=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t11=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4809,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
t12=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4800,a[2]=t11,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t13=(C_word)C_i_check_string_2(((C_word*)t8)[1],t2);
t14=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_4835,a[2]=t1,a[3]=t10,a[4]=t3,a[5]=t9,a[6]=t8,a[7]=t2,a[8]=t12,a[9]=t6,tmp=(C_word)a,a+=10,tmp);
if(C_truep(((C_word*)t9)[1])){
/* posixwin.scm: 1984 chkstrlst */
t15=t14;
f_4835(t15,f_4800(t12,((C_word*)t9)[1]));}
else{
t15=C_set_block_item(t10,0,C_SCHEME_TRUE);
t16=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4870,a[2]=t14,a[3]=t8,a[4]=t9,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm: 1987 ##sys#shell-command-arguments */
t17=*((C_word*)lf[294]+1);
((C_proc3)(void*)(*((C_word*)t17+1)))(3,t17,t16,((C_word*)t8)[1]);}}

/* k4868 in %process in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4870(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4870,2,t0,t1);}
t2=C_mutate(((C_word *)((C_word*)t0)[4])+1,t1);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4874,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1988 ##sys#shell-command */
t4=*((C_word*)lf[290]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}

/* k4872 in k4868 in %process in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4874(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=C_mutate(((C_word *)((C_word*)t0)[3])+1,t1);
t3=((C_word*)t0)[2];
f_4835(t3,t2);}

/* k4833 in %process in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_4835(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4835,NULL,2,t0,t1);}
t2=(C_truep(((C_word*)t0)[9])?f_4800(((C_word*)t0)[8],((C_word*)t0)[9]):C_SCHEME_UNDEFINED);
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_4843,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[9],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4849,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
/* ##sys#call-with-values */
C_u_call_with_values(4,0,((C_word*)t0)[2],t3,t4);}

/* a4848 in k4833 in %process in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4849(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr6,(void*)f_4849,6,t0,t1,t2,t3,t4,t5);}
if(C_truep(((C_word*)t0)[2])){
/* posixwin.scm: 1992 values */
C_values(6,0,t1,t2,t3,t4,t5);}
else{
/* posixwin.scm: 1993 values */
C_values(5,0,t1,t2,t3,t4);}}

/* a4842 in k4833 in %process in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4843(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4843,2,t0,t1);}
/* posixwin.scm: 1990 ##sys#process */
t2=*((C_word*)lf[297]+1);
((C_proc10)(void*)(*((C_word*)t2+1)))(10,t2,t1,((C_word*)t0)[7],((C_word*)((C_word*)t0)[6])[1],((C_word*)((C_word*)t0)[5])[1],((C_word*)t0)[4],C_SCHEME_TRUE,C_SCHEME_TRUE,((C_word*)t0)[3],((C_word*)((C_word*)t0)[2])[1]);}

/* chkstrlst in %process in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static C_word C_fcall f_4800(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
t2=(C_word)C_i_check_list_2(t1,((C_word*)t0)[3]);
return(f_4809(((C_word*)t0)[2],t1));}

/* loop1082 in %process in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static C_word C_fcall f_4809(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
loop:
if(C_truep((C_word)C_i_pairp(t1))){
t2=(C_word)C_slot(t1,C_fix(0));
t3=(C_word)C_i_check_string_2(t2,((C_word*)t0)[2]);
t4=(C_word)C_slot(t1,C_fix(1));
t6=t4;
t1=t6;
goto loop;}
else{
return(C_SCHEME_UNDEFINED);}}

/* ##sys#process in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4700(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6,C_word t7,C_word t8,...){
C_word tmp;
C_word t9;
va_list v;
C_word *a,c2=c;
C_save_rest(t8,c2,9);
if(!C_demand(c*C_SIZEOF_PAIR+14)){
C_save_and_reclaim((void*)tr9rv,(void*)f_4700r,9,t0,t1,t2,t3,t4,t5,t6,t7,t8);}
else{
a=C_alloc((c-9)*3);
t9=C_restore_rest_vector(a,C_rest_count(0));
f_4700r(t0,t1,t2,t3,t4,t5,t6,t7,t8,t9);}}

static void C_ccall f_4700r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6,C_word t7,C_word t8,C_word t9){
C_word tmp;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a=C_alloc(14);
t10=(C_word)C_vemptyp(t9);
t11=(C_truep(t10)?C_SCHEME_FALSE:(C_word)C_slot(t9,C_fix(0)));
t12=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_4707,a[2]=t2,a[3]=t6,a[4]=t7,a[5]=t8,a[6]=t1,a[7]=t3,tmp=(C_word)a,a+=8,tmp);
t13=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4779,a[2]=t12,tmp=(C_word)a,a+=3,tmp);
t14=(C_word)C_a_i_cons(&a,2,t3,t4);
/* posixwin.scm: 1956 $quote-args-list */
t15=lf[279];
f_4230(t15,t13,t14,t11);}

/* k4777 in ##sys#process in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4779(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1956 string-intersperse */
t2=*((C_word*)lf[104]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k4705 in ##sys#process in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4707(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word ab[25],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4707,2,t0,t1);}
t2=(C_word)C_a_i_bytevector(&a,1,C_fix(1));
t3=((*(int *)C_data_pointer(t2))=C_unfix(C_fix(-1)),C_SCHEME_UNDEFINED);
t4=(C_word)C_a_i_bytevector(&a,1,C_fix(1));
t5=((*(int *)C_data_pointer(t4))=C_unfix(C_fix(-1)),C_SCHEME_UNDEFINED);
t6=(C_word)C_a_i_bytevector(&a,1,C_fix(1));
t7=((*(int *)C_data_pointer(t6))=C_unfix(C_fix(-1)),C_SCHEME_UNDEFINED);
t8=(C_word)C_a_i_bytevector(&a,1,C_fix(1));
t9=((*(int *)C_data_pointer(t8))=C_unfix(C_fix(-1)),C_SCHEME_UNDEFINED);
t10=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_4747,a[2]=((C_word*)t0)[2],a[3]=t6,a[4]=((C_word*)t0)[3],a[5]=t4,a[6]=((C_word*)t0)[4],a[7]=t8,a[8]=((C_word*)t0)[5],a[9]=t2,a[10]=((C_word*)t0)[6],a[11]=t1,a[12]=((C_word*)t0)[7],tmp=(C_word)a,a+=13,tmp);
/* ##sys#make-locative */
t11=*((C_word*)lf[300]+1);
((C_proc6)(void*)(*((C_word*)t11+1)))(6,t11,t10,t2,C_fix(0),C_SCHEME_FALSE,lf[301]);}

/* k4745 in k4705 in ##sys#process in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4747(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[14],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4747,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_4751,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=t1,a[12]=((C_word*)t0)[11],a[13]=((C_word*)t0)[12],tmp=(C_word)a,a+=14,tmp);
/* ##sys#make-locative */
t3=*((C_word*)lf[300]+1);
((C_proc6)(void*)(*((C_word*)t3+1)))(6,t3,t2,((C_word*)t0)[5],C_fix(0),C_SCHEME_FALSE,lf[301]);}

/* k4749 in k4745 in k4705 in ##sys#process in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4751(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[15],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4751,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_4755,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=t1,a[12]=((C_word*)t0)[11],a[13]=((C_word*)t0)[12],a[14]=((C_word*)t0)[13],tmp=(C_word)a,a+=15,tmp);
/* ##sys#make-locative */
t3=*((C_word*)lf[300]+1);
((C_proc6)(void*)(*((C_word*)t3+1)))(6,t3,t2,((C_word*)t0)[3],C_fix(0),C_SCHEME_FALSE,lf[301]);}

/* k4753 in k4749 in k4745 in k4705 in ##sys#process in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4755(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[16],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4755,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|15,a[1]=(C_word)f_4759,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=t1,a[12]=((C_word*)t0)[11],a[13]=((C_word*)t0)[12],a[14]=((C_word*)t0)[13],a[15]=((C_word*)t0)[14],tmp=(C_word)a,a+=16,tmp);
/* ##sys#make-locative */
t3=*((C_word*)lf[300]+1);
((C_proc6)(void*)(*((C_word*)t3+1)))(6,t3,t2,((C_word*)t0)[7],C_fix(0),C_SCHEME_FALSE,lf[301]);}

/* k4757 in k4753 in k4749 in k4745 in k4705 in ##sys#process in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4759(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[17],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4759,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|16,a[1]=(C_word)f_4763,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=t1,a[12]=((C_word*)t0)[11],a[13]=((C_word*)t0)[12],a[14]=((C_word*)t0)[13],a[15]=((C_word*)t0)[14],a[16]=((C_word*)t0)[15],tmp=(C_word)a,a+=17,tmp);
t3=(C_truep(((C_word*)t0)[6])?C_fix(0):C_fix(1));
t4=(C_truep(((C_word*)t0)[4])?C_fix(0):C_fix(2));
t5=(C_truep(((C_word*)t0)[8])?C_fix(0):C_fix(4));
/* posixwin.scm: 1963 + */
C_plus(5,0,t2,t3,t4,t5);}

/* k4761 in k4757 in k4753 in k4749 in k4745 in k4705 in ##sys#process in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4763(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word ab[18],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4763,2,t0,t1);}
t2=((C_word*)t0)[16];
t3=((C_word*)t0)[15];
t4=((C_word*)t0)[14];
t5=((C_word*)t0)[13];
t6=((C_word*)t0)[12];
t7=((C_word*)t0)[11];
t8=(*a=C_CLOSURE_TYPE|17,a[1]=(C_word)f_4654,a[2]=t3,a[3]=((C_word*)t0)[15],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],a[10]=((C_word*)t0)[8],a[11]=((C_word*)t0)[9],a[12]=((C_word*)t0)[10],a[13]=t1,a[14]=t7,a[15]=t6,a[16]=t5,a[17]=t4,tmp=(C_word)a,a+=18,tmp);
if(C_truep(t2)){
/* ##sys#make-c-string */
t9=*((C_word*)lf[37]+1);
((C_proc3)(void*)(*((C_word*)t9+1)))(3,t9,t8,t2);}
else{
t9=t8;
f_4654(2,t9,C_SCHEME_FALSE);}}

/* k4652 in k4761 in k4757 in k4753 in k4749 in k4745 in k4705 in ##sys#process in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4654(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[18],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4654,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|17,a[1]=(C_word)f_4658,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],a[12]=((C_word*)t0)[13],a[13]=t1,a[14]=((C_word*)t0)[14],a[15]=((C_word*)t0)[15],a[16]=((C_word*)t0)[16],a[17]=((C_word*)t0)[17],tmp=(C_word)a,a+=18,tmp);
if(C_truep(((C_word*)t0)[2])){
/* ##sys#make-c-string */
t3=*((C_word*)lf[37]+1);
((C_proc3)(void*)(*((C_word*)t3+1)))(3,t3,t2,((C_word*)t0)[2]);}
else{
t3=t2;
f_4658(2,t3,C_SCHEME_FALSE);}}

/* k4656 in k4652 in k4761 in k4757 in k4753 in k4749 in k4745 in k4705 in ##sys#process in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4658(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4658,2,t0,t1);}
t2=(C_truep(((C_word*)t0)[17])?(C_word)C_i_foreign_pointer_argumentp(((C_word*)t0)[17]):C_SCHEME_FALSE);
t3=(C_truep(((C_word*)t0)[16])?(C_word)C_i_foreign_pointer_argumentp(((C_word*)t0)[16]):C_SCHEME_FALSE);
t4=(C_truep(((C_word*)t0)[15])?(C_word)C_i_foreign_pointer_argumentp(((C_word*)t0)[15]):C_SCHEME_FALSE);
t5=(C_truep(((C_word*)t0)[14])?(C_word)C_i_foreign_pointer_argumentp(((C_word*)t0)[14]):C_SCHEME_FALSE);
if(C_truep((C_word)stub982(C_SCHEME_UNDEFINED,((C_word*)t0)[13],t1,C_SCHEME_FALSE,t2,t3,t4,t5,((C_word*)t0)[12]))){
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_4720,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[8],a[5]=((C_word*)t0)[9],a[6]=((C_word*)t0)[10],a[7]=((C_word*)t0)[11],tmp=(C_word)a,a+=8,tmp);
if(C_truep(((C_word*)t0)[5])){
/* posixwin.scm: 1966 open-input-file* */
t7=*((C_word*)lf[229]+1);
((C_proc3)(void*)(*((C_word*)t7+1)))(3,t7,t6,C_fix((C_word)*((int *)C_data_pointer(((C_word*)t0)[4]))));}
else{
t7=t6;
f_4720(2,t7,C_SCHEME_FALSE);}}
else{
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4740,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[11],tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm: 1971 ##sys#update-errno */
t7=*((C_word*)lf[7]+1);
((C_proc2)(void*)(*((C_word*)t7+1)))(2,t7,t6);}}

/* k4738 in k4656 in k4652 in k4761 in k4757 in k4753 in k4749 in k4745 in k4705 in ##sys#process in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4740(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1972 ##sys#signal-hook */
t2=*((C_word*)lf[4]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[4],lf[298],((C_word*)t0)[3],lf[299],((C_word*)t0)[2]);}

/* k4718 in k4656 in k4652 in k4761 in k4757 in k4753 in k4749 in k4745 in k4705 in ##sys#process in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4720(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4720,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_4724,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=t1,a[6]=((C_word*)t0)[7],tmp=(C_word)a,a+=7,tmp);
if(C_truep(((C_word*)t0)[3])){
/* posixwin.scm: 1967 open-output-file* */
t3=*((C_word*)lf[230]+1);
((C_proc3)(void*)(*((C_word*)t3+1)))(3,t3,t2,C_fix((C_word)*((int *)C_data_pointer(((C_word*)t0)[2]))));}
else{
t3=t2;
f_4724(2,t3,C_SCHEME_FALSE);}}

/* k4722 in k4718 in k4656 in k4652 in k4761 in k4757 in k4753 in k4749 in k4745 in k4705 in ##sys#process in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4724(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4724,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4728,a[2]=((C_word*)t0)[4],a[3]=t1,a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
if(C_truep(((C_word*)t0)[3])){
/* posixwin.scm: 1969 open-input-file* */
t3=*((C_word*)lf[229]+1);
((C_proc3)(void*)(*((C_word*)t3+1)))(3,t3,t2,C_fix((C_word)*((int *)C_data_pointer(((C_word*)t0)[2]))));}
else{
t3=t2;
f_4728(2,t3,C_SCHEME_FALSE);}}

/* k4726 in k4722 in k4718 in k4656 in k4652 in k4761 in k4757 in k4753 in k4749 in k4745 in k4705 in ##sys#process in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4728(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1965 values */
C_values(6,0,((C_word*)t0)[5],((C_word*)t0)[4],((C_word*)t0)[3],C_fix((C_word)*((int *)C_data_pointer(((C_word*)t0)[2]))),t1);}

/* process-run in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4620(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr3rv,(void*)f_4620r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest_vector(a,C_rest_count(0));
f_4620r(t0,t1,t2,t3);}}

static void C_ccall f_4620r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a=C_alloc(5);
t4=(C_word)C_notvemptyp(t3);
t5=(C_truep(t4)?(C_word)C_slot(t3,C_fix(0)):C_SCHEME_FALSE);
if(C_truep(t5)){
/* posixwin.scm: 1927 process-spawn */
t6=((C_word*)t0)[2];
((C_proc5)(void*)(*((C_word*)t6+1)))(5,t6,t1,*((C_word*)lf[275]+1),t2,t5);}
else{
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4637,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm: 1928 ##sys#shell-command */
t7=*((C_word*)lf[290]+1);
((C_proc2)(void*)(*((C_word*)t7+1)))(2,t7,t6);}}

/* k4635 in process-run in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4637(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4637,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4641,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm: 1928 ##sys#shell-command-arguments */
t3=*((C_word*)lf[294]+1);
((C_proc3)(void*)(*((C_word*)t3+1)))(3,t3,t2,((C_word*)t0)[2]);}

/* k4639 in k4635 in process-run in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4641(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1928 process-spawn */
t2=((C_word*)t0)[4];
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[3],*((C_word*)lf[275]+1),((C_word*)t0)[2],t1);}

/* ##sys#shell-command-arguments in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4614(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_4614,3,t0,t1,t2);}
t3=t1;
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,(C_word)C_a_i_list(&a,2,lf[295],t2));}

/* ##sys#shell-command in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4593(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4593,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4597,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1911 get-environment-variable */
t3=*((C_word*)lf[292]+1);
((C_proc3)(void*)(*((C_word*)t3+1)))(3,t3,t2,lf[293]);}

/* k4595 in ##sys#shell-command in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4597(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4597,2,t0,t1);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,t1);}
else{
if(C_truep((C_word)C_get_shlcmd())){
/* ##sys#peek-c-string */
t2=*((C_word*)lf[6]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,((C_word*)t0)[2],C_mpointer(&a,(void*)C_shlcmd),C_fix(0));}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4609,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1915 ##sys#update-errno */
t3=*((C_word*)lf[7]+1);
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,t2);}}}

/* k4607 in k4595 in ##sys#shell-command in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4609(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1916 ##sys#error */
t2=*((C_word*)lf[123]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,((C_word*)t0)[2],lf[290],lf[291]);}

/* current-process-id in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4590(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4590,2,t0,t1);}
t2=t1;
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)stub957(C_SCHEME_UNDEFINED));}

/* process-spawn in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4506(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(!C_demand(c*C_SIZEOF_PAIR+13)){
C_save_and_reclaim((void*)tr4r,(void*)f_4506r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest(a,C_rest_count(0));
f_4506r(t0,t1,t2,t3,t4);}}

static void C_ccall f_4506r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a=C_alloc(13);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4508,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4520,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4525,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4530,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
if(C_truep((C_word)C_i_nullp(t4))){
/* def-arglst933950 */
t9=t8;
f_4530(t9,t1);}
else{
t9=(C_word)C_u_i_car(t4);
t10=(C_word)C_slot(t4,C_fix(1));
if(C_truep((C_word)C_i_nullp(t10))){
/* def-envlst934948 */
t11=t7;
f_4525(t11,t1,t9);}
else{
t11=(C_word)C_u_i_car(t10);
t12=(C_word)C_slot(t10,C_fix(1));
if(C_truep((C_word)C_i_nullp(t12))){
/* def-exactf935945 */
t13=t6;
f_4520(t13,t1,t9,t11);}
else{
t13=(C_word)C_u_i_car(t12);
t14=(C_word)C_slot(t12,C_fix(1));
/* body931940 */
t15=t5;
f_4508(t15,t1,t9,t11,t13);}}}}

/* def-arglst933 in process-spawn in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_4530(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4530,NULL,2,t0,t1);}
/* def-envlst934948 */
t2=((C_word*)t0)[2];
f_4525(t2,t1,C_SCHEME_FALSE);}

/* def-envlst934 in process-spawn in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_4525(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4525,NULL,3,t0,t1,t2);}
/* def-exactf935945 */
t3=((C_word*)t0)[2];
f_4520(t3,t1,t2,C_SCHEME_FALSE);}

/* def-exactf935 in process-spawn in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_4520(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4520,NULL,4,t0,t1,t2,t3);}
/* body931940 */
t4=((C_word*)t0)[2];
f_4508(t4,t1,t2,t3,C_SCHEME_FALSE);}

/* body931 in process-spawn in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_4508(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4508,NULL,5,t0,t1,t2,t3,t4);}
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4512,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm: 1902 $exec-setup */
t6=lf[283];
f_4371(t6,t5,lf[287],((C_word*)t0)[2],t2,t3,t4);}

/* k4510 in body931 in process-spawn in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4512(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_truep(((C_word*)t0)[5])?(C_word)C_spawnvpe(((C_word*)t0)[4],t1):(C_word)C_spawnvp(((C_word*)t0)[4],t1));
/* posixwin.scm: 1903 $exec-teardown */
f_4407(((C_word*)t0)[3],lf[287],lf[288],((C_word*)t0)[2],t2);}

/* process-execute in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4422(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(!C_demand(c*C_SIZEOF_PAIR+12)){
C_save_and_reclaim((void*)tr3r,(void*)f_4422r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_4422r(t0,t1,t2,t3);}}

static void C_ccall f_4422r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a=C_alloc(12);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4424,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4436,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4441,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4446,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
if(C_truep((C_word)C_i_nullp(t3))){
/* def-arglst891908 */
t8=t7;
f_4446(t8,t1);}
else{
t8=(C_word)C_u_i_car(t3);
t9=(C_word)C_slot(t3,C_fix(1));
if(C_truep((C_word)C_i_nullp(t9))){
/* def-envlst892906 */
t10=t6;
f_4441(t10,t1,t8);}
else{
t10=(C_word)C_u_i_car(t9);
t11=(C_word)C_slot(t9,C_fix(1));
if(C_truep((C_word)C_i_nullp(t11))){
/* def-exactf893903 */
t12=t5;
f_4436(t12,t1,t8,t10);}
else{
t12=(C_word)C_u_i_car(t11);
t13=(C_word)C_slot(t11,C_fix(1));
/* body889898 */
t14=t4;
f_4424(t14,t1,t8,t10,t12);}}}}

/* def-arglst891 in process-execute in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_4446(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4446,NULL,2,t0,t1);}
/* def-envlst892906 */
t2=((C_word*)t0)[2];
f_4441(t2,t1,C_SCHEME_FALSE);}

/* def-envlst892 in process-execute in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_4441(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4441,NULL,3,t0,t1,t2);}
/* def-exactf893903 */
t3=((C_word*)t0)[2];
f_4436(t3,t1,t2,C_SCHEME_FALSE);}

/* def-exactf893 in process-execute in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_4436(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4436,NULL,4,t0,t1,t2,t3);}
/* body889898 */
t4=((C_word*)t0)[2];
f_4424(t4,t1,t2,t3,C_SCHEME_FALSE);}

/* body889 in process-execute in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_4424(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4424,NULL,5,t0,t1,t2,t3,t4);}
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4428,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm: 1897 $exec-setup */
t6=lf[283];
f_4371(t6,t5,lf[285],((C_word*)t0)[2],t2,t3,t4);}

/* k4426 in body889 in process-execute in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4428(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_truep(((C_word*)t0)[4])?(C_word)C_execve(t1):(C_word)C_execvp(t1));
/* posixwin.scm: 1898 $exec-teardown */
f_4407(((C_word*)t0)[3],lf[285],lf[286],((C_word*)t0)[2],t2);}

/* $exec-teardown in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_4407(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4407,NULL,5,t1,t2,t3,t4,t5);}
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_4411,a[2]=t4,a[3]=t3,a[4]=t2,a[5]=t1,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
/* posixwin.scm: 1889 ##sys#update-errno */
t7=*((C_word*)lf[7]+1);
((C_proc2)(void*)(*((C_word*)t7+1)))(2,t7,t6);}

/* k4409 in $exec-teardown in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4411(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
t2=(C_word)C_free_exec_args();
t3=(C_word)C_free_exec_env();
t4=(C_word)C_eqp(((C_word*)t0)[6],C_fix(-1));
if(C_truep(t4)){
/* posixwin.scm: 1893 ##sys#error */
t5=*((C_word*)lf[123]+1);
((C_proc5)(void*)(*((C_word*)t5+1)))(5,t5,((C_word*)t0)[5],((C_word*)t0)[4],((C_word*)t0)[3],((C_word*)t0)[2]);}
else{
t5=((C_word*)t0)[5];
((C_proc2)(void*)(*((C_word*)t5+1)))(2,t5,((C_word*)t0)[6]);}}

/* $exec-setup in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_4371(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6){
C_word tmp;
C_word t7;
C_word t8;
C_word t9;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4371,NULL,7,t0,t1,t2,t3,t4,t5,t6);}
t7=(C_word)C_i_check_string_2(t3,t2);
t8=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_4378,a[2]=t6,a[3]=t4,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t5,a[7]=t2,a[8]=((C_word*)t0)[5],a[9]=t3,a[10]=t1,tmp=(C_word)a,a+=11,tmp);
/* posixwin.scm: 1881 pathname-strip-directory */
t9=((C_word*)t0)[2];
((C_proc3)(void*)(*((C_word*)t9+1)))(3,t9,t8,t3);}

/* k4376 in $exec-setup in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4378(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[14],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4378,2,t0,t1);}
t2=(C_word)C_block_size(t1);
t3=t1;
t4=(C_truep(t3)?t3:C_SCHEME_FALSE);
t5=(C_word)stub821(C_SCHEME_UNDEFINED,C_fix(0),t4,t2);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_4384,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[7],a[5]=((C_word*)t0)[8],a[6]=((C_word*)t0)[9],a[7]=((C_word*)t0)[10],tmp=(C_word)a,a+=8,tmp);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4398,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[7],a[4]=t6,a[5]=((C_word*)t0)[8],tmp=(C_word)a,a+=6,tmp);
if(C_truep(((C_word*)t0)[3])){
/* posixwin.scm: 1883 $quote-args-list */
t8=lf[279];
f_4230(t8,t7,((C_word*)t0)[3],((C_word*)t0)[2]);}
else{
t8=t7;
f_4398(2,t8,C_SCHEME_FALSE);}}

/* k4396 in k4376 in $exec-setup in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4398(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1883 build-exec-argvec */
f_4321(((C_word*)t0)[4],((C_word*)t0)[3],t1,((C_word*)t0)[2],C_fix(1));}

/* k4382 in k4376 in $exec-setup in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4384(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4384,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4387,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[7],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1884 build-exec-argvec */
f_4321(t2,((C_word*)t0)[4],((C_word*)t0)[3],((C_word*)t0)[2],C_fix(0));}

/* k4385 in k4382 in k4376 in $exec-setup in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4387(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4387,2,t0,t1);}
t2=(C_word)C_flushall();
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4394,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1886 ##sys#expand-home-path */
t4=*((C_word*)lf[38]+1);
((C_proc3)(void*)(*((C_word*)t4+1)))(3,t4,t3,((C_word*)t0)[2]);}

/* k4392 in k4385 in k4382 in k4376 in $exec-setup in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4394(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1886 ##sys#make-c-string */
t2=*((C_word*)lf[37]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* build-exec-argvec in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_4321(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4321,NULL,5,t1,t2,t3,t4,t5);}
if(C_truep(t3)){
t6=(C_word)C_i_check_list_2(t3,t2);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4333,a[2]=t8,a[3]=t2,a[4]=t4,tmp=(C_word)a,a+=5,tmp));
t10=((C_word*)t8)[1];
f_4333(t10,t1,t3,t5);}
else{
/* posixwin.scm: 1878 argvec-setter */
t6=t4;
((C_proc5)(void*)(*((C_word*)t6+1)))(5,t6,t1,t5,C_SCHEME_FALSE,C_fix(0));}}

/* doloop842 in build-exec-argvec in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_4333(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4333,NULL,4,t0,t1,t2,t3);}
if(C_truep((C_word)C_i_nullp(t2))){
/* posixwin.scm: 1874 argvec-setter */
t4=((C_word*)t0)[4];
((C_proc5)(void*)(*((C_word*)t4+1)))(5,t4,t1,t3,C_SCHEME_FALSE,C_fix(0));}
else{
t4=(C_word)C_u_i_car(t2);
t5=(C_word)C_i_check_string_2(t4,((C_word*)t0)[3]);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4352,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t3,a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t7=(C_word)C_block_size(t4);
/* posixwin.scm: 1877 argvec-setter */
t8=((C_word*)t0)[4];
((C_proc5)(void*)(*((C_word*)t8+1)))(5,t8,t6,t3,t4,t7);}}

/* k4350 in doloop842 in build-exec-argvec in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4352(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
t2=(C_word)C_slot(((C_word*)t0)[5],C_fix(1));
t3=(C_word)C_u_fixnum_plus(((C_word*)t0)[4],C_fix(1));
t4=((C_word*)((C_word*)t0)[3])[1];
f_4333(t4,((C_word*)t0)[2],t2,t3);}

/* setenv in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4315(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr5,(void*)f_4315,5,t0,t1,t2,t3,t4);}
t5=(C_truep(t3)?t3:C_SCHEME_FALSE);
t6=t1;
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,(C_word)stub831(C_SCHEME_UNDEFINED,t2,t5,t4));}

/* setarg in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4309(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr5,(void*)f_4309,5,t0,t1,t2,t3,t4);}
t5=(C_truep(t3)?t3:C_SCHEME_FALSE);
t6=t1;
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,(C_word)stub821(C_SCHEME_UNDEFINED,t2,t5,t4));}

/* $quote-args-list in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_4230(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[12],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4230,NULL,4,t0,t1,t2,t3);}
if(C_truep(t3)){
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t2);}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4235,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4273,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t6,tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_4273(t8,t1,t2,C_SCHEME_END_OF_LIST);}}

/* loop in $quote-args-list in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_4273(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4273,NULL,4,t0,t1,t2,t3);}
if(C_truep((C_word)C_i_nullp(t2))){
/* posixwin.scm: 1855 reverse */
t4=*((C_word*)lf[113]+1);
((C_proc3)(void*)(*((C_word*)t4+1)))(3,t4,t1,t3);}
else{
t4=(C_word)C_u_i_car(t2);
t5=(C_word)C_slot(t2,C_fix(1));
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4301,a[2]=t5,a[3]=t1,a[4]=((C_word*)t0)[4],a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4304,a[2]=t4,a[3]=t6,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm: 1860 needs-quoting? */
t8=((C_word*)t0)[2];
f_4235(t8,t7,t4);}}

/* k4302 in loop in $quote-args-list in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4304(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_truep(t1)){
/* posixwin.scm: 1860 string-append */
t2=((C_word*)t0)[4];
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[3],lf[280],((C_word*)t0)[2],lf[281]);}
else{
t2=((C_word*)t0)[3];
f_4301(2,t2,((C_word*)t0)[2]);}}

/* k4299 in loop in $quote-args-list in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4301(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4301,2,t0,t1);}
t2=(C_word)C_a_i_cons(&a,2,t1,((C_word*)t0)[5]);
/* posixwin.scm: 1857 loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_4273(t3,((C_word*)t0)[3],((C_word*)t0)[2],t2);}

/* needs-quoting? in $quote-args-list in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_4235(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4235,NULL,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4239,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm: 1847 string-length */
t4=((C_word*)t0)[2];
((C_proc3)(void*)(*((C_word*)t4+1)))(3,t4,t3,t2);}

/* k4237 in needs-quoting? in $quote-args-list in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4239(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4239,2,t0,t1);}
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_4244,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t3,a[6]=t1,tmp=(C_word)a,a+=7,tmp));
t5=((C_word*)t3)[1];
f_4244(t5,((C_word*)t0)[2],C_fix(0));}

/* loop in k4237 in needs-quoting? in $quote-args-list in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_4244(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4244,NULL,3,t0,t1,t2);}
t3=(C_word)C_eqp(t2,((C_word*)t0)[6]);
if(C_truep(t3)){
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,C_SCHEME_FALSE);}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4257,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4268,a[2]=t4,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1851 string-ref */
t6=((C_word*)t0)[3];
((C_proc4)(void*)(*((C_word*)t6+1)))(4,t6,t5,((C_word*)t0)[2],t2);}}

/* k4266 in loop in k4237 in needs-quoting? in $quote-args-list in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4268(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1851 char-whitespace? */
t2=((C_word*)t0)[3];
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k4255 in loop in k4237 in needs-quoting? in $quote-args-list in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4257(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_truep(t1)){
t2=((C_word*)t0)[4];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_TRUE);}
else{
t2=(C_word)C_u_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* posixwin.scm: 1852 loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_4244(t3,((C_word*)t0)[4],t2);}}

/* glob in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4118(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+11)){
C_save_and_reclaim((void*)tr2r,(void*)f_4118r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest(a,C_rest_count(0));
f_4118r(t0,t1,t2);}}

static void C_ccall f_4118r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a=C_alloc(11);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_4124,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t4,a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp));
t6=((C_word*)t4)[1];
f_4124(t6,t1,t2);}

/* conc-loop in glob in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_4124(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[13],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4124,NULL,3,t0,t1,t2);}
if(C_truep((C_word)C_i_nullp(t2))){
t3=t1;
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_END_OF_LIST);}
else{
t3=(C_word)C_u_i_car(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4139,a[2]=t3,a[3]=((C_word*)t0)[8],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_4145,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,tmp=(C_word)a,a+=9,tmp);
/* ##sys#call-with-values */
C_u_call_with_values(4,0,t1,t4,t5);}}

/* a4144 in conc-loop in glob in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4145(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[14],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr5,(void*)f_4145,5,t0,t1,t2,t3,t4);}
t5=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_4149,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t1,a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4219,a[2]=t5,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t7=(C_truep(t3)?t3:lf[272]);
/* posixwin.scm: 1809 make-pathname */
t8=((C_word*)t0)[6];
((C_proc5)(void*)(*((C_word*)t8+1)))(5,t8,t6,C_SCHEME_FALSE,t7,t4);}

/* k4217 in a4144 in conc-loop in glob in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4219(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1809 glob->regexp */
t2=((C_word*)t0)[3];
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k4147 in a4144 in conc-loop in glob in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4149(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4149,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_4152,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],tmp=(C_word)a,a+=9,tmp);
/* posixwin.scm: 1810 regexp */
t3=((C_word*)t0)[2];
((C_proc3)(void*)(*((C_word*)t3+1)))(3,t3,t2,t1);}

/* k4150 in k4147 in a4144 in conc-loop in glob in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4152(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4152,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_4159,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
t3=(C_truep(((C_word*)t0)[5])?((C_word*)t0)[5]:lf[271]);
/* posixwin.scm: 1811 directory */
t4=((C_word*)t0)[2];
((C_proc4)(void*)(*((C_word*)t4+1)))(4,t4,t2,t3,C_SCHEME_TRUE);}

/* k4157 in k4150 in k4147 in a4144 in conc-loop in glob in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4159(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4159,2,t0,t1);}
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_4161,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=t3,a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp));
t5=((C_word*)t3)[1];
f_4161(t5,((C_word*)t0)[2],t1);}

/* loop in k4157 in k4150 in k4147 in a4144 in conc-loop in glob in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_4161(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_4161,NULL,3,t0,t1,t2);}
if(C_truep((C_word)C_i_nullp(t2))){
t3=(C_word)C_slot(((C_word*)t0)[8],C_fix(1));
/* posixwin.scm: 1812 conc-loop */
t4=((C_word*)((C_word*)t0)[7])[1];
f_4124(t4,t1,t3);}
else{
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_4178,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=t2,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
t4=(C_word)C_u_i_car(t2);
/* posixwin.scm: 1813 string-match */
t5=((C_word*)t0)[3];
((C_proc4)(void*)(*((C_word*)t5+1)))(4,t5,t3,((C_word*)t0)[2],t4);}}

/* k4176 in loop in k4157 in k4150 in k4147 in a4144 in conc-loop in glob in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4178(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4178,2,t0,t1);}
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4188,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
t3=(C_word)C_u_i_car(t1);
/* posixwin.scm: 1814 make-pathname */
t4=((C_word*)t0)[3];
((C_proc4)(void*)(*((C_word*)t4+1)))(4,t4,t2,((C_word*)t0)[2],t3);}
else{
t2=(C_word)C_slot(((C_word*)t0)[5],C_fix(1));
/* posixwin.scm: 1815 loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_4161(t3,((C_word*)t0)[6],t2);}}

/* k4186 in k4176 in loop in k4157 in k4150 in k4147 in a4144 in conc-loop in glob in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4188(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4188,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4192,a[2]=t1,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t3=(C_word)C_slot(((C_word*)t0)[3],C_fix(1));
/* posixwin.scm: 1814 loop */
t4=((C_word*)((C_word*)t0)[2])[1];
f_4161(t4,t2,t3);}

/* k4190 in k4186 in k4176 in loop in k4157 in k4150 in k4147 in a4144 in conc-loop in glob in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4192(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4192,2,t0,t1);}
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_a_i_cons(&a,2,((C_word*)t0)[2],t1));}

/* a4138 in conc-loop in glob in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4139(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4139,2,t0,t1);}
/* posixwin.scm: 1808 decompose-pathname */
t2=((C_word*)t0)[3];
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,t1,((C_word*)t0)[2]);}

/* set-buffering-mode! in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4059(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)tr4rv,(void*)f_4059r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest_vector(a,C_rest_count(0));
f_4059r(t0,t1,t2,t3,t4);}}

static void C_ccall f_4059r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_4063,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm: 1780 ##sys#check-port */
t6=*((C_word*)lf[135]+1);
((C_proc4)(void*)(*((C_word*)t6+1)))(4,t6,t5,t2,lf[259]);}

/* k4061 in set-buffering-mode! in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4063(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4063,2,t0,t1);}
t2=(C_word)C_notvemptyp(((C_word*)t0)[5]);
t3=(C_truep(t2)?(C_word)C_slot(((C_word*)t0)[5],C_fix(0)):C_fix((C_word)BUFSIZ));
t4=((C_word*)t0)[4];
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_4069,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t6=(C_word)C_eqp(t4,lf[261]);
if(C_truep(t6)){
t7=t5;
f_4069(2,t7,C_fix((C_word)_IOFBF));}
else{
t7=(C_word)C_eqp(t4,lf[262]);
if(C_truep(t7)){
t8=t5;
f_4069(2,t8,C_fix((C_word)_IOLBF));}
else{
t8=(C_word)C_eqp(t4,lf[263]);
if(C_truep(t8)){
t9=t5;
f_4069(2,t9,C_fix((C_word)_IONBF));}
else{
/* posixwin.scm: 1786 ##sys#error */
t9=*((C_word*)lf[123]+1);
((C_proc6)(void*)(*((C_word*)t9+1)))(6,t9,t5,lf[259],lf[264],((C_word*)t0)[4],((C_word*)t0)[3]);}}}}

/* k4067 in k4061 in set-buffering-mode! in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4069(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
t2=(C_word)C_i_check_exact_2(((C_word*)t0)[4],lf[259]);
t3=(C_word)C_slot(((C_word*)t0)[3],C_fix(7));
t4=(C_word)C_eqp(lf[75],t3);
t5=(C_truep(t4)?(C_word)C_setvbuf(((C_word*)t0)[3],t1,((C_word*)t0)[4]):C_fix(-1));
if(C_truep((C_word)C_fixnum_lessp(t5,C_fix(0)))){
/* posixwin.scm: 1792 ##sys#error */
t6=*((C_word*)lf[123]+1);
((C_proc7)(void*)(*((C_word*)t6+1)))(7,t6,((C_word*)t0)[2],lf[259],lf[260],((C_word*)t0)[3],t1,((C_word*)t0)[4]);}
else{
t6=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,C_SCHEME_UNDEFINED);}}

/* terminal-port? in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4053(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_4053,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_4057,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1770 ##sys#check-port */
t4=*((C_word*)lf[135]+1);
((C_proc4)(void*)(*((C_word*)t4+1)))(4,t4,t3,t2,lf[258]);}

/* k4055 in terminal-port? in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4057(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_FALSE);}

/* _exit in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4037(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+0)){
C_save_and_reclaim((void*)tr2rv,(void*)f_4037r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest_vector(a,C_rest_count(0));
f_4037r(t0,t1,t2);}}

static void C_ccall f_4037r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
t3=(C_word)C_notvemptyp(t2);
t4=(C_truep(t3)?(C_word)C_slot(t2,C_fix(0)):C_fix(0));
t5=t1;
((C_proc2)(void*)(*((C_word*)t5+1)))(2,t5,(C_word)stub720(C_SCHEME_UNDEFINED,t4));}

/* local-timezone-abbreviation in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4029(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4029,2,t0,t1);}
t2=(C_word)C_a_i_bytevector(&a,1,C_fix(3));
/* ##sys#peek-c-string */
t3=*((C_word*)lf[6]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t1,(C_word)stub715(t2),C_fix(0));}

/* local-time->seconds in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4014(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_4014,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_4018,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1751 check-time-vector */
f_3825(t3,lf[253],t2);}

/* k4016 in local-time->seconds in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_4018(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_4018,2,t0,t1);}
t2=(C_word)C_a_mktime(&a,1,((C_word*)t0)[3]);
if(C_truep((C_word)C_flonum_equalp(t2,lf[254]))){
/* posixwin.scm: 1754 ##sys#error */
t3=*((C_word*)lf[123]+1);
((C_proc5)(void*)(*((C_word*)t3+1)))(5,t3,((C_word*)t0)[2],lf[253],lf[255],((C_word*)t0)[3]);}
else{
t3=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,t2);}}

/* time->string in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3954(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr3rv,(void*)f_3954r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest_vector(a,C_rest_count(0));
f_3954r(t0,t1,t2,t3);}}

static void C_ccall f_3954r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a=C_alloc(5);
t4=(C_word)C_vemptyp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:(C_word)C_slot(t3,C_fix(0)));
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3961,a[2]=t2,a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm: 1739 check-time-vector */
f_3825(t6,lf[250],t2);}

/* k3959 in time->string in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3961(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3961,2,t0,t1);}
if(C_truep(((C_word*)t0)[4])){
t2=(C_word)C_i_check_string_2(((C_word*)t0)[4],lf[250]);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3970,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3980,a[2]=t3,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1743 ##sys#make-c-string */
t5=*((C_word*)lf[37]+1);
((C_proc3)(void*)(*((C_word*)t5+1)))(3,t5,t4,((C_word*)t0)[4]);}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3983,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=((C_word*)t0)[2];
t4=(C_word)C_a_i_bytevector(&a,1,C_fix(3));
/* ##sys#peek-c-string */
t5=*((C_word*)lf[6]+1);
((C_proc4)(void*)(*((C_word*)t5+1)))(4,t5,t2,(C_word)stub679(t4,t3),C_fix(0));}}

/* k3981 in k3959 in time->string in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3983(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_truep(t1)){
t2=(C_word)C_block_size(t1);
t3=(C_word)C_u_fixnum_difference(t2,C_fix(1));
/* posixwin.scm: 1747 ##sys#substring */
t4=*((C_word*)lf[51]+1);
((C_proc5)(void*)(*((C_word*)t4+1)))(5,t4,((C_word*)t0)[3],t1,C_fix(0),t3);}
else{
/* posixwin.scm: 1748 ##sys#error */
t2=*((C_word*)lf[123]+1);
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[3],lf[250],lf[252],((C_word*)t0)[2]);}}

/* k3978 in k3959 in time->string in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3980(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3980,2,t0,t1);}
t2=((C_word*)t0)[3];
t3=(C_word)C_a_i_bytevector(&a,1,C_fix(3));
/* ##sys#peek-c-string */
t4=*((C_word*)lf[6]+1);
((C_proc4)(void*)(*((C_word*)t4+1)))(4,t4,((C_word*)t0)[2],(C_word)stub685(t3,t2,t1),C_fix(0));}

/* k3968 in k3959 in time->string in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3970(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_truep(t1)){
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,t1);}
else{
/* posixwin.scm: 1744 ##sys#error */
t2=*((C_word*)lf[123]+1);
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[3],lf[250],lf[251],((C_word*)t0)[2]);}}

/* seconds->string in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3903(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+3)){
C_save_and_reclaim((void*)tr2rv,(void*)f_3903r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest_vector(a,C_rest_count(0));
f_3903r(t0,t1,t2);}}

static void C_ccall f_3903r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3907,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep((C_word)C_vemptyp(t2))){
/* posixwin.scm: 1729 current-seconds */
t4=*((C_word*)lf[246]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}
else{
t4=t3;
f_3907(2,t4,(C_word)C_slot(t2,C_fix(0)));}}

/* k3905 in seconds->string in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3907(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3907,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3910,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t3=t1;
t4=(C_word)C_a_i_bytevector(&a,1,C_fix(3));
/* ##sys#peek-c-string */
t5=*((C_word*)lf[6]+1);
((C_proc4)(void*)(*((C_word*)t5+1)))(4,t5,t2,(C_word)stub659(t4,t3),C_fix(0));}

/* k3908 in k3905 in seconds->string in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3910(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_truep(t1)){
t2=(C_word)C_block_size(t1);
t3=(C_word)C_u_fixnum_difference(t2,C_fix(1));
/* posixwin.scm: 1732 ##sys#substring */
t4=*((C_word*)lf[51]+1);
((C_proc5)(void*)(*((C_word*)t4+1)))(5,t4,((C_word*)t0)[3],t1,C_fix(0),t3);}
else{
/* posixwin.scm: 1733 ##sys#error */
t2=*((C_word*)lf[123]+1);
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[3],lf[248],lf[249],((C_word*)t0)[2]);}}

/* seconds->utc-time in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3871(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+3)){
C_save_and_reclaim((void*)tr2rv,(void*)f_3871r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest_vector(a,C_rest_count(0));
f_3871r(t0,t1,t2);}}

static void C_ccall f_3871r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3875,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep((C_word)C_vemptyp(t2))){
/* posixwin.scm: 1723 current-seconds */
t4=*((C_word*)lf[246]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}
else{
t4=t3;
f_3875(2,t4,(C_word)C_slot(t2,C_fix(0)));}}

/* k3873 in seconds->utc-time in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3875(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)C_i_check_number_2(t1,lf[247]);
/* posixwin.scm: 1725 ##sys#decode-seconds */
t3=*((C_word*)lf[245]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,((C_word*)t0)[2],t1,C_SCHEME_TRUE);}

/* seconds->local-time in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3844(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+3)){
C_save_and_reclaim((void*)tr2rv,(void*)f_3844r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest_vector(a,C_rest_count(0));
f_3844r(t0,t1,t2);}}

static void C_ccall f_3844r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3848,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep((C_word)C_vemptyp(t2))){
/* posixwin.scm: 1719 current-seconds */
t4=*((C_word*)lf[246]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}
else{
t4=t3;
f_3848(2,t4,(C_word)C_slot(t2,C_fix(0)));}}

/* k3846 in seconds->local-time in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3848(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)C_i_check_number_2(t1,lf[244]);
/* posixwin.scm: 1721 ##sys#decode-seconds */
t3=*((C_word*)lf[245]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,((C_word*)t0)[2],t1,C_SCHEME_FALSE);}

/* check-time-vector in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_3825(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_3825,NULL,3,t1,t2,t3);}
t4=(C_word)C_i_check_vector_2(t3,t2);
t5=(C_word)C_block_size(t3);
if(C_truep((C_word)C_fixnum_lessp(t5,C_fix(10)))){
/* posixwin.scm: 1717 ##sys#error */
t6=*((C_word*)lf[123]+1);
((C_proc5)(void*)(*((C_word*)t6+1)))(5,t6,t1,t2,lf[243],t3);}
else{
t6=t1;
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,C_SCHEME_UNDEFINED);}}

/* get-environment-variables in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3759(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3759,2,t0,t1);}
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3765,a[2]=((C_word*)t0)[2],a[3]=t3,tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_3765(t5,t1,C_fix(0));}

/* loop in get-environment-variables in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_3765(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_3765,NULL,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3769,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t4=t2;
t5=(C_word)C_a_i_bytevector(&a,1,C_fix(3));
/* ##sys#peek-c-string */
t6=*((C_word*)lf[6]+1);
((C_proc4)(void*)(*((C_word*)t6+1)))(4,t6,t3,(C_word)stub612(t5,t4),C_fix(0));}

/* k3767 in loop in get-environment-variables in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3769(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3769,2,t0,t1);}
if(C_truep(t1)){
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_3777,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,tmp=(C_word)a,a+=7,tmp));
t5=((C_word*)t3)[1];
f_3777(t5,((C_word*)t0)[2],C_fix(0));}
else{
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_END_OF_LIST);}}

/* scan in k3767 in loop in get-environment-variables in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_3777(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
loop:
a=C_alloc(8);
if(!C_stack_probe(a)){
C_save_and_reclaim((void*)trf_3777,NULL,3,t0,t1,t2);}
t3=(C_word)C_eqp(C_make_character(61),(C_word)C_subchar(((C_word*)t0)[6],t2));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_3803,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[6],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=t1,tmp=(C_word)a,a+=8,tmp);
/* posixwin.scm: 1706 substring */
t5=((C_word*)t0)[3];
((C_proc5)(void*)(*((C_word*)t5+1)))(5,t5,t4,((C_word*)t0)[6],C_fix(0),t2);}
else{
t4=(C_word)C_u_fixnum_plus(t2,C_fix(1));
/* posixwin.scm: 1707 scan */
t7=t1;
t8=t4;
t1=t7;
t2=t8;
goto loop;}}

/* k3801 in scan in k3767 in loop in get-environment-variables in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3803(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3803,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3807,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[7],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t3=(C_word)C_u_fixnum_plus(((C_word*)t0)[4],C_fix(1));
t4=(C_word)C_block_size(((C_word*)t0)[3]);
/* posixwin.scm: 1706 substring */
t5=((C_word*)t0)[2];
((C_proc5)(void*)(*((C_word*)t5+1)))(5,t5,t2,((C_word*)t0)[3],t3,t4);}

/* k3805 in k3801 in scan in k3767 in loop in get-environment-variables in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3807(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3807,2,t0,t1);}
t2=(C_word)C_a_i_cons(&a,2,((C_word*)t0)[5],t1);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3795,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t4=(C_word)C_u_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* posixwin.scm: 1706 loop */
t5=((C_word*)((C_word*)t0)[2])[1];
f_3765(t5,t3,t4);}

/* k3793 in k3805 in k3801 in scan in k3767 in loop in get-environment-variables in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3795(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3795,2,t0,t1);}
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_a_i_cons(&a,2,((C_word*)t0)[2],t1));}

/* unsetenv in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3744(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_3744,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[238]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3752,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1694 ##sys#make-c-string */
t5=*((C_word*)lf[37]+1);
((C_proc3)(void*)(*((C_word*)t5+1)))(3,t5,t4,t2);}

/* k3750 in unsetenv in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3752(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)C_putenv(t1);
t3=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}

/* setenv in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3727(C_word c,C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr4,(void*)f_3727,4,t0,t1,t2,t3);}
t4=(C_word)C_i_check_string_2(t2,lf[237]);
t5=(C_word)C_i_check_string_2(t3,lf[237]);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3738,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1689 ##sys#make-c-string */
t7=*((C_word*)lf[37]+1);
((C_proc3)(void*)(*((C_word*)t7+1)))(3,t7,t6,t2);}

/* k3736 in setenv in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3738(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3738,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3742,a[2]=((C_word*)t0)[3],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1689 ##sys#make-c-string */
t3=*((C_word*)lf[37]+1);
((C_proc3)(void*)(*((C_word*)t3+1)))(3,t3,t2,((C_word*)t0)[2]);}

/* k3740 in k3736 in setenv in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3742(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)C_setenv(((C_word*)t0)[3],t1);
t3=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}

/* duplicate-fileno in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3697(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)tr3rv,(void*)f_3697r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest_vector(a,C_rest_count(0));
f_3697r(t0,t1,t2,t3);}}

static void C_ccall f_3697r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a=C_alloc(4);
t4=(C_word)C_i_check_exact_2(t2,*((C_word*)lf[235]+1));
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3704,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep((C_word)C_vemptyp(t3))){
t6=t5;
f_3704(t6,(C_word)C_dup(t2));}
else{
t6=(C_word)C_slot(t3,C_fix(0));
t7=(C_word)C_i_check_exact_2(t6,lf[235]);
t8=t5;
f_3704(t8,(C_word)C_dup2(t2,t6));}}

/* k3702 in duplicate-fileno in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_3704(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_3704,NULL,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3707,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep((C_word)C_fixnum_lessp(t1,C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3713,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1678 ##sys#update-errno */
t4=*((C_word*)lf[7]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}
else{
t3=t2;
f_3707(2,t3,C_SCHEME_UNDEFINED);}}

/* k3711 in k3702 in duplicate-fileno in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3713(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1679 ##sys#signal-hook */
t2=*((C_word*)lf[4]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[35],lf[235],lf[236],((C_word*)t0)[2]);}

/* k3705 in k3702 in duplicate-fileno in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3707(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* port->fileno in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3662(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_3662,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3666,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1660 ##sys#check-port */
t4=*((C_word*)lf[135]+1);
((C_proc4)(void*)(*((C_word*)t4+1)))(4,t4,t3,t2,lf[231]);}

/* k3664 in port->fileno in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3666(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3666,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3695,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1661 ##sys#peek-unsigned-integer */
t3=*((C_word*)lf[234]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,((C_word*)t0)[2],C_fix(0));}

/* k3693 in k3664 in port->fileno in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3695(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3695,2,t0,t1);}
if(C_truep((C_word)C_i_zerop(t1))){
/* posixwin.scm: 1667 ##sys#signal-hook */
t2=*((C_word*)lf[4]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[44],lf[231],lf[232],((C_word*)t0)[2]);}
else{
t2=(C_word)C_C_fileno(((C_word*)t0)[2]);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3675,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep((C_word)C_fixnum_lessp(t2,C_fix(0)))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3681,a[2]=((C_word*)t0)[2],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1664 ##sys#update-errno */
t5=*((C_word*)lf[7]+1);
((C_proc2)(void*)(*((C_word*)t5+1)))(2,t5,t4);}
else{
t4=t3;
f_3675(2,t4,C_SCHEME_UNDEFINED);}}}

/* k3679 in k3693 in k3664 in port->fileno in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3681(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1665 ##sys#signal-hook */
t2=*((C_word*)lf[4]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[35],lf[231],lf[233],((C_word*)t0)[2]);}

/* k3673 in k3693 in k3664 in port->fileno in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3675(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* open-output-file* in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3648(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr3r,(void*)f_3648r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_3648r(t0,t1,t2,t3);}}

static void C_ccall f_3648r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a=C_alloc(5);
t4=(C_word)C_i_check_exact_2(t2,lf[230]);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3660,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm: 1656 mode */
f_3579(t5,C_SCHEME_FALSE,t3);}

/* k3658 in open-output-file* in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3660(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3660,2,t0,t1);}
t2=(C_word)C_fdopen(&a,2,((C_word*)t0)[4],t1);
/* posixwin.scm: 1656 check */
f_3616(((C_word*)t0)[2],((C_word*)t0)[4],C_SCHEME_FALSE,t2);}

/* open-input-file* in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3634(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr3r,(void*)f_3634r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_3634r(t0,t1,t2,t3);}}

static void C_ccall f_3634r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a=C_alloc(5);
t4=(C_word)C_i_check_exact_2(t2,lf[229]);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3646,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm: 1652 mode */
f_3579(t5,C_SCHEME_TRUE,t3);}

/* k3644 in open-input-file* in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3646(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3646,2,t0,t1);}
t2=(C_word)C_fdopen(&a,2,((C_word*)t0)[4],t1);
/* posixwin.scm: 1652 check */
f_3616(((C_word*)t0)[2],((C_word*)t0)[4],C_SCHEME_TRUE,t2);}

/* check in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_3616(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_3616,NULL,4,t1,t2,t3,t4);}
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3620,a[2]=t3,a[3]=t2,a[4]=t1,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm: 1643 ##sys#update-errno */
t6=*((C_word*)lf[7]+1);
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,t5);}

/* k3618 in check in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3620(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3620,2,t0,t1);}
if(C_truep((C_word)C_null_pointerp(((C_word*)t0)[5]))){
/* posixwin.scm: 1645 ##sys#signal-hook */
t2=*((C_word*)lf[4]+1);
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[4],lf[35],lf[227],((C_word*)t0)[3]);}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3632,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1646 ##sys#make-port */
t3=*((C_word*)lf[126]+1);
((C_proc6)(void*)(*((C_word*)t3+1)))(6,t3,t2,((C_word*)t0)[2],*((C_word*)lf[127]+1),lf[228],lf[75]);}}

/* k3630 in k3618 in check in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3632(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)C_set_file_ptr(t1,((C_word*)t0)[3]);
t3=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,t1);}

/* mode in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_3579(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_3579,NULL,3,t1,t2,t3);}
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3587,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep((C_word)C_i_pairp(t3))){
t5=(C_word)C_u_i_car(t3);
t6=(C_word)C_eqp(t5,lf[221]);
if(C_truep(t6)){
t7=t2;
if(C_truep(t7)){
/* posixwin.scm: 1638 ##sys#error */
t8=*((C_word*)lf[123]+1);
((C_proc4)(void*)(*((C_word*)t8+1)))(4,t8,t4,lf[222],t5);}
else{
t8=t4;
f_3587(2,t8,lf[223]);}}
else{
/* posixwin.scm: 1639 ##sys#error */
t7=*((C_word*)lf[123]+1);
((C_proc4)(void*)(*((C_word*)t7+1)))(4,t7,t4,lf[224],t5);}}
else{
t5=t4;
f_3587(2,t5,(C_truep(t2)?lf[225]:lf[226]));}}

/* k3585 in mode in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3587(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1634 ##sys#make-c-string */
t2=*((C_word*)lf[37]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* file-execute-access? in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3570(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_3570,3,t0,t1,t2);}
/* posixwin.scm: 1618 check */
f_3534(t1,t2,C_fix((C_word)2),lf[217]);}

/* file-write-access? in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3564(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_3564,3,t0,t1,t2);}
/* posixwin.scm: 1617 check */
f_3534(t1,t2,C_fix((C_word)4),lf[216]);}

/* file-read-access? in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3558(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_3558,3,t0,t1,t2);}
/* posixwin.scm: 1616 check */
f_3534(t1,t2,C_fix((C_word)2),lf[215]);}

/* check in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_3534(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_3534,NULL,4,t1,t2,t3,t4);}
t5=(C_word)C_i_check_string_2(t2,t4);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3552,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3556,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1613 ##sys#expand-home-path */
t8=*((C_word*)lf[38]+1);
((C_proc3)(void*)(*((C_word*)t8+1)))(3,t8,t7,t2);}

/* k3554 in check in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3556(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1613 ##sys#make-c-string */
t2=*((C_word*)lf[37]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k3550 in check in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3552(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3552,2,t0,t1);}
t2=(C_word)C_test_access(t1,((C_word*)t0)[3]);
t3=(C_word)C_eqp(C_fix(0),t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3544,a[2]=t3,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
if(C_truep(t3)){
t5=t4;
f_3544(2,t5,C_SCHEME_UNDEFINED);}
else{
/* posixwin.scm: 1614 ##sys#update-errno */
t5=*((C_word*)lf[7]+1);
((C_proc2)(void*)(*((C_word*)t5+1)))(2,t5,t4);}}

/* k3542 in k3550 in check in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3544(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* change-file-mode in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3504(C_word c,C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr4,(void*)f_3504,4,t0,t1,t2,t3);}
t4=(C_word)C_i_check_string_2(t2,lf[213]);
t5=(C_word)C_i_check_exact_2(t3,lf[213]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3528,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3532,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1602 ##sys#expand-home-path */
t8=*((C_word*)lf[38]+1);
((C_proc3)(void*)(*((C_word*)t8+1)))(3,t8,t7,t2);}

/* k3530 in change-file-mode in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3532(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1602 ##sys#make-c-string */
t2=*((C_word*)lf[37]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k3526 in change-file-mode in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3528(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3528,2,t0,t1);}
t2=(C_word)C_chmod(t1,((C_word*)t0)[4]);
if(C_truep((C_word)C_fixnum_lessp(t2,C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3520,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm: 1603 ##sys#update-errno */
t4=*((C_word*)lf[7]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}
else{
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}}

/* k3518 in k3526 in change-file-mode in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3520(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1604 ##sys#signal-hook */
t2=*((C_word*)lf[4]+1);
((C_proc7)(void*)(*((C_word*)t2+1)))(7,t2,((C_word*)t0)[4],lf[35],lf[213],lf[214],((C_word*)t0)[3],((C_word*)t0)[2]);}

/* ##sys#interrupt-hook in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3448(C_word c,C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr4,(void*)f_3448,4,t0,t1,t2,t3);}
t4=(C_word)C_slot(((C_word*)t0)[3],t2);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3458,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1510 h */
t6=t4;
((C_proc3)(void*)(*((C_word*)t6+1)))(3,t6,t5,t2);}
else{
/* posixwin.scm: 1512 oldhook */
t5=((C_word*)t0)[2];
((C_proc4)(void*)(*((C_word*)t5+1)))(4,t5,t1,t2,t3);}}

/* k3456 in ##sys#interrupt-hook in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3458(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1511 ##sys#context-switch */
C_context_switch(3,0,((C_word*)t0)[3],((C_word*)t0)[2]);}

/* set-signal-handler! in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3435(C_word c,C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr4,(void*)f_3435,4,t0,t1,t2,t3);}
t4=(C_word)C_i_check_exact_2(t2,lf[174]);
t5=(C_truep(t3)?t2:C_SCHEME_FALSE);
t6=(C_word)C_establish_signal_handler(t2,t5);
t7=t1;
((C_proc2)(void*)(*((C_word*)t7+1)))(2,t7,(C_word)C_i_setslot(((C_word*)t0)[2],t2,t3));}

/* signal-handler in k3422 in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3426(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_3426,3,t0,t1,t2);}
t3=(C_word)C_i_check_exact_2(t2,lf[173]);
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,(C_word)C_slot(((C_word*)t0)[2],t2));}

/* create-pipe in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3357(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)tr2rv,(void*)f_3357r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest_vector(a,C_rest_count(0));
f_3357r(t0,t1,t2);}}

static void C_ccall f_3357r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a=C_alloc(6);
t3=(C_word)C_vemptyp(t2);
t4=(C_truep(t3)?(C_word)C_u_fixnum_or(*((C_word*)lf[19]+1),*((C_word*)lf[21]+1)):(C_word)C_slot(t2,C_fix(0)));
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3364,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep((C_word)C_fixnum_lessp((C_word)C_pipe(C_SCHEME_FALSE,t4),C_fix(0)))){
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3373,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1447 ##sys#update-errno */
t7=*((C_word*)lf[7]+1);
((C_proc2)(void*)(*((C_word*)t7+1)))(2,t7,t6);}
else{
t6=t5;
f_3364(2,t6,C_SCHEME_UNDEFINED);}}

/* k3371 in create-pipe in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3373(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1448 ##sys#signal-hook */
t2=*((C_word*)lf[4]+1);
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[2],lf[35],lf[143],lf[144]);}

/* k3362 in create-pipe in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3364(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1449 values */
C_values(4,0,((C_word*)t0)[2],C_fix((C_word)C_pipefds[ 0 ]),C_fix((C_word)C_pipefds[ 1 ]));}

/* with-output-to-pipe in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3337(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)tr4r,(void*)f_3337r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest(a,C_rest_count(0));
f_3337r(t0,t1,t2,t3,t4);}}

static void C_ccall f_3337r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word *a=C_alloc(6);
t5=*((C_word*)lf[142]+1);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3341,a[2]=t3,a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t5,tmp=(C_word)a,a+=6,tmp);
C_apply(5,0,t6,((C_word*)t0)[2],t2,t4);}

/* k3339 in with-output-to-pipe in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3341(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3341,2,t0,t1);}
t2=C_mutate((C_word*)lf[142]+1 /* (set! standard-output ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3347,a[2]=t1,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm: 1432 ##sys#call-with-values */
C_u_call_with_values(4,0,((C_word*)t0)[3],((C_word*)t0)[2],t3);}

/* a3346 in k3339 in with-output-to-pipe in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3347(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr2r,(void*)f_3347r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest(a,C_rest_count(0));
f_3347r(t0,t1,t2);}}

static void C_ccall f_3347r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3351,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm: 1434 close-output-pipe */
t4=((C_word*)t0)[3];
((C_proc3)(void*)(*((C_word*)t4+1)))(3,t4,t3,((C_word*)t0)[2]);}

/* k3349 in a3346 in k3339 in with-output-to-pipe in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3351(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=C_mutate((C_word*)lf[142]+1 /* (set! standard-output ...) */,((C_word*)t0)[4]);
C_apply_values(3,0,((C_word*)t0)[3],((C_word*)t0)[2]);}

/* with-input-from-pipe in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3317(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)tr4r,(void*)f_3317r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest(a,C_rest_count(0));
f_3317r(t0,t1,t2,t3,t4);}}

static void C_ccall f_3317r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word *a=C_alloc(6);
t5=*((C_word*)lf[140]+1);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3321,a[2]=t3,a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t5,tmp=(C_word)a,a+=6,tmp);
C_apply(5,0,t6,((C_word*)t0)[2],t2,t4);}

/* k3319 in with-input-from-pipe in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3321(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3321,2,t0,t1);}
t2=C_mutate((C_word*)lf[140]+1 /* (set! standard-input ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3327,a[2]=t1,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm: 1422 ##sys#call-with-values */
C_u_call_with_values(4,0,((C_word*)t0)[3],((C_word*)t0)[2],t3);}

/* a3326 in k3319 in with-input-from-pipe in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3327(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr2r,(void*)f_3327r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest(a,C_rest_count(0));
f_3327r(t0,t1,t2);}}

static void C_ccall f_3327r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3331,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm: 1424 close-input-pipe */
t4=((C_word*)t0)[3];
((C_proc3)(void*)(*((C_word*)t4+1)))(3,t4,t3,((C_word*)t0)[2]);}

/* k3329 in a3326 in k3319 in with-input-from-pipe in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3331(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=C_mutate((C_word*)lf[140]+1 /* (set! standard-input ...) */,((C_word*)t0)[4]);
C_apply_values(3,0,((C_word*)t0)[3],((C_word*)t0)[2]);}

/* call-with-output-pipe in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3293(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr4r,(void*)f_3293r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest(a,C_rest_count(0));
f_3293r(t0,t1,t2,t3,t4);}}

static void C_ccall f_3293r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a=C_alloc(5);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3297,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
C_apply(5,0,t5,((C_word*)t0)[2],t2,t4);}

/* k3295 in call-with-output-pipe in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3297(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3297,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3302,a[2]=t1,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3308,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1412 ##sys#call-with-values */
C_u_call_with_values(4,0,((C_word*)t0)[2],t2,t3);}

/* a3307 in k3295 in call-with-output-pipe in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3308(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)tr2r,(void*)f_3308r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest(a,C_rest_count(0));
f_3308r(t0,t1,t2);}}

static void C_ccall f_3308r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3312,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1415 close-output-pipe */
t4=((C_word*)t0)[3];
((C_proc3)(void*)(*((C_word*)t4+1)))(3,t4,t3,((C_word*)t0)[2]);}

/* k3310 in a3307 in k3295 in call-with-output-pipe in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3312(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_apply_values(3,0,((C_word*)t0)[3],((C_word*)t0)[2]);}

/* a3301 in k3295 in call-with-output-pipe in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3302(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3302,2,t0,t1);}
/* posixwin.scm: 1413 proc */
t2=((C_word*)t0)[3];
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,t1,((C_word*)t0)[2]);}

/* call-with-input-pipe in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3269(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr4r,(void*)f_3269r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest(a,C_rest_count(0));
f_3269r(t0,t1,t2,t3,t4);}}

static void C_ccall f_3269r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a=C_alloc(5);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3273,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
C_apply(5,0,t5,((C_word*)t0)[2],t2,t4);}

/* k3271 in call-with-input-pipe in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3273(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3273,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3278,a[2]=t1,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3284,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1404 ##sys#call-with-values */
C_u_call_with_values(4,0,((C_word*)t0)[2],t2,t3);}

/* a3283 in k3271 in call-with-input-pipe in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3284(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)tr2r,(void*)f_3284r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest(a,C_rest_count(0));
f_3284r(t0,t1,t2);}}

static void C_ccall f_3284r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3288,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1407 close-input-pipe */
t4=((C_word*)t0)[3];
((C_proc3)(void*)(*((C_word*)t4+1)))(3,t4,t3,((C_word*)t0)[2]);}

/* k3286 in a3283 in k3271 in call-with-input-pipe in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3288(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_apply_values(3,0,((C_word*)t0)[3],((C_word*)t0)[2]);}

/* a3277 in k3271 in call-with-input-pipe in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3278(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3278,2,t0,t1);}
/* posixwin.scm: 1405 proc */
t2=((C_word*)t0)[3];
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,t1,((C_word*)t0)[2]);}

/* close-input-pipe in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3250(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_3250,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3254,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1391 ##sys#check-port */
t4=*((C_word*)lf[135]+1);
((C_proc4)(void*)(*((C_word*)t4+1)))(4,t4,t3,t2,lf[133]);}

/* k3252 in close-input-pipe in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3254(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3254,2,t0,t1);}
t2=(C_word)close_pipe(((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3257,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm: 1393 ##sys#update-errno */
t4=*((C_word*)lf[7]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}

/* k3255 in k3252 in close-input-pipe in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3257(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)C_eqp(C_fix(-1),((C_word*)t0)[4]);
if(C_truep(t2)){
/* posixwin.scm: 1394 ##sys#signal-hook */
t3=*((C_word*)lf[4]+1);
((C_proc6)(void*)(*((C_word*)t3+1)))(6,t3,((C_word*)t0)[3],lf[35],lf[133],lf[134],((C_word*)t0)[2]);}
else{
t3=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}}

/* open-output-pipe in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3214(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(!C_demand(c*C_SIZEOF_PAIR+8)){
C_save_and_reclaim((void*)tr3r,(void*)f_3214r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_3214r(t0,t1,t2,t3);}}

static void C_ccall f_3214r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a=C_alloc(8);
t4=(C_word)C_i_check_string_2(t2,lf[132]);
t5=(C_word)C_i_pairp(t3);
t6=(C_truep(t5)?(C_word)C_slot(t3,C_fix(0)):lf[130]);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3228,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t8=(C_word)C_eqp(t6,lf[130]);
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3235,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1386 ##sys#make-c-string */
t10=*((C_word*)lf[37]+1);
((C_proc3)(void*)(*((C_word*)t10+1)))(3,t10,t9,t2);}
else{
t9=(C_word)C_eqp(t6,lf[131]);
if(C_truep(t9)){
t10=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3245,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1387 ##sys#make-c-string */
t11=*((C_word*)lf[37]+1);
((C_proc3)(void*)(*((C_word*)t11+1)))(3,t11,t10,t2);}
else{
/* posixwin.scm: 1388 badmode */
f_3154(t7,t6);}}}

/* k3243 in open-output-pipe in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3245(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3245,2,t0,t1);}
t2=((C_word*)t0)[2];
f_3228(2,t2,(C_word)open_binary_output_pipe(&a,1,t1));}

/* k3233 in open-output-pipe in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3235(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3235,2,t0,t1);}
t2=((C_word*)t0)[2];
f_3228(2,t2,(C_word)open_text_output_pipe(&a,1,t1));}

/* k3226 in open-output-pipe in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3228(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1383 check */
f_3160(((C_word*)t0)[3],((C_word*)t0)[2],C_SCHEME_FALSE,t1);}

/* open-input-pipe in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3178(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(!C_demand(c*C_SIZEOF_PAIR+8)){
C_save_and_reclaim((void*)tr3r,(void*)f_3178r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest(a,C_rest_count(0));
f_3178r(t0,t1,t2,t3);}}

static void C_ccall f_3178r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a=C_alloc(8);
t4=(C_word)C_i_check_string_2(t2,lf[129]);
t5=(C_word)C_i_pairp(t3);
t6=(C_truep(t5)?(C_word)C_slot(t3,C_fix(0)):lf[130]);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3192,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t8=(C_word)C_eqp(t6,lf[130]);
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3199,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1376 ##sys#make-c-string */
t10=*((C_word*)lf[37]+1);
((C_proc3)(void*)(*((C_word*)t10+1)))(3,t10,t9,t2);}
else{
t9=(C_word)C_eqp(t6,lf[131]);
if(C_truep(t9)){
t10=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3209,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1377 ##sys#make-c-string */
t11=*((C_word*)lf[37]+1);
((C_proc3)(void*)(*((C_word*)t11+1)))(3,t11,t10,t2);}
else{
/* posixwin.scm: 1378 badmode */
f_3154(t7,t6);}}}

/* k3207 in open-input-pipe in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3209(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3209,2,t0,t1);}
t2=((C_word*)t0)[2];
f_3192(2,t2,(C_word)open_binary_input_pipe(&a,1,t1));}

/* k3197 in open-input-pipe in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3199(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[2],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3199,2,t0,t1);}
t2=((C_word*)t0)[2];
f_3192(2,t2,(C_word)open_text_input_pipe(&a,1,t1));}

/* k3190 in open-input-pipe in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3192(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1373 check */
f_3160(((C_word*)t0)[3],((C_word*)t0)[2],C_SCHEME_TRUE,t1);}

/* check in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_3160(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_3160,NULL,4,t1,t2,t3,t4);}
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3164,a[2]=t3,a[3]=t2,a[4]=t1,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm: 1363 ##sys#update-errno */
t6=*((C_word*)lf[7]+1);
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,t5);}

/* k3162 in check in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3164(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3164,2,t0,t1);}
if(C_truep((C_word)C_null_pointerp(((C_word*)t0)[5]))){
/* posixwin.scm: 1365 ##sys#signal-hook */
t2=*((C_word*)lf[4]+1);
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[4],lf[35],lf[125],((C_word*)t0)[3]);}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3176,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1366 ##sys#make-port */
t3=*((C_word*)lf[126]+1);
((C_proc6)(void*)(*((C_word*)t3+1)))(6,t3,t2,((C_word*)t0)[2],*((C_word*)lf[127]+1),lf[128],lf[75]);}}

/* k3174 in k3162 in check in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3176(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)C_set_file_ptr(t1,((C_word*)t0)[3]);
t3=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,t1);}

/* badmode in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_3154(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_3154,NULL,2,t1,t2);}
/* posixwin.scm: 1361 ##sys#error */
t3=*((C_word*)lf[123]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t1,lf[124],t2);}

/* canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2785(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word ab[21],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2785,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[111]);
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_2792,a[2]=t1,a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[7],a[5]=((C_word*)t0)[8],a[6]=((C_word*)t0)[9],a[7]=((C_word*)t0)[10],tmp=(C_word)a,a+=8,tmp);
t5=(C_word)C_block_size(t2);
t6=(C_word)C_eqp(C_fix(0),t5);
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2925,a[2]=t4,a[3]=((C_word*)t0)[10],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1300 cwd */
t8=((C_word*)t0)[5];
f_2729(t8,t7);}
else{
t7=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_2931,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[8],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=t2,a[8]=t4,a[9]=((C_word*)t0)[10],tmp=(C_word)a,a+=10,tmp);
t8=(C_word)C_block_size(t2);
if(C_truep((C_word)C_fixnum_lessp(t8,C_fix(3)))){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3132,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1302 sref */
t10=((C_word*)t0)[8];
((C_proc4)(void*)(*((C_word*)t10+1)))(4,t10,t9,t2,C_fix(0));}
else{
t9=t7;
f_2931(t9,C_SCHEME_FALSE);}}}

/* k3130 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3132(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)C_eqp(C_make_character(47),t1);
t3=((C_word*)t0)[2];
f_2931(t3,(C_truep(t2)?t2:(C_word)C_eqp(C_make_character(92),t1)));}

/* k2929 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_2931(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word ab[19],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2931,NULL,2,t0,t1);}
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2938,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[9],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2942,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1304 cwd */
t4=((C_word*)t0)[6];
f_2729(t4,t3);}
else{
t2=(C_word)C_block_size(((C_word*)t0)[7]);
t3=(C_word)C_eqp(C_fix(1),t2);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2955,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[9],tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm: 1307 cwd */
t5=((C_word*)t0)[6];
f_2729(t5,t4);}
else{
t4=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_2961,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3107,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[4],a[4]=t4,tmp=(C_word)a,a+=5,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3118,a[2]=t5,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1308 sref */
t7=((C_word*)t0)[4];
((C_proc4)(void*)(*((C_word*)t7+1)))(4,t7,t6,((C_word*)t0)[7],C_fix(0));}}}

/* k3116 in k2929 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3118(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1308 char=? */
t2=((C_word*)t0)[3];
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,((C_word*)t0)[2],C_make_character(126),t1);}

/* k3105 in k2929 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3107(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3107,2,t0,t1);}
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3114,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1309 sref */
t3=((C_word*)t0)[3];
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,((C_word*)t0)[2],C_fix(1));}
else{
t2=((C_word*)t0)[4];
f_2961(t2,C_SCHEME_FALSE);}}

/* k3112 in k3105 in k2929 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3114(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)C_eqp(C_make_character(47),t1);
t3=((C_word*)t0)[2];
f_2961(t3,(C_truep(t2)?t2:(C_word)C_eqp(C_make_character(92),t1)));}

/* k2959 in k2929 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_2961(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word ab[19],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2961,NULL,2,t0,t1);}
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2968,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[8],a[5]=((C_word*)t0)[9],tmp=(C_word)a,a+=6,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2984,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1311 cwd */
t4=((C_word*)t0)[5];
f_2729(t4,t3);}
else{
t2=(C_word)C_block_size(((C_word*)t0)[7]);
t3=(C_word)C_eqp(C_fix(2),t2);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2997,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[9],tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm: 1317 cwd */
t5=((C_word*)t0)[5];
f_2729(t5,t4);}
else{
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_3003,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[9],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3079,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[4],a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3100,a[2]=t5,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1318 sref */
t7=((C_word*)t0)[4];
((C_proc4)(void*)(*((C_word*)t7+1)))(4,t7,t6,((C_word*)t0)[7],C_fix(0));}}}

/* k3098 in k2959 in k2929 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3100(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1318 alpha? */
t2=((C_word*)t0)[3];
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k3077 in k2959 in k2929 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3079(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3079,2,t0,t1);}
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3085,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3096,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1319 sref */
t4=((C_word*)t0)[4];
((C_proc4)(void*)(*((C_word*)t4+1)))(4,t4,t3,((C_word*)t0)[3],C_fix(1));}
else{
t2=((C_word*)t0)[5];
f_3003(t2,C_SCHEME_FALSE);}}

/* k3094 in k3077 in k2959 in k2929 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3096(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1319 char=? */
t2=((C_word*)t0)[3];
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,((C_word*)t0)[2],C_make_character(58),t1);}

/* k3083 in k3077 in k2959 in k2929 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3085(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3085,2,t0,t1);}
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3092,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1320 sref */
t3=((C_word*)t0)[3];
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,((C_word*)t0)[2],C_fix(2));}
else{
t2=((C_word*)t0)[4];
f_3003(t2,C_SCHEME_FALSE);}}

/* k3090 in k3083 in k3077 in k2959 in k2929 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3092(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)C_eqp(C_make_character(47),t1);
t3=((C_word*)t0)[2];
f_3003(t3,(C_truep(t2)?t2:(C_word)C_eqp(C_make_character(92),t1)));}

/* k3001 in k2959 in k2929 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_3003(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[18],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_3003,NULL,2,t0,t1);}
if(C_truep(t1)){
t2=((C_word*)t0)[8];
f_2792(2,t2,((C_word*)t0)[7]);}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_3009,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[7],a[5]=((C_word*)t0)[8],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_3055,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3076,a[2]=t3,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1322 sref */
t5=((C_word*)t0)[4];
((C_proc4)(void*)(*((C_word*)t5+1)))(4,t5,t4,((C_word*)t0)[7],C_fix(0));}}

/* k3074 in k3001 in k2959 in k2929 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3076(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1322 char=? */
t2=((C_word*)t0)[3];
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,((C_word*)t0)[2],C_make_character(47),t1);}

/* k3053 in k3001 in k2959 in k2929 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3055(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3055,2,t0,t1);}
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3061,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3072,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1323 sref */
t4=((C_word*)t0)[4];
((C_proc4)(void*)(*((C_word*)t4+1)))(4,t4,t3,((C_word*)t0)[3],C_fix(1));}
else{
t2=((C_word*)t0)[5];
f_3009(2,t2,C_SCHEME_FALSE);}}

/* k3070 in k3053 in k3001 in k2959 in k2929 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3072(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1323 alpha? */
t2=((C_word*)t0)[3];
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k3059 in k3053 in k3001 in k2959 in k2929 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3061(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3061,2,t0,t1);}
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_3068,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1324 sref */
t3=((C_word*)t0)[3];
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,((C_word*)t0)[2],C_fix(2));}
else{
t2=((C_word*)t0)[4];
f_3009(2,t2,C_SCHEME_FALSE);}}

/* k3066 in k3059 in k3053 in k3001 in k2959 in k2929 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3068(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1324 char=? */
t2=((C_word*)t0)[3];
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,((C_word*)t0)[2],C_make_character(58),t1);}

/* k3007 in k3001 in k2959 in k2929 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3009(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3009,2,t0,t1);}
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3016,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm: 1326 ##sys#substring */
t3=*((C_word*)lf[51]+1);
((C_proc5)(void*)(*((C_word*)t3+1)))(5,t3,t2,((C_word*)t0)[4],C_fix(1),C_fix(3));}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_3052,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm: 1330 sref */
t3=((C_word*)t0)[2];
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t2,((C_word*)t0)[4],C_fix(0));}}

/* k3050 in k3007 in k3001 in k2959 in k2929 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3052(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3052,2,t0,t1);}
t2=(C_word)C_eqp(C_make_character(47),t1);
t3=(C_truep(t2)?t2:(C_word)C_eqp(C_make_character(92),t1));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3037,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_3041,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1332 cwd */
t6=((C_word*)t0)[2];
f_2729(t6,t5);}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3048,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm: 1335 cwd */
t5=((C_word*)t0)[2];
f_2729(t5,t4);}}

/* k3046 in k3050 in k3007 in k3001 in k2959 in k2929 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3048(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1335 sappend */
t2=((C_word*)t0)[4];
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[3],t1,lf[122],((C_word*)t0)[2]);}

/* k3039 in k3050 in k3007 in k3001 in k2959 in k2929 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3041(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1332 ##sys#substring */
t2=*((C_word*)lf[51]+1);
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[2],t1,C_fix(0),C_fix(2));}

/* k3035 in k3050 in k3007 in k3001 in k2959 in k2929 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3037(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1331 sappend */
t2=((C_word*)t0)[4];
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,((C_word*)t0)[3],t1,((C_word*)t0)[2]);}

/* k3014 in k3007 in k3001 in k2959 in k2929 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3016(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_3016,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_3020,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(C_word)C_block_size(((C_word*)t0)[2]);
/* posixwin.scm: 1328 ##sys#substring */
t4=*((C_word*)lf[51]+1);
((C_proc5)(void*)(*((C_word*)t4+1)))(5,t4,t2,((C_word*)t0)[2],C_fix(3),t3);}

/* k3018 in k3014 in k3007 in k3001 in k2959 in k2929 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_3020(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1325 sappend */
t2=((C_word*)t0)[4];
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[3],((C_word*)t0)[2],lf[121],t1);}

/* k2995 in k2959 in k2929 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2997(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1317 sappend */
t2=((C_word*)t0)[4];
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[3],t1,lf[120],((C_word*)t0)[2]);}

/* k2982 in k2959 in k2929 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2984(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1311 ##sys#substring */
t2=*((C_word*)lf[51]+1);
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[2],t1,C_fix(0),C_fix(3));}

/* k2966 in k2959 in k2929 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2968(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2968,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2972,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm: 1313 user */
t3=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,t2);}

/* k2970 in k2966 in k2959 in k2929 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2972(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2972,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2976,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=(C_word)C_block_size(((C_word*)t0)[2]);
/* posixwin.scm: 1314 ##sys#substring */
t4=*((C_word*)lf[51]+1);
((C_proc5)(void*)(*((C_word*)t4+1)))(5,t4,t2,((C_word*)t0)[2],C_fix(1),t3);}

/* k2974 in k2970 in k2966 in k2959 in k2929 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2976(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1310 sappend */
t2=((C_word*)t0)[5];
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[4],((C_word*)t0)[3],lf[119],((C_word*)t0)[2],t1);}

/* k2953 in k2929 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2955(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1307 sappend */
t2=((C_word*)t0)[4];
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[3],t1,lf[118],((C_word*)t0)[2]);}

/* k2940 in k2929 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2942(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1304 ##sys#substring */
t2=*((C_word*)lf[51]+1);
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[2],t1,C_fix(0),C_fix(2));}

/* k2936 in k2929 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2938(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1303 sappend */
t2=((C_word*)t0)[4];
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,((C_word*)t0)[3],t1,((C_word*)t0)[2]);}

/* k2923 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2925(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1300 sappend */
t2=((C_word*)t0)[3];
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,((C_word*)t0)[2],t1,lf[117]);}

/* k2790 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2792(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[12],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2792,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_2799,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t1,tmp=(C_word)a,a+=9,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2911,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
t4=(C_word)C_block_size(t1);
/* posixwin.scm: 1336 ##sys#substring */
t5=*((C_word*)lf[51]+1);
((C_proc5)(void*)(*((C_word*)t5+1)))(5,t5,t3,t1,C_fix(3),t4);}

/* k2909 in k2790 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2911(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* string-split */
t2=*((C_word*)lf[85]+1);
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,((C_word*)t0)[2],t1,lf[116]);}

/* k2797 in k2790 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2799(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2799,2,t0,t1);}
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_2801,a[2]=((C_word*)t0)[3],a[3]=t3,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp));
t5=((C_word*)t3)[1];
f_2801(t5,((C_word*)t0)[2],t1,C_SCHEME_END_OF_LIST);}

/* loop in k2797 in k2790 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_2801(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word ab[12],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2801,NULL,4,t0,t1,t2,t3);}
t4=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_2808,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=t3,a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],a[10]=((C_word*)t0)[8],a[11]=t1,tmp=(C_word)a,a+=12,tmp);
/* posixwin.scm: 1338 null? */
t5=((C_word*)t0)[4];
((C_proc3)(void*)(*((C_word*)t5+1)))(3,t5,t4,t2);}

/* k2806 in loop in k2797 in k2790 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2808(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2808,2,t0,t1);}
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_2814,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[8],a[5]=((C_word*)t0)[9],a[6]=((C_word*)t0)[10],a[7]=((C_word*)t0)[11],tmp=(C_word)a,a+=8,tmp);
/* posixwin.scm: 1339 null? */
t3=((C_word*)t0)[5];
((C_proc3)(void*)(*((C_word*)t3+1)))(3,t3,t2,((C_word*)t0)[7]);}
else{
t2=(C_word)C_slot(((C_word*)t0)[4],C_fix(1));
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2880,a[2]=t2,a[3]=((C_word*)t0)[11],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2883,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[7],a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t5=(C_word)C_u_i_car(((C_word*)t0)[4]);
/* posixwin.scm: 1350 string=? */
t6=((C_word*)t0)[2];
((C_proc4)(void*)(*((C_word*)t6+1)))(4,t6,t4,lf[115],t5);}}

/* k2881 in k2806 in loop in k2797 in k2790 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2883(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2883,2,t0,t1);}
if(C_truep(t1)){
t2=((C_word*)t0)[5];
f_2880(t2,(C_word)C_slot(((C_word*)t0)[4],C_fix(1)));}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2892,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
t3=(C_word)C_u_i_car(((C_word*)t0)[3]);
/* posixwin.scm: 1352 string=? */
t4=((C_word*)t0)[2];
((C_proc4)(void*)(*((C_word*)t4+1)))(4,t4,t2,lf[114],t3);}}

/* k2890 in k2881 in k2806 in loop in k2797 in k2790 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2892(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2892,2,t0,t1);}
if(C_truep(t1)){
t2=((C_word*)t0)[4];
f_2880(t2,((C_word*)t0)[3]);}
else{
t2=(C_word)C_u_i_car(((C_word*)t0)[2]);
t3=((C_word*)t0)[4];
f_2880(t3,(C_word)C_a_i_cons(&a,2,t2,((C_word*)t0)[3]));}}

/* k2878 in k2806 in loop in k2797 in k2790 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_2880(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1348 loop */
t2=((C_word*)((C_word*)t0)[4])[1];
f_2801(t2,((C_word*)t0)[3],((C_word*)t0)[2],t1);}

/* k2812 in k2806 in loop in k2797 in k2790 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2814(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2814,2,t0,t1);}
if(C_truep(t1)){
/* posixwin.scm: 1340 ##sys#substring */
t2=*((C_word*)lf[51]+1);
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[7],((C_word*)t0)[6],C_fix(0),C_fix(3));}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2861,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t3=(C_word)C_block_size(((C_word*)t0)[6]);
t4=(C_word)C_a_i_minus(&a,2,t3,C_fix(1));
/* posixwin.scm: 1341 sref */
t5=((C_word*)t0)[2];
((C_proc4)(void*)(*((C_word*)t5+1)))(4,t5,t2,((C_word*)t0)[6],t4);}}

/* k2859 in k2812 in k2806 in loop in k2797 in k2790 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2861(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2861,2,t0,t1);}
t2=(C_word)C_eqp(C_make_character(47),t1);
t3=(C_truep(t2)?t2:(C_word)C_eqp(C_make_character(92),t1));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2830,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm: 1343 ##sys#substring */
t5=*((C_word*)lf[51]+1);
((C_proc5)(void*)(*((C_word*)t5+1)))(5,t5,t4,((C_word*)t0)[2],C_fix(0),C_fix(3));}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2849,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm: 1346 ##sys#substring */
t5=*((C_word*)lf[51]+1);
((C_proc5)(void*)(*((C_word*)t5+1)))(5,t5,t4,((C_word*)t0)[2],C_fix(0),C_fix(3));}}

/* k2847 in k2859 in k2812 in k2806 in loop in k2797 in k2790 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2849(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2849,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2853,a[2]=t1,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2857,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1347 reverse */
t4=*((C_word*)lf[113]+1);
((C_proc3)(void*)(*((C_word*)t4+1)))(3,t4,t3,((C_word*)t0)[2]);}

/* k2855 in k2847 in k2859 in k2812 in k2806 in loop in k2797 in k2790 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2857(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1347 isperse */
f_2713(((C_word*)t0)[2],t1);}

/* k2851 in k2847 in k2859 in k2812 in k2806 in loop in k2797 in k2790 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2853(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1345 sappend */
t2=((C_word*)t0)[4];
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,((C_word*)t0)[3],((C_word*)t0)[2],t1);}

/* k2828 in k2859 in k2812 in k2806 in loop in k2797 in k2790 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2830(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[12],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2830,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2834,a[2]=t1,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2838,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t4=(C_word)C_a_i_cons(&a,2,lf[112],((C_word*)t0)[2]);
/* posixwin.scm: 1344 reverse */
t5=*((C_word*)lf[113]+1);
((C_proc3)(void*)(*((C_word*)t5+1)))(3,t5,t3,t4);}

/* k2836 in k2828 in k2859 in k2812 in k2806 in loop in k2797 in k2790 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2838(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1344 isperse */
f_2713(((C_word*)t0)[2],t1);}

/* k2832 in k2828 in k2859 in k2812 in k2806 in loop in k2797 in k2790 in canonical-path in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2834(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1342 sappend */
t2=((C_word*)t0)[4];
((C_proc4)(void*)(*((C_word*)t2+1)))(4,t2,((C_word*)t0)[3],((C_word*)t0)[2],t1);}

/* cwd in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_2729(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2729,NULL,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2736,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2738,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* call-with-current-continuation */
t4=*((C_word*)lf[110]+1);
((C_proc3)(void*)(*((C_word*)t4+1)))(3,t4,t2,t3);}

/* a2737 in cwd in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2738(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2738,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2744,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2762,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* with-exception-handler */
t5=*((C_word*)lf[109]+1);
((C_proc4)(void*)(*((C_word*)t5+1)))(4,t5,t1,t3,t4);}

/* a2761 in a2737 in cwd in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2762(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2762,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2768,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2774,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* ##sys#call-with-values */
C_u_call_with_values(4,0,t1,t2,t3);}

/* a2773 in a2761 in a2737 in cwd in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2774(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+3)){
C_save_and_reclaim((void*)tr2r,(void*)f_2774r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest(a,C_rest_count(0));
f_2774r(t0,t1,t2);}}

static void C_ccall f_2774r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2780,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* k379382 */
t4=((C_word*)t0)[2];
((C_proc3)(void*)(*((C_word*)t4+1)))(3,t4,t1,t3);}

/* a2779 in a2773 in a2761 in a2737 in cwd in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2780(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2780,2,t0,t1);}
C_apply_values(3,0,t1,((C_word*)t0)[2]);}

/* a2767 in a2761 in a2737 in cwd in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2768(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2768,2,t0,t1);}
/* posixwin.scm: 1295 cw */
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,t1);}

/* a2743 in a2737 in cwd in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2744(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2744,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2750,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* k379382 */
t4=((C_word*)t0)[2];
((C_proc3)(void*)(*((C_word*)t4+1)))(3,t4,t1,t3);}

/* a2749 in a2743 in a2737 in cwd in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2750(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2750,2,t0,t1);}
t2=(C_word)C_i_structurep(((C_word*)t0)[2],lf[107]);
t3=(C_truep(t2)?(C_word)C_slot(((C_word*)t0)[2],C_fix(1)):C_SCHEME_FALSE);
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,lf[108]);}

/* k2734 in cwd in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2736(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=t1;
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* isperse in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_2713(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2713,NULL,2,t1,t2);}
/* string-intersperse */
t3=*((C_word*)lf[104]+1);
((C_proc4)(void*)(*((C_word*)t3+1)))(4,t3,t1,t2,lf[105]);}

/* current-directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2669(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+3)){
C_save_and_reclaim((void*)tr2rv,(void*)f_2669r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest_vector(a,C_rest_count(0));
f_2669r(t0,t1,t2);}}

static void C_ccall f_2669r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a=C_alloc(3);
t3=(C_word)C_vemptyp(t2);
t4=(C_truep(t3)?C_SCHEME_FALSE:(C_word)C_slot(t2,C_fix(0)));
if(C_truep(t4)){
/* posixwin.scm: 1273 change-directory */
t5=*((C_word*)lf[87]+1);
((C_proc3)(void*)(*((C_word*)t5+1)))(3,t5,t1,t4);}
else{
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2682,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1274 make-string */
t6=((C_word*)t0)[2];
((C_proc3)(void*)(*((C_word*)t6+1)))(3,t6,t5,C_fix(256));}}

/* k2680 in current-directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2682(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2682,2,t0,t1);}
t2=(C_word)C_curdir(t1);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2685,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm: 1276 ##sys#update-errno */
t4=*((C_word*)lf[7]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}

/* k2683 in k2680 in current-directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2685(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_truep(((C_word*)t0)[4])){
/* posixwin.scm: 1278 ##sys#substring */
t2=*((C_word*)lf[51]+1);
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[3],((C_word*)t0)[2],C_fix(0),((C_word*)t0)[4]);}
else{
/* posixwin.scm: 1279 ##sys#signal-hook */
t2=*((C_word*)lf[4]+1);
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[3],lf[35],lf[95],lf[98]);}}

/* directory? in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2642(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2642,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[96]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2649,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2663,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2667,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1266 ##sys#expand-home-path */
t7=*((C_word*)lf[38]+1);
((C_proc3)(void*)(*((C_word*)t7+1)))(3,t7,t6,t2);}

/* k2665 in directory? in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2667(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1266 ##sys#platform-fixup-pathname */
t2=*((C_word*)lf[97]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k2661 in directory? in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2663(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1265 ##sys#file-info */
t2=*((C_word*)lf[67]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k2647 in directory? in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2649(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_truep(t1)){
t2=(C_word)C_slot(t1,C_fix(4));
t3=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,(C_word)C_eqp(C_fix(1),t2));}
else{
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_FALSE);}}

/* directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2485(C_word c,C_word t0,C_word t1,...){
C_word tmp;
C_word t2;
va_list v;
C_word *a,c2=c;
C_save_rest(t1,c2,2);
if(!C_demand(c*C_SIZEOF_PAIR+9)){
C_save_and_reclaim((void*)tr2r,(void*)f_2485r,2,t0,t1);}
else{
a=C_alloc((c-2)*3);
t2=C_restore_rest(a,C_rest_count(0));
f_2485r(t0,t1,t2);}}

static void C_ccall f_2485r(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a=C_alloc(9);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2487,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2588,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2593,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
if(C_truep((C_word)C_i_nullp(t2))){
/* def-spec270312 */
t6=t5;
f_2593(t6,t1);}
else{
t6=(C_word)C_u_i_car(t2);
t7=(C_word)C_slot(t2,C_fix(1));
if(C_truep((C_word)C_i_nullp(t7))){
/* def-show-dotfiles?271310 */
t8=t4;
f_2588(t8,t1,t6);}
else{
t8=(C_word)C_u_i_car(t7);
t9=(C_word)C_slot(t7,C_fix(1));
/* body268276 */
t10=t3;
f_2487(t10,t1,t6,t8);}}}

/* def-spec270 in directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_2593(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2593,NULL,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2601,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1236 current-directory */
t3=*((C_word*)lf[95]+1);
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,t2);}

/* k2599 in def-spec270 in directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2601(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* def-show-dotfiles?271310 */
t2=((C_word*)t0)[3];
f_2588(t2,((C_word*)t0)[2],t1);}

/* def-show-dotfiles?271 in directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_2588(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2588,NULL,3,t0,t1,t2);}
/* body268276 */
t3=((C_word*)t0)[2];
f_2487(t3,t1,t2,C_SCHEME_FALSE);}

/* body268 in directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_2487(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2487,NULL,4,t0,t1,t2,t3);}
t4=(C_word)C_i_check_string_2(t2,lf[92]);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2494,a[2]=t3,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm: 1238 make-string */
t6=((C_word*)t0)[2];
((C_proc3)(void*)(*((C_word*)t6+1)))(3,t6,t5,C_fix(256));}

/* k2492 in body268 in directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2494(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2494,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2497,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm: 1239 ##sys#make-pointer */
t3=*((C_word*)lf[94]+1);
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,t2);}

/* k2495 in k2492 in body268 in directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2497(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[7],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2497,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2500,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,tmp=(C_word)a,a+=7,tmp);
/* posixwin.scm: 1240 ##sys#make-pointer */
t3=*((C_word*)lf[94]+1);
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,t2);}

/* k2498 in k2495 in k2492 in body268 in directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2500(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2500,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_2504,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2587,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1241 ##sys#expand-home-path */
t4=*((C_word*)lf[38]+1);
((C_proc3)(void*)(*((C_word*)t4+1)))(3,t4,t3,((C_word*)t0)[4]);}

/* k2585 in k2498 in k2495 in k2492 in body268 in directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2587(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1241 ##sys#make-c-string */
t2=*((C_word*)lf[37]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k2502 in k2498 in k2495 in k2492 in body268 in directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2504(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2504,2,t0,t1);}
t2=(C_word)C_opendir(t1,((C_word*)t0)[7]);
if(C_truep((C_word)C_null_pointerp(((C_word*)t0)[7]))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2513,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1244 ##sys#update-errno */
t4=*((C_word*)lf[7]+1);
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,t3);}
else{
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_2521,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[7],tmp=(C_word)a,a+=7,tmp));
t6=((C_word*)t4)[1];
f_2521(t6,((C_word*)t0)[6]);}}

/* loop in k2502 in k2498 in k2495 in k2492 in body268 in directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_2521(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2521,NULL,2,t0,t1);}
t2=(C_word)C_readdir(((C_word*)t0)[6],((C_word*)t0)[5]);
if(C_truep((C_word)C_null_pointerp(((C_word*)t0)[5]))){
t3=(C_word)C_closedir(((C_word*)t0)[6]);
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,C_SCHEME_END_OF_LIST);}
else{
t3=(C_word)C_foundfile(((C_word*)t0)[5],((C_word*)t0)[4]);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2531,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm: 1253 ##sys#substring */
t5=*((C_word*)lf[51]+1);
((C_proc5)(void*)(*((C_word*)t5+1)))(5,t5,t4,((C_word*)t0)[4],C_fix(0),t3);}}

/* k2529 in loop in k2502 in k2498 in k2495 in k2492 in body268 in directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2531(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2531,2,t0,t1);}
t2=(C_word)C_subchar(t1,C_fix(0));
t3=(C_word)C_i_greaterp(((C_word*)t0)[5],C_fix(1));
t4=(C_truep(t3)?(C_word)C_subchar(t1,C_fix(1)):C_SCHEME_FALSE);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2543,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t6=(C_word)C_eqp(t2,C_make_character(46));
if(C_truep(t6)){
t7=(C_word)C_i_not(t4);
if(C_truep(t7)){
t8=t5;
f_2543(t8,t7);}
else{
t8=(C_word)C_eqp(t4,C_make_character(46));
t9=(C_truep(t8)?(C_word)C_eqp(((C_word*)t0)[5],C_fix(2)):C_SCHEME_FALSE);
t10=t5;
f_2543(t10,(C_truep(t9)?t9:(C_word)C_i_not(((C_word*)t0)[2])));}}
else{
t7=t5;
f_2543(t7,C_SCHEME_FALSE);}}

/* k2541 in k2529 in loop in k2502 in k2498 in k2495 in k2492 in body268 in directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_2543(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2543,NULL,2,t0,t1);}
if(C_truep(t1)){
/* posixwin.scm: 1260 loop */
t2=((C_word*)((C_word*)t0)[4])[1];
f_2521(t2,((C_word*)t0)[3]);}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2553,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1261 loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_2521(t3,t2);}}

/* k2551 in k2541 in k2529 in loop in k2502 in k2498 in k2495 in k2492 in body268 in directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2553(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2553,2,t0,t1);}
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_a_i_cons(&a,2,((C_word*)t0)[2],t1));}

/* k2511 in k2502 in k2498 in k2495 in k2492 in body268 in directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2513(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1245 ##sys#signal-hook */
t2=*((C_word*)lf[4]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[35],lf[92],lf[93],((C_word*)t0)[2]);}

/* delete-directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2460(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2460,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[89]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2467,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2483,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1226 ##sys#expand-home-path */
t6=*((C_word*)lf[38]+1);
((C_proc3)(void*)(*((C_word*)t6+1)))(3,t6,t5,t2);}

/* k2481 in delete-directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2483(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1226 ##sys#make-c-string */
t2=*((C_word*)lf[37]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k2465 in delete-directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2467(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2467,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2470,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t3=(C_word)C_eqp(C_fix(0),(C_word)C_rmdir(t1));
if(C_truep(t3)){
t4=t2;
f_2470(2,t4,C_SCHEME_UNDEFINED);}
else{
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2476,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1228 ##sys#update-errno */
t5=*((C_word*)lf[7]+1);
((C_proc2)(void*)(*((C_word*)t5+1)))(2,t5,t4);}}

/* k2474 in k2465 in delete-directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2476(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1229 ##sys#signal-hook */
t2=*((C_word*)lf[4]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[35],lf[89],lf[90],((C_word*)t0)[2]);}

/* k2468 in k2465 in delete-directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2470(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* change-directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2435(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2435,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[87]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2442,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2458,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1216 ##sys#expand-home-path */
t6=*((C_word*)lf[38]+1);
((C_proc3)(void*)(*((C_word*)t6+1)))(3,t6,t5,t2);}

/* k2456 in change-directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2458(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1216 ##sys#make-c-string */
t2=*((C_word*)lf[37]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k2440 in change-directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2442(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2442,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2445,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t3=(C_word)C_eqp(C_fix(0),(C_word)C_chdir(t1));
if(C_truep(t3)){
t4=t2;
f_2445(2,t4,C_SCHEME_UNDEFINED);}
else{
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2451,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1218 ##sys#update-errno */
t5=*((C_word*)lf[7]+1);
((C_proc2)(void*)(*((C_word*)t5+1)))(2,t5,t4);}}

/* k2449 in k2440 in change-directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2451(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1219 ##sys#signal-hook */
t2=*((C_word*)lf[4]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[35],lf[87],lf[88],((C_word*)t0)[2]);}

/* k2443 in k2440 in change-directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2445(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* create-directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2316(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(!C_demand(c*C_SIZEOF_PAIR+4)){
C_save_and_reclaim((void*)tr3rv,(void*)f_2316r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest_vector(a,C_rest_count(0));
f_2316r(t0,t1,t2,t3);}}

static void C_ccall f_2316r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a=C_alloc(4);
t4=(C_word)C_vemptyp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:(C_word)C_slot(t3,C_fix(0)));
t6=(C_word)C_i_check_string_2(t2,lf[81]);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2326,a[2]=t5,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1207 ##sys#expand-home-path */
t8=*((C_word*)lf[38]+1);
((C_proc3)(void*)(*((C_word*)t8+1)))(3,t8,t7,t2);}

/* k2324 in create-directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2326(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2326,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2329,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)t0)[2])){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2332,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1196 string-split */
t4=*((C_word*)lf[85]+1);
((C_proc4)(void*)(*((C_word*)t4+1)))(4,t4,t3,t1,lf[86]);}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2421,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1179 ##sys#make-c-string */
t4=*((C_word*)lf[37]+1);
((C_proc3)(void*)(*((C_word*)t4+1)))(3,t4,t3,t1);}}

/* k2419 in k2324 in create-directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2421(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2421,2,t0,t1);}
t2=(C_word)C_mkdir(t1);
t3=(C_word)C_eqp(C_fix(0),t2);
if(C_truep(t3)){
t4=((C_word*)t0)[3];
f_2329(2,t4,C_SCHEME_UNDEFINED);}
else{
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2413,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1180 ##sys#update-errno */
t5=*((C_word*)lf[7]+1);
((C_proc2)(void*)(*((C_word*)t5+1)))(2,t5,t4);}}

/* k2411 in k2419 in k2324 in create-directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2413(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1181 ##sys#signal-hook */
t2=*((C_word*)lf[4]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[35],lf[81],lf[82],((C_word*)t0)[2]);}

/* k2330 in k2324 in create-directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2332(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word ab[8],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2332,2,t0,t1);}
t2=(C_word)C_u_i_car(t1);
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=(C_word)C_slot(t1,C_fix(1));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2344,a[2]=t7,a[3]=t4,tmp=(C_word)a,a+=4,tmp));
t9=((C_word*)t7)[1];
f_2344(t9,((C_word*)t0)[2],t5);}

/* loop213 in k2330 in k2324 in create-directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_2344(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2344,NULL,3,t0,t1,t2);}
if(C_truep((C_word)C_i_pairp(t2))){
t3=(C_word)C_slot(t2,C_fix(0));
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2358,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm: 1200 string-append */
t5=*((C_word*)lf[2]+1);
((C_proc5)(void*)(*((C_word*)t5+1)))(5,t5,t4,((C_word*)((C_word*)t0)[3])[1],lf[84],t3);}
else{
t3=t1;
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,C_SCHEME_UNDEFINED);}}

/* k2356 in loop213 in k2330 in k2324 in create-directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2358(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word ab[13],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2358,2,t0,t1);}
t2=C_mutate(((C_word *)((C_word*)t0)[5])+1,t1);
t3=((C_word*)((C_word*)t0)[5])[1];
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2361,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2371,a[2]=t3,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2391,a[2]=t3,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1185 file-exists? */
t7=*((C_word*)lf[83]+1);
((C_proc3)(void*)(*((C_word*)t7+1)))(3,t7,t6,t3);}

/* k2389 in k2356 in loop213 in k2330 in k2324 in create-directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2391(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2391,2,t0,t1);}
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2394,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1186 ##sys#file-info */
t3=*((C_word*)lf[67]+1);
((C_proc3)(void*)(*((C_word*)t3+1)))(3,t3,t2,((C_word*)t0)[2]);}
else{
t2=((C_word*)t0)[3];
f_2371(t2,C_SCHEME_FALSE);}}

/* k2392 in k2389 in k2356 in loop213 in k2330 in k2324 in create-directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2394(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_truep(t1)){
t2=(C_word)C_slot(t1,C_fix(4));
t3=((C_word*)t0)[2];
f_2371(t3,(C_word)C_eqp(C_fix(1),t2));}
else{
t2=((C_word*)t0)[2];
f_2371(t2,C_SCHEME_FALSE);}}

/* k2369 in k2356 in loop213 in k2330 in k2324 in create-directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_2371(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2371,NULL,2,t0,t1);}
if(C_truep(t1)){
t2=((C_word*)t0)[3];
f_2361(2,t2,C_SCHEME_UNDEFINED);}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2388,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1179 ##sys#make-c-string */
t3=*((C_word*)lf[37]+1);
((C_proc3)(void*)(*((C_word*)t3+1)))(3,t3,t2,((C_word*)t0)[2]);}}

/* k2386 in k2369 in k2356 in loop213 in k2330 in k2324 in create-directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2388(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2388,2,t0,t1);}
t2=(C_word)C_mkdir(t1);
t3=(C_word)C_eqp(C_fix(0),t2);
if(C_truep(t3)){
t4=((C_word*)t0)[3];
f_2361(2,t4,C_SCHEME_UNDEFINED);}
else{
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2380,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1180 ##sys#update-errno */
t5=*((C_word*)lf[7]+1);
((C_proc2)(void*)(*((C_word*)t5+1)))(2,t5,t4);}}

/* k2378 in k2386 in k2369 in k2356 in loop213 in k2330 in k2324 in create-directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2380(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1181 ##sys#signal-hook */
t2=*((C_word*)lf[4]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[35],lf[81],lf[82],((C_word*)t0)[2]);}

/* k2359 in k2356 in loop213 in k2330 in k2324 in create-directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2361(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
t2=(C_word)C_slot(((C_word*)t0)[4],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_2344(t3,((C_word*)t0)[2],t2);}

/* k2327 in k2324 in create-directory in k2312 in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2329(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* set-file-position! in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2254(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)tr4rv,(void*)f_2254r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest_vector(a,C_rest_count(0));
f_2254r(t0,t1,t2,t3,t4);}}

static void C_ccall f_2254r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a=C_alloc(6);
t5=(C_word)C_notvemptyp(t4);
t6=(C_truep(t5)?(C_word)C_slot(t4,C_fix(0)):C_fix((C_word)SEEK_SET));
t7=(C_word)C_i_check_exact_2(t3,lf[73]);
t8=(C_word)C_i_check_exact_2(t6,lf[73]);
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2267,a[2]=t6,a[3]=t3,a[4]=t2,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
if(C_truep((C_word)C_i_negativep(t3))){
/* posixwin.scm: 1149 ##sys#signal-hook */
t10=*((C_word*)lf[4]+1);
((C_proc7)(void*)(*((C_word*)t10+1)))(7,t10,t9,lf[78],lf[73],lf[79],t3,t2);}
else{
t10=t9;
f_2267(2,t10,C_SCHEME_UNDEFINED);}}

/* k2265 in set-file-position! in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2267(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[11],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2267,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2273,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2279,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm: 1150 port? */
t4=*((C_word*)lf[77]+1);
((C_proc3)(void*)(*((C_word*)t4+1)))(3,t4,t3,((C_word*)t0)[4]);}

/* k2277 in k2265 in set-file-position! in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2279(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_truep(t1)){
t2=(C_word)C_slot(((C_word*)t0)[5],C_fix(7));
t3=(C_word)C_eqp(t2,lf[75]);
t4=((C_word*)t0)[4];
f_2273(2,t4,(C_truep(t3)?(C_word)C_fseek(((C_word*)t0)[5],((C_word*)t0)[3],((C_word*)t0)[2]):C_SCHEME_FALSE));}
else{
if(C_truep((C_word)C_fixnump(((C_word*)t0)[5]))){
t2=((C_word*)t0)[4];
f_2273(2,t2,(C_word)C_lseek(((C_word*)t0)[5],((C_word*)t0)[3],((C_word*)t0)[2]));}
else{
/* posixwin.scm: 1156 ##sys#signal-hook */
t2=*((C_word*)lf[4]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[4],lf[44],lf[73],lf[76],((C_word*)t0)[5]);}}}

/* k2271 in k2265 in set-file-position! in k2250 in k2246 in k2242 in k2238 in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2273(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_truep(t1)){
t2=((C_word*)t0)[4];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_UNDEFINED);}
else{
/* posixwin.scm: 1157 posix-error */
t2=lf[3];
f_1876(7,t2,((C_word*)t0)[4],lf[35],lf[73],lf[74],((C_word*)t0)[3],((C_word*)t0)[2]);}}

/* stat-type in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_2230(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2230,NULL,2,t1,t2);}
t3=t1;
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2232,a[2]=t2,tmp=(C_word)a,a+=3,tmp));}

/* f_2232 in stat-type in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2232(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2232,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,((C_word*)t0)[2]);
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,C_SCHEME_FALSE);}

/* symbolic-link? in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2225(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2225,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[68]);
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,C_SCHEME_FALSE);}

/* regular-file? in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2202(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2202,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[66]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2209,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2223,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1126 ##sys#expand-home-path */
t6=*((C_word*)lf[38]+1);
((C_proc3)(void*)(*((C_word*)t6+1)))(3,t6,t5,t2);}

/* k2221 in regular-file? in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2223(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1126 ##sys#file-info */
t2=*((C_word*)lf[67]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k2207 in regular-file? in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2209(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_truep(t1)){
t2=(C_word)C_slot(t1,C_fix(4));
t3=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,(C_word)C_eqp(C_fix(0),t2));}
else{
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_FALSE);}}

/* file-permissions in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2196(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2196,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2200,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1122 ##sys#stat */
f_2106(t3,t2);}

/* k2198 in file-permissions in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2200(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_mode));}

/* file-owner in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2190(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2190,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2194,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1121 ##sys#stat */
f_2106(t3,t2);}

/* k2192 in file-owner in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2194(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_uid));}

/* file-change-time in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2184(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2184,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2188,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1120 ##sys#stat */
f_2106(t3,t2);}

/* k2186 in file-change-time in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2188(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2188,2,t0,t1);}
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_flonum(&a,C_statbuf.st_ctime));}

/* file-access-time in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2178(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2178,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2182,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1119 ##sys#stat */
f_2106(t3,t2);}

/* k2180 in file-access-time in k2174 in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2182(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2182,2,t0,t1);}
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_flonum(&a,C_statbuf.st_atime));}

/* file-size in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2168(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word ab[3],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2168,3,t0,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2172,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1102 ##sys#stat */
f_2106(t3,t2);}

/* k2170 in file-size in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2172(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_size));}

/* file-stat in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2144(C_word c,C_word t0,C_word t1,C_word t2,...){
C_word tmp;
C_word t3;
va_list v;
C_word *a,c2=c;
C_save_rest(t2,c2,3);
if(!C_demand(c*C_SIZEOF_PAIR+3)){
C_save_and_reclaim((void*)tr3rv,(void*)f_2144r,3,t0,t1,t2);}
else{
a=C_alloc((c-3)*3);
t3=C_restore_rest_vector(a,C_rest_count(0));
f_2144r(t0,t1,t2,t3);}}

static void C_ccall f_2144r(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a=C_alloc(3);
t4=(C_word)C_vemptyp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:(C_word)C_slot(t3,C_fix(0)));
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2151,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1096 ##sys#stat */
f_2106(t6,t2);}

/* k2149 in file-stat in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2151(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[26],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2151,2,t0,t1);}
t2=((C_word*)t0)[2];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_a_i_vector(&a,13,C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_ino),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_mode),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_nlink),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_uid),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_gid),C_fix(C_MOST_POSITIVE_FIXNUM&(C_word)C_statbuf.st_size),C_flonum(&a,C_statbuf.st_atime),C_flonum(&a,C_statbuf.st_ctime),C_flonum(&a,C_statbuf.st_mtime),C_fix(0),C_fix(0),C_fix(0),C_fix(0)));}

/* ##sys#stat in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_fcall f_2106(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)trf_2106,NULL,2,t1,t2);}
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2110,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep((C_word)C_fixnump(t2))){
t4=t3;
f_2110(2,t4,(C_word)C_fstat(t2));}
else{
if(C_truep((C_word)C_i_stringp(t2))){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2135,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_2139,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1089 ##sys#expand-home-path */
t6=*((C_word*)lf[38]+1);
((C_proc3)(void*)(*((C_word*)t6+1)))(3,t6,t5,t2);}
else{
/* posixwin.scm: 1090 ##sys#signal-hook */
t4=*((C_word*)lf[4]+1);
((C_proc5)(void*)(*((C_word*)t4+1)))(5,t4,t3,lf[44],lf[58],t2);}}}

/* k2137 in ##sys#stat in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2139(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1089 ##sys#make-c-string */
t2=*((C_word*)lf[37]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k2133 in ##sys#stat in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2135(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[2];
f_2110(2,t2,(C_word)C_stat(t1));}

/* k2108 in ##sys#stat in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2110(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2110,2,t0,t1);}
if(C_truep((C_word)C_fixnum_lessp(t1,C_fix(0)))){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2119,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1092 ##sys#update-errno */
t3=*((C_word*)lf[7]+1);
((C_proc2)(void*)(*((C_word*)t3+1)))(2,t3,t2);}
else{
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,C_SCHEME_UNDEFINED);}}

/* k2117 in k2108 in ##sys#stat in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2119(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1093 ##sys#signal-hook */
t2=*((C_word*)lf[4]+1);
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[3],lf[35],lf[57],((C_word*)t0)[2]);}

/* file-mkstemp in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2068(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[5],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_2068,3,t0,t1,t2);}
t3=(C_word)C_i_check_string_2(t2,lf[50]);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2075,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm: 1058 ##sys#make-c-string */
t5=*((C_word*)lf[37]+1);
((C_proc3)(void*)(*((C_word*)t5+1)))(3,t5,t4,t2);}

/* k2073 in file-mkstemp in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2075(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2075,2,t0,t1);}
t2=(C_word)C_mkstemp(t1);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2078,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm: 1060 string-length */
t4=((C_word*)t0)[2];
((C_proc3)(void*)(*((C_word*)t4+1)))(3,t4,t3,t1);}

/* k2076 in k2073 in file-mkstemp in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2078(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2078,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2081,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=(C_word)C_eqp(C_fix(-1),((C_word*)t0)[4]);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2098,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1062 ##sys#update-errno */
t5=*((C_word*)lf[7]+1);
((C_proc2)(void*)(*((C_word*)t5+1)))(2,t5,t4);}
else{
t4=t2;
f_2081(2,t4,C_SCHEME_UNDEFINED);}}

/* k2096 in k2076 in k2073 in file-mkstemp in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2098(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1063 ##sys#signal-hook */
t2=*((C_word*)lf[4]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[35],lf[50],lf[52],((C_word*)t0)[2]);}

/* k2079 in k2076 in k2073 in file-mkstemp in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2081(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2081,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2088,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
t3=(C_word)C_u_fixnum_difference(((C_word*)t0)[3],C_fix(1));
/* posixwin.scm: 1064 ##sys#substring */
t4=*((C_word*)lf[51]+1);
((C_proc5)(void*)(*((C_word*)t4+1)))(5,t4,t2,((C_word*)t0)[2],C_fix(0),t3);}

/* k2086 in k2079 in k2076 in k2073 in file-mkstemp in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2088(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1064 values */
C_values(4,0,((C_word*)t0)[3],((C_word*)t0)[2],t1);}

/* file-write in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2026(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(!C_demand(c*C_SIZEOF_PAIR+6)){
C_save_and_reclaim((void*)tr4rv,(void*)f_2026r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest_vector(a,C_rest_count(0));
f_2026r(t0,t1,t2,t3,t4);}}

static void C_ccall f_2026r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a=C_alloc(6);
t5=(C_word)C_i_check_exact_2(t2,lf[46]);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_2033,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t7=(C_truep((C_word)C_blockp(t3))?(C_word)C_byteblockp(t3):C_SCHEME_FALSE);
if(C_truep(t7)){
t8=t6;
f_2033(2,t8,C_SCHEME_UNDEFINED);}
else{
/* posixwin.scm: 1045 ##sys#signal-hook */
t8=*((C_word*)lf[4]+1);
((C_proc6)(void*)(*((C_word*)t8+1)))(6,t8,t6,lf[44],lf[46],lf[48],t3);}}

/* k2031 in file-write in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2033(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word ab[9],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_2033,2,t0,t1);}
t2=(C_word)C_notvemptyp(((C_word*)t0)[5]);
t3=(C_truep(t2)?(C_word)C_slot(((C_word*)t0)[5],C_fix(0)):(C_word)C_block_size(((C_word*)t0)[4]));
t4=(C_word)C_i_check_exact_2(t3,lf[46]);
t5=(C_word)C_write(((C_word*)t0)[3],((C_word*)t0)[4],t3);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_2042,a[2]=t5,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t7=(C_word)C_eqp(C_fix(-1),t5);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2048,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=t6,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm: 1050 ##sys#update-errno */
t9=*((C_word*)lf[7]+1);
((C_proc2)(void*)(*((C_word*)t9+1)))(2,t9,t8);}
else{
t8=t6;
f_2042(2,t8,C_SCHEME_UNDEFINED);}}

/* k2046 in k2031 in file-write in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2048(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1051 ##sys#signal-hook */
t2=*((C_word*)lf[4]+1);
((C_proc7)(void*)(*((C_word*)t2+1)))(7,t2,((C_word*)t0)[4],lf[35],lf[46],lf[47],((C_word*)t0)[3],((C_word*)t0)[2]);}

/* k2040 in k2031 in file-write in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2042(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* file-read in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_1981(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(!C_demand(c*C_SIZEOF_PAIR+5)){
C_save_and_reclaim((void*)tr4rv,(void*)f_1981r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest_vector(a,C_rest_count(0));
f_1981r(t0,t1,t2,t3,t4);}}

static void C_ccall f_1981r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a=C_alloc(5);
t5=(C_word)C_i_check_exact_2(t2,lf[42]);
t6=(C_word)C_i_check_exact_2(t3,lf[42]);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1991,a[2]=t1,a[3]=t3,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep((C_word)C_notvemptyp(t4))){
t8=t7;
f_1991(2,t8,(C_word)C_slot(t4,C_fix(0)));}
else{
/* posixwin.scm: 1032 make-string */
t8=((C_word*)t0)[2];
((C_proc3)(void*)(*((C_word*)t8+1)))(3,t8,t7,t3);}}

/* k1989 in file-read in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_1991(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1991,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1994,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t3=(C_truep((C_word)C_blockp(t1))?(C_word)C_byteblockp(t1):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=t2;
f_1994(2,t4,C_SCHEME_UNDEFINED);}
else{
/* posixwin.scm: 1034 ##sys#signal-hook */
t4=*((C_word*)lf[4]+1);
((C_proc6)(void*)(*((C_word*)t4+1)))(6,t4,t2,lf[44],lf[42],lf[45],t1);}}

/* k1992 in k1989 in file-read in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_1994(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1994,2,t0,t1);}
t2=(C_word)C_read(((C_word*)t0)[5],((C_word*)t0)[4],((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1997,a[2]=t2,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
t4=(C_word)C_eqp(C_fix(-1),t2);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_2006,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* posixwin.scm: 1037 ##sys#update-errno */
t6=*((C_word*)lf[7]+1);
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,t5);}
else{
t5=t3;
f_1997(2,t5,C_SCHEME_UNDEFINED);}}

/* k2004 in k1992 in k1989 in file-read in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_2006(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1038 ##sys#signal-hook */
t2=*((C_word*)lf[4]+1);
((C_proc7)(void*)(*((C_word*)t2+1)))(7,t2,((C_word*)t0)[4],lf[35],lf[42],lf[43],((C_word*)t0)[3],((C_word*)t0)[2]);}

/* k1995 in k1992 in k1989 in file-read in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_1997(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word ab[6],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1997,2,t0,t1);}
t2=((C_word*)t0)[4];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,(C_word)C_a_i_list(&a,2,((C_word*)t0)[3],((C_word*)t0)[2]));}

/* file-close in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_1963(C_word c,C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word ab[4],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr3,(void*)f_1963,3,t0,t1,t2);}
t3=(C_word)C_i_check_exact_2(t2,lf[39]);
if(C_truep((C_word)C_fixnum_lessp((C_word)C_close(t2),C_fix(0)))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1976,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* posixwin.scm: 1024 ##sys#update-errno */
t5=*((C_word*)lf[7]+1);
((C_proc2)(void*)(*((C_word*)t5+1)))(2,t5,t4);}
else{
t4=t1;
((C_proc2)(void*)(*((C_word*)t4+1)))(2,t4,C_SCHEME_UNDEFINED);}}

/* k1974 in file-close in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_1976(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1025 ##sys#signal-hook */
t2=*((C_word*)lf[4]+1);
((C_proc6)(void*)(*((C_word*)t2+1)))(6,t2,((C_word*)t0)[3],lf[35],lf[39],lf[40],((C_word*)t0)[2]);}

/* file-open in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_1922(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,...){
C_word tmp;
C_word t4;
va_list v;
C_word *a,c2=c;
C_save_rest(t3,c2,4);
if(!C_demand(c*C_SIZEOF_PAIR+9)){
C_save_and_reclaim((void*)tr4rv,(void*)f_1922r,4,t0,t1,t2,t3);}
else{
a=C_alloc((c-4)*3);
t4=C_restore_rest_vector(a,C_rest_count(0));
f_1922r(t0,t1,t2,t3,t4);}}

static void C_ccall f_1922r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a=C_alloc(9);
t5=(C_word)C_notvemptyp(t4);
t6=(C_truep(t5)?(C_word)C_slot(t4,C_fix(0)):((C_word*)t0)[2]);
t7=(C_word)C_i_check_string_2(t2,lf[34]);
t8=(C_word)C_i_check_exact_2(t3,lf[34]);
t9=(C_word)C_i_check_exact_2(t6,lf[34]);
t10=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1939,a[2]=t2,a[3]=t1,a[4]=t6,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t11=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_1955,a[2]=t10,tmp=(C_word)a,a+=3,tmp);
/* posixwin.scm: 1014 ##sys#expand-home-path */
t12=*((C_word*)lf[38]+1);
((C_proc3)(void*)(*((C_word*)t12+1)))(3,t12,t11,t2);}

/* k1953 in file-open in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_1955(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1014 ##sys#make-c-string */
t2=*((C_word*)lf[37]+1);
((C_proc3)(void*)(*((C_word*)t2+1)))(3,t2,((C_word*)t0)[2],t1);}

/* k1937 in file-open in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_1939(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word ab[10],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1939,2,t0,t1);}
t2=(C_word)C_open(t1,((C_word*)t0)[5],((C_word*)t0)[4]);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_1942,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t4=(C_word)C_eqp(C_fix(-1),t2);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1948,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* posixwin.scm: 1016 ##sys#update-errno */
t6=*((C_word*)lf[7]+1);
((C_proc2)(void*)(*((C_word*)t6+1)))(2,t6,t5);}
else{
t5=t3;
f_1942(2,t5,C_SCHEME_UNDEFINED);}}

/* k1946 in k1937 in file-open in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_1948(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 1017 ##sys#signal-hook */
t2=*((C_word*)lf[4]+1);
((C_proc8)(void*)(*((C_word*)t2+1)))(8,t2,((C_word*)t0)[5],lf[35],lf[34],lf[36],((C_word*)t0)[4],((C_word*)t0)[3],((C_word*)t0)[2]);}

/* k1940 in k1937 in file-open in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_1942(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
t2=((C_word*)t0)[3];
((C_proc2)(void*)(*((C_word*)t2+1)))(2,t2,((C_word*)t0)[2]);}

/* posix-error in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_1876(C_word c,C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,...){
C_word tmp;
C_word t5;
va_list v;
C_word *a,c2=c;
C_save_rest(t4,c2,5);
if(!C_demand(c*C_SIZEOF_PAIR+8)){
C_save_and_reclaim((void*)tr5r,(void*)f_1876r,5,t0,t1,t2,t3,t4);}
else{
a=C_alloc((c-5)*3);
t5=C_restore_rest(a,C_rest_count(0));
f_1876r(t0,t1,t2,t3,t4,t5);}}

static void C_ccall f_1876r(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word *a=C_alloc(8);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_1880,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t5,a[5]=t3,a[6]=t2,a[7]=t1,tmp=(C_word)a,a+=8,tmp);
/* posixwin.scm: 945  ##sys#update-errno */
t7=*((C_word*)lf[7]+1);
((C_proc2)(void*)(*((C_word*)t7+1)))(2,t7,t6);}

/* k1878 in posix-error in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_1880(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word ab[16],*a=ab;
if(!C_stack_probe(&a)){
C_save_and_reclaim((void*)tr2,(void*)f_1880,2,t0,t1);}
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_1887,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[7],tmp=(C_word)a,a+=6,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_1891,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t4=(C_word)C_a_i_bytevector(&a,1,C_fix(3));
/* ##sys#peek-c-string */
t5=*((C_word*)lf[6]+1);
((C_proc4)(void*)(*((C_word*)t5+1)))(4,t5,t3,(C_word)stub12(t4,t1),C_fix(0));}

/* k1889 in k1878 in posix-error in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_1891(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
/* posixwin.scm: 946  string-append */
t2=((C_word*)t0)[4];
((C_proc5)(void*)(*((C_word*)t2+1)))(5,t2,((C_word*)t0)[3],((C_word*)t0)[2],lf[5],t1);}

/* k1885 in k1878 in posix-error in k1867 in k1864 in k1861 in k1858 in k1855 in k1852 in k1849 */
static void C_ccall f_1887(C_word c,C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
C_apply(7,0,((C_word*)t0)[5],*((C_word*)lf[4]+1),((C_word*)t0)[4],((C_word*)t0)[3],t1,((C_word*)t0)[2]);}

#ifdef C_ENABLE_PTABLES
static C_PTABLE_ENTRY ptable[462] = {
{"toplevel:posixwin_scm",(void*)C_posix_toplevel},
{"f_1851:posixwin_scm",(void*)f_1851},
{"f_1854:posixwin_scm",(void*)f_1854},
{"f_1857:posixwin_scm",(void*)f_1857},
{"f_1860:posixwin_scm",(void*)f_1860},
{"f_1863:posixwin_scm",(void*)f_1863},
{"f_1866:posixwin_scm",(void*)f_1866},
{"f_1869:posixwin_scm",(void*)f_1869},
{"f_5727:posixwin_scm",(void*)f_5727},
{"f_5737:posixwin_scm",(void*)f_5737},
{"f_5741:posixwin_scm",(void*)f_5741},
{"f_5721:posixwin_scm",(void*)f_5721},
{"f_5725:posixwin_scm",(void*)f_5725},
{"f_2176:posixwin_scm",(void*)f_2176},
{"f_2240:posixwin_scm",(void*)f_2240},
{"f_2244:posixwin_scm",(void*)f_2244},
{"f_2248:posixwin_scm",(void*)f_2248},
{"f_2252:posixwin_scm",(void*)f_2252},
{"f_5684:posixwin_scm",(void*)f_5684},
{"f_5700:posixwin_scm",(void*)f_5700},
{"f_5688:posixwin_scm",(void*)f_5688},
{"f_5691:posixwin_scm",(void*)f_5691},
{"f_2314:posixwin_scm",(void*)f_2314},
{"f_3424:posixwin_scm",(void*)f_3424},
{"f_5665:posixwin_scm",(void*)f_5665},
{"f_5662:posixwin_scm",(void*)f_5662},
{"f_5655:posixwin_scm",(void*)f_5655},
{"f_5649:posixwin_scm",(void*)f_5649},
{"f_5643:posixwin_scm",(void*)f_5643},
{"f_5637:posixwin_scm",(void*)f_5637},
{"f_5631:posixwin_scm",(void*)f_5631},
{"f_5625:posixwin_scm",(void*)f_5625},
{"f_5619:posixwin_scm",(void*)f_5619},
{"f_5613:posixwin_scm",(void*)f_5613},
{"f_5607:posixwin_scm",(void*)f_5607},
{"f_5601:posixwin_scm",(void*)f_5601},
{"f_5595:posixwin_scm",(void*)f_5595},
{"f_5589:posixwin_scm",(void*)f_5589},
{"f_5583:posixwin_scm",(void*)f_5583},
{"f_5577:posixwin_scm",(void*)f_5577},
{"f_5571:posixwin_scm",(void*)f_5571},
{"f_5565:posixwin_scm",(void*)f_5565},
{"f_5559:posixwin_scm",(void*)f_5559},
{"f_5553:posixwin_scm",(void*)f_5553},
{"f_5547:posixwin_scm",(void*)f_5547},
{"f_5541:posixwin_scm",(void*)f_5541},
{"f_5535:posixwin_scm",(void*)f_5535},
{"f_5529:posixwin_scm",(void*)f_5529},
{"f_5523:posixwin_scm",(void*)f_5523},
{"f_5517:posixwin_scm",(void*)f_5517},
{"f_5511:posixwin_scm",(void*)f_5511},
{"f_5505:posixwin_scm",(void*)f_5505},
{"f_5499:posixwin_scm",(void*)f_5499},
{"f_5493:posixwin_scm",(void*)f_5493},
{"f_5487:posixwin_scm",(void*)f_5487},
{"f_5481:posixwin_scm",(void*)f_5481},
{"f_5475:posixwin_scm",(void*)f_5475},
{"f_5469:posixwin_scm",(void*)f_5469},
{"f_5463:posixwin_scm",(void*)f_5463},
{"f_5457:posixwin_scm",(void*)f_5457},
{"f_5451:posixwin_scm",(void*)f_5451},
{"f_5445:posixwin_scm",(void*)f_5445},
{"f_5439:posixwin_scm",(void*)f_5439},
{"f_5433:posixwin_scm",(void*)f_5433},
{"f_5427:posixwin_scm",(void*)f_5427},
{"f_5421:posixwin_scm",(void*)f_5421},
{"f_5415:posixwin_scm",(void*)f_5415},
{"f_5409:posixwin_scm",(void*)f_5409},
{"f_5403:posixwin_scm",(void*)f_5403},
{"f_5160:posixwin_scm",(void*)f_5160},
{"f_5337:posixwin_scm",(void*)f_5337},
{"f_5343:posixwin_scm",(void*)f_5343},
{"f_5332:posixwin_scm",(void*)f_5332},
{"f_5327:posixwin_scm",(void*)f_5327},
{"f_5162:posixwin_scm",(void*)f_5162},
{"f_5314:posixwin_scm",(void*)f_5314},
{"f_5322:posixwin_scm",(void*)f_5322},
{"f_5169:posixwin_scm",(void*)f_5169},
{"f_5302:posixwin_scm",(void*)f_5302},
{"f_5296:posixwin_scm",(void*)f_5296},
{"f_5179:posixwin_scm",(void*)f_5179},
{"f_5181:posixwin_scm",(void*)f_5181},
{"f_5200:posixwin_scm",(void*)f_5200},
{"f_5282:posixwin_scm",(void*)f_5282},
{"f_5289:posixwin_scm",(void*)f_5289},
{"f_5276:posixwin_scm",(void*)f_5276},
{"f_5215:posixwin_scm",(void*)f_5215},
{"f_5269:posixwin_scm",(void*)f_5269},
{"f_5266:posixwin_scm",(void*)f_5266},
{"f_5256:posixwin_scm",(void*)f_5256},
{"f_5232:posixwin_scm",(void*)f_5232},
{"f_5254:posixwin_scm",(void*)f_5254},
{"f_5240:posixwin_scm",(void*)f_5240},
{"f_5247:posixwin_scm",(void*)f_5247},
{"f_5244:posixwin_scm",(void*)f_5244},
{"f_5227:posixwin_scm",(void*)f_5227},
{"f_5225:posixwin_scm",(void*)f_5225},
{"f_5303:posixwin_scm",(void*)f_5303},
{"f_5145:posixwin_scm",(void*)f_5145},
{"f_5155:posixwin_scm",(void*)f_5155},
{"f_5114:posixwin_scm",(void*)f_5114},
{"f_5140:posixwin_scm",(void*)f_5140},
{"f_5125:posixwin_scm",(void*)f_5125},
{"f_5129:posixwin_scm",(void*)f_5129},
{"f_5133:posixwin_scm",(void*)f_5133},
{"f_5137:posixwin_scm",(void*)f_5137},
{"f_5102:posixwin_scm",(void*)f_5102},
{"f_5099:posixwin_scm",(void*)f_5099},
{"f_5042:posixwin_scm",(void*)f_5042},
{"f_5066:posixwin_scm",(void*)f_5066},
{"f_5076:posixwin_scm",(void*)f_5076},
{"f_5060:posixwin_scm",(void*)f_5060},
{"f_5030:posixwin_scm",(void*)f_5030},
{"f_4953:posixwin_scm",(void*)f_4953},
{"f_4970:posixwin_scm",(void*)f_4970},
{"f_4965:posixwin_scm",(void*)f_4965},
{"f_4960:posixwin_scm",(void*)f_4960},
{"f_4955:posixwin_scm",(void*)f_4955},
{"f_4876:posixwin_scm",(void*)f_4876},
{"f_4893:posixwin_scm",(void*)f_4893},
{"f_4888:posixwin_scm",(void*)f_4888},
{"f_4883:posixwin_scm",(void*)f_4883},
{"f_4878:posixwin_scm",(void*)f_4878},
{"f_4798:posixwin_scm",(void*)f_4798},
{"f_4870:posixwin_scm",(void*)f_4870},
{"f_4874:posixwin_scm",(void*)f_4874},
{"f_4835:posixwin_scm",(void*)f_4835},
{"f_4849:posixwin_scm",(void*)f_4849},
{"f_4843:posixwin_scm",(void*)f_4843},
{"f_4800:posixwin_scm",(void*)f_4800},
{"f_4809:posixwin_scm",(void*)f_4809},
{"f_4700:posixwin_scm",(void*)f_4700},
{"f_4779:posixwin_scm",(void*)f_4779},
{"f_4707:posixwin_scm",(void*)f_4707},
{"f_4747:posixwin_scm",(void*)f_4747},
{"f_4751:posixwin_scm",(void*)f_4751},
{"f_4755:posixwin_scm",(void*)f_4755},
{"f_4759:posixwin_scm",(void*)f_4759},
{"f_4763:posixwin_scm",(void*)f_4763},
{"f_4654:posixwin_scm",(void*)f_4654},
{"f_4658:posixwin_scm",(void*)f_4658},
{"f_4740:posixwin_scm",(void*)f_4740},
{"f_4720:posixwin_scm",(void*)f_4720},
{"f_4724:posixwin_scm",(void*)f_4724},
{"f_4728:posixwin_scm",(void*)f_4728},
{"f_4620:posixwin_scm",(void*)f_4620},
{"f_4637:posixwin_scm",(void*)f_4637},
{"f_4641:posixwin_scm",(void*)f_4641},
{"f_4614:posixwin_scm",(void*)f_4614},
{"f_4593:posixwin_scm",(void*)f_4593},
{"f_4597:posixwin_scm",(void*)f_4597},
{"f_4609:posixwin_scm",(void*)f_4609},
{"f_4590:posixwin_scm",(void*)f_4590},
{"f_4506:posixwin_scm",(void*)f_4506},
{"f_4530:posixwin_scm",(void*)f_4530},
{"f_4525:posixwin_scm",(void*)f_4525},
{"f_4520:posixwin_scm",(void*)f_4520},
{"f_4508:posixwin_scm",(void*)f_4508},
{"f_4512:posixwin_scm",(void*)f_4512},
{"f_4422:posixwin_scm",(void*)f_4422},
{"f_4446:posixwin_scm",(void*)f_4446},
{"f_4441:posixwin_scm",(void*)f_4441},
{"f_4436:posixwin_scm",(void*)f_4436},
{"f_4424:posixwin_scm",(void*)f_4424},
{"f_4428:posixwin_scm",(void*)f_4428},
{"f_4407:posixwin_scm",(void*)f_4407},
{"f_4411:posixwin_scm",(void*)f_4411},
{"f_4371:posixwin_scm",(void*)f_4371},
{"f_4378:posixwin_scm",(void*)f_4378},
{"f_4398:posixwin_scm",(void*)f_4398},
{"f_4384:posixwin_scm",(void*)f_4384},
{"f_4387:posixwin_scm",(void*)f_4387},
{"f_4394:posixwin_scm",(void*)f_4394},
{"f_4321:posixwin_scm",(void*)f_4321},
{"f_4333:posixwin_scm",(void*)f_4333},
{"f_4352:posixwin_scm",(void*)f_4352},
{"f_4315:posixwin_scm",(void*)f_4315},
{"f_4309:posixwin_scm",(void*)f_4309},
{"f_4230:posixwin_scm",(void*)f_4230},
{"f_4273:posixwin_scm",(void*)f_4273},
{"f_4304:posixwin_scm",(void*)f_4304},
{"f_4301:posixwin_scm",(void*)f_4301},
{"f_4235:posixwin_scm",(void*)f_4235},
{"f_4239:posixwin_scm",(void*)f_4239},
{"f_4244:posixwin_scm",(void*)f_4244},
{"f_4268:posixwin_scm",(void*)f_4268},
{"f_4257:posixwin_scm",(void*)f_4257},
{"f_4118:posixwin_scm",(void*)f_4118},
{"f_4124:posixwin_scm",(void*)f_4124},
{"f_4145:posixwin_scm",(void*)f_4145},
{"f_4219:posixwin_scm",(void*)f_4219},
{"f_4149:posixwin_scm",(void*)f_4149},
{"f_4152:posixwin_scm",(void*)f_4152},
{"f_4159:posixwin_scm",(void*)f_4159},
{"f_4161:posixwin_scm",(void*)f_4161},
{"f_4178:posixwin_scm",(void*)f_4178},
{"f_4188:posixwin_scm",(void*)f_4188},
{"f_4192:posixwin_scm",(void*)f_4192},
{"f_4139:posixwin_scm",(void*)f_4139},
{"f_4059:posixwin_scm",(void*)f_4059},
{"f_4063:posixwin_scm",(void*)f_4063},
{"f_4069:posixwin_scm",(void*)f_4069},
{"f_4053:posixwin_scm",(void*)f_4053},
{"f_4057:posixwin_scm",(void*)f_4057},
{"f_4037:posixwin_scm",(void*)f_4037},
{"f_4029:posixwin_scm",(void*)f_4029},
{"f_4014:posixwin_scm",(void*)f_4014},
{"f_4018:posixwin_scm",(void*)f_4018},
{"f_3954:posixwin_scm",(void*)f_3954},
{"f_3961:posixwin_scm",(void*)f_3961},
{"f_3983:posixwin_scm",(void*)f_3983},
{"f_3980:posixwin_scm",(void*)f_3980},
{"f_3970:posixwin_scm",(void*)f_3970},
{"f_3903:posixwin_scm",(void*)f_3903},
{"f_3907:posixwin_scm",(void*)f_3907},
{"f_3910:posixwin_scm",(void*)f_3910},
{"f_3871:posixwin_scm",(void*)f_3871},
{"f_3875:posixwin_scm",(void*)f_3875},
{"f_3844:posixwin_scm",(void*)f_3844},
{"f_3848:posixwin_scm",(void*)f_3848},
{"f_3825:posixwin_scm",(void*)f_3825},
{"f_3759:posixwin_scm",(void*)f_3759},
{"f_3765:posixwin_scm",(void*)f_3765},
{"f_3769:posixwin_scm",(void*)f_3769},
{"f_3777:posixwin_scm",(void*)f_3777},
{"f_3803:posixwin_scm",(void*)f_3803},
{"f_3807:posixwin_scm",(void*)f_3807},
{"f_3795:posixwin_scm",(void*)f_3795},
{"f_3744:posixwin_scm",(void*)f_3744},
{"f_3752:posixwin_scm",(void*)f_3752},
{"f_3727:posixwin_scm",(void*)f_3727},
{"f_3738:posixwin_scm",(void*)f_3738},
{"f_3742:posixwin_scm",(void*)f_3742},
{"f_3697:posixwin_scm",(void*)f_3697},
{"f_3704:posixwin_scm",(void*)f_3704},
{"f_3713:posixwin_scm",(void*)f_3713},
{"f_3707:posixwin_scm",(void*)f_3707},
{"f_3662:posixwin_scm",(void*)f_3662},
{"f_3666:posixwin_scm",(void*)f_3666},
{"f_3695:posixwin_scm",(void*)f_3695},
{"f_3681:posixwin_scm",(void*)f_3681},
{"f_3675:posixwin_scm",(void*)f_3675},
{"f_3648:posixwin_scm",(void*)f_3648},
{"f_3660:posixwin_scm",(void*)f_3660},
{"f_3634:posixwin_scm",(void*)f_3634},
{"f_3646:posixwin_scm",(void*)f_3646},
{"f_3616:posixwin_scm",(void*)f_3616},
{"f_3620:posixwin_scm",(void*)f_3620},
{"f_3632:posixwin_scm",(void*)f_3632},
{"f_3579:posixwin_scm",(void*)f_3579},
{"f_3587:posixwin_scm",(void*)f_3587},
{"f_3570:posixwin_scm",(void*)f_3570},
{"f_3564:posixwin_scm",(void*)f_3564},
{"f_3558:posixwin_scm",(void*)f_3558},
{"f_3534:posixwin_scm",(void*)f_3534},
{"f_3556:posixwin_scm",(void*)f_3556},
{"f_3552:posixwin_scm",(void*)f_3552},
{"f_3544:posixwin_scm",(void*)f_3544},
{"f_3504:posixwin_scm",(void*)f_3504},
{"f_3532:posixwin_scm",(void*)f_3532},
{"f_3528:posixwin_scm",(void*)f_3528},
{"f_3520:posixwin_scm",(void*)f_3520},
{"f_3448:posixwin_scm",(void*)f_3448},
{"f_3458:posixwin_scm",(void*)f_3458},
{"f_3435:posixwin_scm",(void*)f_3435},
{"f_3426:posixwin_scm",(void*)f_3426},
{"f_3357:posixwin_scm",(void*)f_3357},
{"f_3373:posixwin_scm",(void*)f_3373},
{"f_3364:posixwin_scm",(void*)f_3364},
{"f_3337:posixwin_scm",(void*)f_3337},
{"f_3341:posixwin_scm",(void*)f_3341},
{"f_3347:posixwin_scm",(void*)f_3347},
{"f_3351:posixwin_scm",(void*)f_3351},
{"f_3317:posixwin_scm",(void*)f_3317},
{"f_3321:posixwin_scm",(void*)f_3321},
{"f_3327:posixwin_scm",(void*)f_3327},
{"f_3331:posixwin_scm",(void*)f_3331},
{"f_3293:posixwin_scm",(void*)f_3293},
{"f_3297:posixwin_scm",(void*)f_3297},
{"f_3308:posixwin_scm",(void*)f_3308},
{"f_3312:posixwin_scm",(void*)f_3312},
{"f_3302:posixwin_scm",(void*)f_3302},
{"f_3269:posixwin_scm",(void*)f_3269},
{"f_3273:posixwin_scm",(void*)f_3273},
{"f_3284:posixwin_scm",(void*)f_3284},
{"f_3288:posixwin_scm",(void*)f_3288},
{"f_3278:posixwin_scm",(void*)f_3278},
{"f_3250:posixwin_scm",(void*)f_3250},
{"f_3254:posixwin_scm",(void*)f_3254},
{"f_3257:posixwin_scm",(void*)f_3257},
{"f_3214:posixwin_scm",(void*)f_3214},
{"f_3245:posixwin_scm",(void*)f_3245},
{"f_3235:posixwin_scm",(void*)f_3235},
{"f_3228:posixwin_scm",(void*)f_3228},
{"f_3178:posixwin_scm",(void*)f_3178},
{"f_3209:posixwin_scm",(void*)f_3209},
{"f_3199:posixwin_scm",(void*)f_3199},
{"f_3192:posixwin_scm",(void*)f_3192},
{"f_3160:posixwin_scm",(void*)f_3160},
{"f_3164:posixwin_scm",(void*)f_3164},
{"f_3176:posixwin_scm",(void*)f_3176},
{"f_3154:posixwin_scm",(void*)f_3154},
{"f_2785:posixwin_scm",(void*)f_2785},
{"f_3132:posixwin_scm",(void*)f_3132},
{"f_2931:posixwin_scm",(void*)f_2931},
{"f_3118:posixwin_scm",(void*)f_3118},
{"f_3107:posixwin_scm",(void*)f_3107},
{"f_3114:posixwin_scm",(void*)f_3114},
{"f_2961:posixwin_scm",(void*)f_2961},
{"f_3100:posixwin_scm",(void*)f_3100},
{"f_3079:posixwin_scm",(void*)f_3079},
{"f_3096:posixwin_scm",(void*)f_3096},
{"f_3085:posixwin_scm",(void*)f_3085},
{"f_3092:posixwin_scm",(void*)f_3092},
{"f_3003:posixwin_scm",(void*)f_3003},
{"f_3076:posixwin_scm",(void*)f_3076},
{"f_3055:posixwin_scm",(void*)f_3055},
{"f_3072:posixwin_scm",(void*)f_3072},
{"f_3061:posixwin_scm",(void*)f_3061},
{"f_3068:posixwin_scm",(void*)f_3068},
{"f_3009:posixwin_scm",(void*)f_3009},
{"f_3052:posixwin_scm",(void*)f_3052},
{"f_3048:posixwin_scm",(void*)f_3048},
{"f_3041:posixwin_scm",(void*)f_3041},
{"f_3037:posixwin_scm",(void*)f_3037},
{"f_3016:posixwin_scm",(void*)f_3016},
{"f_3020:posixwin_scm",(void*)f_3020},
{"f_2997:posixwin_scm",(void*)f_2997},
{"f_2984:posixwin_scm",(void*)f_2984},
{"f_2968:posixwin_scm",(void*)f_2968},
{"f_2972:posixwin_scm",(void*)f_2972},
{"f_2976:posixwin_scm",(void*)f_2976},
{"f_2955:posixwin_scm",(void*)f_2955},
{"f_2942:posixwin_scm",(void*)f_2942},
{"f_2938:posixwin_scm",(void*)f_2938},
{"f_2925:posixwin_scm",(void*)f_2925},
{"f_2792:posixwin_scm",(void*)f_2792},
{"f_2911:posixwin_scm",(void*)f_2911},
{"f_2799:posixwin_scm",(void*)f_2799},
{"f_2801:posixwin_scm",(void*)f_2801},
{"f_2808:posixwin_scm",(void*)f_2808},
{"f_2883:posixwin_scm",(void*)f_2883},
{"f_2892:posixwin_scm",(void*)f_2892},
{"f_2880:posixwin_scm",(void*)f_2880},
{"f_2814:posixwin_scm",(void*)f_2814},
{"f_2861:posixwin_scm",(void*)f_2861},
{"f_2849:posixwin_scm",(void*)f_2849},
{"f_2857:posixwin_scm",(void*)f_2857},
{"f_2853:posixwin_scm",(void*)f_2853},
{"f_2830:posixwin_scm",(void*)f_2830},
{"f_2838:posixwin_scm",(void*)f_2838},
{"f_2834:posixwin_scm",(void*)f_2834},
{"f_2729:posixwin_scm",(void*)f_2729},
{"f_2738:posixwin_scm",(void*)f_2738},
{"f_2762:posixwin_scm",(void*)f_2762},
{"f_2774:posixwin_scm",(void*)f_2774},
{"f_2780:posixwin_scm",(void*)f_2780},
{"f_2768:posixwin_scm",(void*)f_2768},
{"f_2744:posixwin_scm",(void*)f_2744},
{"f_2750:posixwin_scm",(void*)f_2750},
{"f_2736:posixwin_scm",(void*)f_2736},
{"f_2713:posixwin_scm",(void*)f_2713},
{"f_2669:posixwin_scm",(void*)f_2669},
{"f_2682:posixwin_scm",(void*)f_2682},
{"f_2685:posixwin_scm",(void*)f_2685},
{"f_2642:posixwin_scm",(void*)f_2642},
{"f_2667:posixwin_scm",(void*)f_2667},
{"f_2663:posixwin_scm",(void*)f_2663},
{"f_2649:posixwin_scm",(void*)f_2649},
{"f_2485:posixwin_scm",(void*)f_2485},
{"f_2593:posixwin_scm",(void*)f_2593},
{"f_2601:posixwin_scm",(void*)f_2601},
{"f_2588:posixwin_scm",(void*)f_2588},
{"f_2487:posixwin_scm",(void*)f_2487},
{"f_2494:posixwin_scm",(void*)f_2494},
{"f_2497:posixwin_scm",(void*)f_2497},
{"f_2500:posixwin_scm",(void*)f_2500},
{"f_2587:posixwin_scm",(void*)f_2587},
{"f_2504:posixwin_scm",(void*)f_2504},
{"f_2521:posixwin_scm",(void*)f_2521},
{"f_2531:posixwin_scm",(void*)f_2531},
{"f_2543:posixwin_scm",(void*)f_2543},
{"f_2553:posixwin_scm",(void*)f_2553},
{"f_2513:posixwin_scm",(void*)f_2513},
{"f_2460:posixwin_scm",(void*)f_2460},
{"f_2483:posixwin_scm",(void*)f_2483},
{"f_2467:posixwin_scm",(void*)f_2467},
{"f_2476:posixwin_scm",(void*)f_2476},
{"f_2470:posixwin_scm",(void*)f_2470},
{"f_2435:posixwin_scm",(void*)f_2435},
{"f_2458:posixwin_scm",(void*)f_2458},
{"f_2442:posixwin_scm",(void*)f_2442},
{"f_2451:posixwin_scm",(void*)f_2451},
{"f_2445:posixwin_scm",(void*)f_2445},
{"f_2316:posixwin_scm",(void*)f_2316},
{"f_2326:posixwin_scm",(void*)f_2326},
{"f_2421:posixwin_scm",(void*)f_2421},
{"f_2413:posixwin_scm",(void*)f_2413},
{"f_2332:posixwin_scm",(void*)f_2332},
{"f_2344:posixwin_scm",(void*)f_2344},
{"f_2358:posixwin_scm",(void*)f_2358},
{"f_2391:posixwin_scm",(void*)f_2391},
{"f_2394:posixwin_scm",(void*)f_2394},
{"f_2371:posixwin_scm",(void*)f_2371},
{"f_2388:posixwin_scm",(void*)f_2388},
{"f_2380:posixwin_scm",(void*)f_2380},
{"f_2361:posixwin_scm",(void*)f_2361},
{"f_2329:posixwin_scm",(void*)f_2329},
{"f_2254:posixwin_scm",(void*)f_2254},
{"f_2267:posixwin_scm",(void*)f_2267},
{"f_2279:posixwin_scm",(void*)f_2279},
{"f_2273:posixwin_scm",(void*)f_2273},
{"f_2230:posixwin_scm",(void*)f_2230},
{"f_2232:posixwin_scm",(void*)f_2232},
{"f_2225:posixwin_scm",(void*)f_2225},
{"f_2202:posixwin_scm",(void*)f_2202},
{"f_2223:posixwin_scm",(void*)f_2223},
{"f_2209:posixwin_scm",(void*)f_2209},
{"f_2196:posixwin_scm",(void*)f_2196},
{"f_2200:posixwin_scm",(void*)f_2200},
{"f_2190:posixwin_scm",(void*)f_2190},
{"f_2194:posixwin_scm",(void*)f_2194},
{"f_2184:posixwin_scm",(void*)f_2184},
{"f_2188:posixwin_scm",(void*)f_2188},
{"f_2178:posixwin_scm",(void*)f_2178},
{"f_2182:posixwin_scm",(void*)f_2182},
{"f_2168:posixwin_scm",(void*)f_2168},
{"f_2172:posixwin_scm",(void*)f_2172},
{"f_2144:posixwin_scm",(void*)f_2144},
{"f_2151:posixwin_scm",(void*)f_2151},
{"f_2106:posixwin_scm",(void*)f_2106},
{"f_2139:posixwin_scm",(void*)f_2139},
{"f_2135:posixwin_scm",(void*)f_2135},
{"f_2110:posixwin_scm",(void*)f_2110},
{"f_2119:posixwin_scm",(void*)f_2119},
{"f_2068:posixwin_scm",(void*)f_2068},
{"f_2075:posixwin_scm",(void*)f_2075},
{"f_2078:posixwin_scm",(void*)f_2078},
{"f_2098:posixwin_scm",(void*)f_2098},
{"f_2081:posixwin_scm",(void*)f_2081},
{"f_2088:posixwin_scm",(void*)f_2088},
{"f_2026:posixwin_scm",(void*)f_2026},
{"f_2033:posixwin_scm",(void*)f_2033},
{"f_2048:posixwin_scm",(void*)f_2048},
{"f_2042:posixwin_scm",(void*)f_2042},
{"f_1981:posixwin_scm",(void*)f_1981},
{"f_1991:posixwin_scm",(void*)f_1991},
{"f_1994:posixwin_scm",(void*)f_1994},
{"f_2006:posixwin_scm",(void*)f_2006},
{"f_1997:posixwin_scm",(void*)f_1997},
{"f_1963:posixwin_scm",(void*)f_1963},
{"f_1976:posixwin_scm",(void*)f_1976},
{"f_1922:posixwin_scm",(void*)f_1922},
{"f_1955:posixwin_scm",(void*)f_1955},
{"f_1939:posixwin_scm",(void*)f_1939},
{"f_1948:posixwin_scm",(void*)f_1948},
{"f_1942:posixwin_scm",(void*)f_1942},
{"f_1876:posixwin_scm",(void*)f_1876},
{"f_1880:posixwin_scm",(void*)f_1880},
{"f_1891:posixwin_scm",(void*)f_1891},
{"f_1887:posixwin_scm",(void*)f_1887},
{NULL,NULL}};
#endif

static C_PTABLE_ENTRY *create_ptable(void){
#ifdef C_ENABLE_PTABLES
return ptable;
#else
return NULL;
#endif
}
/* end of file */
